﻿Shader "EVE/CloudVolumeParticle" {
	Properties {
		_TopTex ("Particle Texture", 2D) = "white" {}
		_LeftTex ("Particle Texture", 2D) = "white" {}
		_FrontTex ("Particle Texture", 2D) = "white" {}
		_MainTex ("Main (RGB)", 2D) = "white" {}
		_DetailTex ("Detail (RGB)", 2D) = "white" {}
		_DetailScale ("Detail Scale", Range(0,1000)) = 100
		_DistFade ("Distance Fade Near", Range(0,1)) = 1.0
		_DistFadeVert ("Distance Fade Vertical", Range(0,1)) = 0.00004
		_Color ("Color Tint", Color) = (1,1,1,1)
		_InvFade ("Soft Particles Factor", Range(0.01,3.0)) = .01
		_Rotation ("Rotation", float) = 0
		_MaxScale ("Max Scale", float) = 1
		_MaxTrans ("Max Translation", Vector) = (0,0,0)
		_NoiseScale("Noise Scale", float) = .0005
	}

	Category {

		Tags { "Queue"="Transparent" "IgnoreProjector"="True" "RenderType"="Transparent" }
		Blend SrcAlpha OneMinusSrcAlpha
		Fog { Mode Global}
		AlphaTest Greater 0
		ColorMask RGB
		Cull Off Lighting On ZWrite Off

		SubShader {
			Pass {

				Lighting On
				Tags { "LightMode"="ForwardBase"}

				Program "vp" {
// Vertex combos: 480
//   d3d9 - ALU: 742 to 751, TEX: 2 to 2
//   d3d11 - ALU: 433 to 442, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = tmpvar_9.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_22.xyz;
  color_2.w = tmpvar_22.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedidebdhfdbabgiomefheeobkbfglpkgioabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaamaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaalaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaanaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaaoaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
bbaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
bbaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = tmpvar_11.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 tex_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  tex_3 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DLodEXT (_MainTex, uv_16, 0.0);
  tex_14 = tmpvar_21;
  mediump vec4 v_22;
  v_22 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_23;
  tmpvar_23.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_23.w = (((v_22.x + v_22.y) + v_22.z) + v_22.w);
  mediump vec4 tmpvar_24;
  tmpvar_24 = (tmpvar_23 * (((0.94 * _Color) * xlv_COLOR) * tex_3));
  color_2.xyz = tmpvar_24.xyz;
  color_2.w = tmpvar_24.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = tmpvar_3.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 tmpvar_17;
  tmpvar_17 = (tex_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_17.xyz;
  color_2.w = tmpvar_17.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedidebdhfdbabgiomefheeobkbfglpkgioabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaamaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaalaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaanaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaaoaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
bbaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
bbaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = tmpvar_5.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tex_13;
  mediump vec4 uv_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  uv_14.xyz = tmpvar_15;
  uv_14.w = 0.0;
  lowp vec4 tmpvar_16;
  tmpvar_16 = textureCubeLodEXT (cube_MainTex, uv_14.xyz, 0.0);
  tex_13 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_13 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_19;
  tmpvar_19 = (tmpvar_18 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_19.xyz;
  color_2.w = tmpvar_19.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 tmpvar_36;
  tmpvar_36 = (tmpvar_35 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_36.xyz;
  color_2.w = tmpvar_36.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedidebdhfdbabgiomefheeobkbfglpkgioabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaamaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaalaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaanaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaaoaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
bbaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
bbaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedidebdhfdbabgiomefheeobkbfglpkgioabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaamaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaalaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaanaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaaoaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
bbaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
bbaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 texNeg_13;
  mediump vec4 texPos_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DLodEXT (cube_MainTexPOS, uv_19.xy, 0.0);
  texPos_14 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexNEG, uv_19.xy, 0.0);
  texNeg_13 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = mix (texNeg_13, texPos_14, vec4(float((s_16 >= 0.0))));
  mediump vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_34.w;
  tmpvar_35.y = tmpvar_34.w;
  tmpvar_35.z = tmpvar_34.w;
  tmpvar_35.w = mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, zxlerp_18), nylerp_17);
  mediump vec4 v_36;
  v_36 = (tmpvar_35 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tmpvar_38;
  tmpvar_38 = (tmpvar_37 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4))));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = tmpvar_14.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 tmpvar_38;
  tmpvar_38 = (samp_14 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_38.xyz;
  color_2.w = tmpvar_38.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedobifmjnjbbbcjacnialimgkjeolgodhlabaaaaaaaeehaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcdeefaaaaeaaaabaaenbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
anaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaadaaaaaa
aoaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaaaacaaaaaaegiocaaaadaaaaaaapaaaaaadiaaaaaipcaabaaaaeaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaaaaaaaaadaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaaeaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaaacaaaaaaegaobaaa
aeaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaa
acaaaaaaegaobaaaaeaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaihcaabaaaacaaaaaafgafbaaaaeaaaaaacgijcaaaaaaaaaaaaiaaaaaa
dcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaahaaaaaaagaabaaaaeaaaaaa
egacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaaaaaaaaaaajaaaaaa
kgakbaaaaeaaaaaaegacbaaaacaaaaaadcaaaaakhcaabaaaacaaaaaacgijcaaa
aaaaaaaaakaaaaaapgapbaaaaeaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaa
agaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaadcaaaaakbcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaaaacaaaaaabkaabaiaebaaaaaaaeaaaaaa
bnaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaaeaaaaaabkaabaiaibaaaaaa
aeaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
aeaaaaaadcaaaaakbcaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaadkaabaaa
acaaaaaaakaabaaaacaaaaaadeaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaa
aeaaaaaabkaabaiaibaaaaaaaeaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaackaabaiaibaaaaaaaeaaaaaaabaaaaahecaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaaeaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaacaaaaaadkaabaiaebaaaaaaacaaaaaa
akaabaaaacaaaaaaclaaaaafccaabaaaafaaaaaaakaabaaaacaaaaaadgaaaaag
ecaabaaaagaaaaaabkaabaiaebaaaaaaafaaaaaadgaaaaaidcaabaaaagaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaa
ggaibaaaaeaaaaaaegacbaaaagaaaaaadgaaaaaifcaabaaaafaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaafaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaajgaebaiaebaaaaaaahaaaaaadcaaaaajlcaabaaa
acaaaaaafgafbaaaacaaaaaaegaibaaaafaaaaaajgabbaaaahaaaaaadcaaaaak
lcaabaaaacaaaaaaegaibaiaebaaaaaaagaaaaaaggacbaaaaeaaaaaaegambaaa
acaaaaaadcaaaaajhcaabaaaacaaaaaakgakbaaaacaaaaaaegadbaaaacaaaaaa
egacbaaaahaaaaaadiaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaacaaaaaajgafbaaa
acaaaaaaagaabaiaibaaaaaaacaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
acaaaaaaegaabaaaacaaaaaaagiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaadiaaaaaiecaabaaaadaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaa
anaaaaaadccaaaalicaabaaaabaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdgcaaaafecaabaaaadaaaaaackaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaadaaaaaa
diaaaaahiccabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaai
hcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaaj
icaabaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaadiaaaaaihcaabaaaafaaaaaa
fgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaafaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaafaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaa
afaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaafaaaaaa
pgapbaaaabaaaaaaegacbaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
afaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaadiaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaaaaaaaaahicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaacaaaaaabkaaaaagbcaabaaaacaaaaaadkiacaaaaaaaaaaa
anaaaaaadgaaaaaigcaabaaaacaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaadpaaaaaaaaegacbaaaacaaaaaadcaaaabadcaabaaaacaaaaaa
kgakbaiaebaaaaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaaaeaaaaaiadpaaaaaaaaaaaaaaaaelaaaaaficaabaaaabaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaanlapmjeanlapmjea
aaaaaaaaaaaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaah
bcaabaaaaeaaaaaabcaabaaaafaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaa
abaaaaaabcaabaaaagaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
ckaabaaaabaaaaaaakaabaaaafaaaaaadiaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaaeaaaaaadiaaaaahgcaabaaaacaaaaaapgambaaaabaaaaaa
fgafbaaaabaaaaaadcaaaaakecaabaaaacaaaaaackaabaaaabaaaaaaakaabaaa
agaaaaaackaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkaabaaa
abaaaaaackaabaaaacaaaaaaakaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaa
akaabaaaagaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaaadaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaadaaaaaadcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaa
aeaaaaaafgifcaaaadaaaaaaanaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaal
hcaabaaaaeaaaaaaegiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaa
egacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaaegiccaaaaeaaaaaaahaaaaaa
kgikcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaadcaaaaalhcaabaaaaeaaaaaa
egiccaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaanaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaafaaaaaafgafbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaamaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
amaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaamaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaamaaaaaafgaobaaa
agaaaaaadcaaaaajhcaabaaaafaaaaaajgahbaaaagaaaaaapgapbaaaacaaaaaa
egacbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaaadaaaaaaaoaaaaaa
egiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
afaaaaaaagiacaaaadaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaa
ahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaaoaaaaaaegacbaaa
ahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaaiaaaaaapgipcaaa
adaaaaaaaoaaaaaaegacbaaaahaaaaaadcaaaaajhcaabaaaafaaaaaaegacbaaa
ahaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaiaaaaaa
ckaabaaaafaaaaaadcaaaaakccaabaaaabaaaaaackaabaaaabaaaaaackaabaaa
acaaaaaaakaabaiaebaaaaaaagaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaadiaaaaahocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaaeaaaaaadcaaaaajocaabaaaacaaaaaafgaobaaaagaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaahaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaadiaaaaahhcaabaaaajaaaaaaagaabaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaa
agaebaaaaeaaaaaadcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaaagaabaaa
aaaaaaaamgaabaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaaegaabaaaahaaaaaa
kgakbaaaaaaaaaaaegaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaajlcaabaaaabaaaaaajganbaaaagaaaaaa
kgakbaaaaaaaaaaaegaibaaaajaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
ahaaaaaakgakbaaaabaaaaaaegadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaa
ckaabaaaabaaaaaadgaaaaafecaabaaaaiaaaaaackaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaakgakbaaaaaaaaaaa
egacbaaaaiaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaibaaaaaaaeaaaaaa
diaaaaajmcaabaaaaaaaaaaafgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaa
agaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaahaaaaaakgikcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaal
mcaabaaaaaaaaaaaagiecaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaa
kgaobaaaaaaaaaaaaaaaaaahdcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaa
aaaaaaaadbaaaaalhcaabaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegacbaiaebaaaaaaaeaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaai
hcaabaaaagaaaaaaegacbaiaebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaap
mcaabaaaaaaaaaaaagbebaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaea
aaaaaaeaaceaaaaaaaaaaaaaaaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaa
kgakbaaaabaaaaaaegacbaaaagaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaa
ahaaaaaadiaaaaahhcaabaaaahaaaaaajgafbaaaaeaaaaaaegacbaaaahaaaaaa
claaaaafmcaabaaaabaaaaaaagaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaa
kgakbaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaaacaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaakgaobaaaabaaaaaadbaaaaakmcaabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
boaaaaaimcaabaaaacaaaaaakgaobaiaebaaaaaaacaaaaaakgaobaaaadaaaaaa
cgaaaaaiaanaaaaamcaabaaaacaaaaaakgaobaaaacaaaaaaagaebaaaagaaaaaa
claaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaaacaaaaaa
kgaobaaaacaaaaaakgacbaaaaeaaaaaaagaebaaaahaaaaaadiaaaaahmcaabaaa
adaaaaaapgapbaaaacaaaaaaagaebaaaafaaaaaadiaaaaahkcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaajmcaabaaaacaaaaaaagaebaaa
abaaaaaakgakbaaaacaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaacaaaaaa
agaebaaaacaaaaaakgakbaaaabaaaaaakgaobaaaacaaaaaadcaaaaajmcaabaaa
abaaaaaaagaebaaaabaaaaaapgapbaaaabaaaaaakgaobaaaadaaaaaadcaaaaaj
mcaabaaaabaaaaaaagaebaaaacaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaa
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
abaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapmccabaaaadaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaajkjjbjdpjkjjbjdpaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
dcaaaaajmcaabaaaabaaaaaaagaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaa
acaaaaaaaaaaaaaimcaabaaaabaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaa
abaaaaaadcaaaaapdccabaaaadaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaeaaaaaadbaaaaah
ecaabaaaabaaaaaackaabaaaaeaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaa
aaaaaaaadbaaaaahecaabaaaabaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dcaaaaajdcaabaaaabaaaaaaegaabaaaabaaaaaakgakbaaaaaaaaaaangafbaaa
aeaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaa
abaaaaaacgaaaaaiaanaaaaaecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
agaaaaaaclaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaackaabaaaahaaaaaadcaaaaaj
mcaabaaaaaaaaaaaagaebaaaacaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaa
aaaaaaaaaaaaaaaidcaabaaaaaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaa
aaaaaaaadcaaaaapdccabaaaaeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdp
jkjjbjdpaaaaaaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaaipccabaaaafaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 882
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 882
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 886
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 890
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 894
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec2 tmpvar_237;
  tmpvar_237 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_238;
  tmpvar_238.z = 0.0;
  tmpvar_238.x = tmpvar_237.x;
  tmpvar_238.y = tmpvar_237.y;
  tmpvar_238.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_238.zyw;
  XZv_2.yzw = tmpvar_238.zyw;
  XYv_1.yzw = tmpvar_238.yzw;
  ZYv_3.z = (tmpvar_237.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_237.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_237.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_237.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_237.y)) * tmpvar_234.y));
  vec4 tmpvar_239;
  tmpvar_239.w = 0.0;
  tmpvar_239.xyz = gl_Normal;
  vec3 tmpvar_240;
  tmpvar_240 = normalize((_Object2World * tmpvar_239).xyz);
  vec4 c_241;
  float tmpvar_242;
  tmpvar_242 = dot (normalize(tmpvar_240), normalize(_WorldSpaceLightPos0.xyz));
  c_241.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_242) * 4.0);
  c_241.w = (tmpvar_242 * 4.0);
  float tmpvar_243;
  tmpvar_243 = dot (tmpvar_240, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_241 * mix (1.0, clamp (floor((1.01 + tmpvar_243)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_243)), 0.0, 1.0))).xyz;
  gl_Position = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = tmpvar_16.w;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 26 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 27 [_DetailScale]
Float 28 [_DistFade]
Float 29 [_DistFadeVert]
Float 30 [_Rotation]
Float 31 [_MaxScale]
Float 32 [_NoiseScale]
Vector 33 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 742 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord5 o6
def c34, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c35, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c36, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c37, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c38, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c39, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c40, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c41, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c42, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c32.x
dp3 r0.x, r3, c34.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c35.z
max r0.xyz, -r0, r0
slt r7.xyz, c35.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c35.w
mul r12.xyz, r3, c39.z
dp3 r0.w, r6, c34.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c34.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c34.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c34.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c36.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c35.w
add r2, -r6, c34.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c34.y
mov r2.z, r4.x
mov r2.xw, c36.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c36.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c35.z
slt r6, c35.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c34.z
mul r5, r5, c35.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c36.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c37.x, r5
mul r6, r5, c37.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c38.x, r5
mad r8, r2, c37.z, c37.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c37.z, c37.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c34.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c35.y, r2
mad r7, r7, c38.y, c38.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c34.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c35.z
add r8.xyz, -r12, c34.z
slt r13.xyz, c35.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c35.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c34.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c36.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c38.y, c38.z
mul r8, r13, r13
mul r8, r8, c36.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c35.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c35.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c34.z
mul r8, r8, c35.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c36.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c36.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c35.z
slt r15, c35.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c35.w
add r8, -r15, c34.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c36.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c34.y
mul r10, r10, c36.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c39.x, c39.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c35.z
abs r6, r6
slt r10, c35.y, r8
frc r6, r6
mul r8, r6, c35.w
add r6, -r10, c34.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c34.x
mul r8, r6, c36.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c37.x, r6
add r6.xyz, r1, c34.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c37.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c35.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c37.z, c37.w
max r1, r1, c35.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c38.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c38.y
mad r3, r1, c37.z, c37.w
dp3 r1.x, r5, c34.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c34.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c35.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c38.y, c38.z
slt r13.xyz, c35.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c34.z
mul r8.xyz, r4, c35.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c34.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c36.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c34.z
mul r15, r15, c36.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c35.z
slt r15, c35.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c38.w
add r5, -r15, c34.z
mul r13, r13, c35.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c35.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c36.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c36.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c35.z
mov r10.xy, r11.zwzw
slt r16, c35.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c35.w
add r6, -r16, c34.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c34.y
mov r6.z, r1.x
mov r6.xw, c36.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c36.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c35.z
slt r8, c35.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c34.z
mul r6, r6, c35.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c36.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c37.x, r6
mad r8, r8, c38.y, c38.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c37.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c38.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c37.z, c37.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c39.x, c39.y
mad r5, r3, c37.z, c37.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c34.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c35.y, r3
mad r8, r8, c38.y, c38.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c38.y, c38.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c34.x
add r12.xyz, r14, c34.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c39.x, c39.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c34.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c34.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c35.x
max r1, r1, c35.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c34.z
mov r6.w, c35.y
mul r2.y, r0.x, c38.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c35.x
max r9, r9, c35.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c38.w
mul r1.xyz, r2, c33
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c34.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
add r5.xyz, -r5, c24
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c34.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c34.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c34.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c39.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c25, c25
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c25
dp3 r2.w, r6, r8
mad r0.x, r0.w, c39.w, c39.w
mad r0.y, r0, c39.w, c39.w
mov r10.w, r1.y
mul r0.xy, r0, c27.x
mov r0.z, c35.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c26
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c39.z
mov r2.yz, c35.y
frc r2.x, c30
add r2.xyz, r7, r2
mul r4.w, r2.z, c38.y
mul r2.y, r2, c40.w
mad r2.y, r2, c41.x, c41
frc r2.y, r2
mad r2.y, r2, c41.z, c41.w
sincos r8.xy, r2.y
rsq r2.z, r4.w
rcp r2.y, r2.z
mul r2.z, r2.x, c40.w
mad r2.w, r2.z, c41.x, c41.y
mul r6.x, r8.y, r2.y
mul r5.w, r8.x, r2.y
dp4 r2.y, c25, c25
rsq r2.x, r2.y
mul r2.xyz, r2.x, c25
dp3 r3.w, r4, r2
frc r2.w, r2
mad r4.y, r2.w, c41.z, c41.w
add r4.x, r3.w, c40.z
sincos r2.xy, r4.y
frc r2.z, r4.x
add_sat r2.z, r4.x, -r2
add r2.w, r2.z, c40.x
mul_sat r2.z, -r3.w, c40.y
mad r2.z, r2, r2.w, c34
mul o1.xyz, r0, r2.z
mul r4.x, r5.w, r2
mad r2.w, r6.x, r2.y, r4.x
add r0.y, -r4.w, c38
rsq r0.y, r0.y
rcp r2.z, r0.y
mov r0.x, c31
add r0.x, c40, r0
mad r3.w, r7.x, r0.x, c34.z
mad r0.z, r5.w, r2.w, -r2.x
mad r10.x, r6, r2.w, -r2.y
mul r10.z, r2, r2.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r6.y, r5.w, r2
mov r2.w, c14.x
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.w, r0
mov r2.w, c14.z
mad r0.xyz, c10, r2.w, r0
mov r2.w, c14
mad r4.xyz, c11, r2.w, r0
mad r2.w, r6.x, r2.x, -r6.y
mad r8.y, r5.w, r2.w, r2
mul r0.xyz, r4.y, r10
mad r4.y, r6.x, r2.w, -r2.x
dp3 r2.x, r5, r5
mul r8.z, r2, r2.w
rsq r2.w, r2.x
mul r8.x, r3.w, r4.y
mad r0.xyz, r4.x, r8, r0
mul r2.x, r6, r2.z
mul r2.y, r2.z, r5.w
add r4.x, -r4.w, c34.z
mul r2.z, r3.w, r4.x
mad r0.xyz, r4.z, r2, r0
dp3 r4.y, r0, r0
rcp r2.w, r2.w
mul r4.x, -r2.w, c29
add_sat r4.x, r4, c34.z
mul_sat r2.w, r2, c28.x
mul r2.w, r2, r4.x
rsq r4.y, r4.y
mul r4.xyz, r4.y, r0
mul o1.w, r0, r2
mad r0.xy, v2, c42.x, c42.y
slt r2.w, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.w
mul r2.w, r0.x, r0
mul r5.y, r0.w, r0.z
mov r6.z, r2.w
slt r5.x, r2.w, -r2.w
slt r4.w, -r2, r2
sub r4.w, r4, r5.x
mul r0.w, r4, r0
mul r5.x, r4.y, r5.y
mad r6.x, r4.z, r0.w, r5
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mov r0.w, v0
mul r5, r10, r9.y
mov r8.w, r1.x
mov r6.yw, r0
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mov r2.w, r1.z
mad r5, r2, r9.z, r5
mad r8, r7.x, r8, r10
mad r5, r9.w, c36.xxxy, r5
mad r2, r7.z, r2, r8
mad r2, r7.w, c36.xxxy, r2
dp4 r7.x, r6, r5
dp4 r7.y, r2, r6
dp4 r6.y, r1, c1
mov r7.zw, r0.xyyw
slt r6.x, -r4.y, r4.y
slt r4.w, r4.y, -r4.y
sub r4.w, r4, r6.x
dp4 r6.x, r1, c0
add r6.zw, -r6.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r6.zwzw, c42.z, c42.w
slt r6.w, r7.x, -r7.x
slt r6.z, -r7.x, r7.x
sub r6.z, r6, r6.w
mul r6.w, r0.z, r4
mul r4.w, r6.z, r4
mul r6.z, r4, r6.w
mad r7.y, r4.x, r4.w, r6.z
dp4 r6.z, r5, r7
dp4 r6.w, r2, r7
add r6.zw, -r6.xyxy, r6
mad o4.xy, r6.zwzw, c42.z, c42.w
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r5.x, r5, r0
dp4 r5.y, r2, r0
add r0.xy, -r6, r5
mad o5.xy, r0, c42.z, c42.w
dp4 r6.w, r1, c3
dp4 r6.z, r1, c2
mov r0.w, v0
mul r0.xyz, v0, r3.w
add r0, r6, r0
abs o2.xyz, r4
mov o6.xyz, r3
dp4 o0.w, r0, c7
dp4 o0.z, r0, c6
dp4 o0.y, r0, c5
dp4 o0.x, r0, c4
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 523 instructions, 14 temp regs, 0 temp arrays:
// ALU 419 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec2 tmpvar_245;
  tmpvar_245 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_246;
  tmpvar_246.z = 0.0;
  tmpvar_246.x = tmpvar_245.x;
  tmpvar_246.y = tmpvar_245.y;
  tmpvar_246.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_246.zyw;
  XZv_3.yzw = tmpvar_246.zyw;
  XYv_2.yzw = tmpvar_246.yzw;
  ZYv_4.z = (tmpvar_245.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_245.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_245.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_245.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_245.y)) * tmpvar_242.y));
  highp vec4 tmpvar_247;
  tmpvar_247.w = 0.0;
  tmpvar_247.xyz = tmpvar_1;
  highp vec3 tmpvar_248;
  tmpvar_248 = normalize((_Object2World * tmpvar_247).xyz);
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_250;
  tmpvar_250 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_251;
  lightDir_251 = tmpvar_250;
  mediump vec3 viewDir_252;
  viewDir_252 = tmpvar_249;
  mediump vec3 normal_253;
  normal_253 = tmpvar_248;
  mediump vec4 color_254;
  color_254 = tmpvar_6;
  mediump vec4 c_255;
  mediump vec3 tmpvar_256;
  tmpvar_256 = normalize(lightDir_251);
  lightDir_251 = tmpvar_256;
  viewDir_252 = normalize(viewDir_252);
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(normal_253);
  normal_253 = tmpvar_257;
  mediump float tmpvar_258;
  tmpvar_258 = dot (tmpvar_257, tmpvar_256);
  highp vec3 tmpvar_259;
  tmpvar_259 = (((color_254.xyz * _LightColor0.xyz) * tmpvar_258) * 4.0);
  c_255.xyz = tmpvar_259;
  c_255.w = (tmpvar_258 * 4.0);
  lowp vec3 tmpvar_260;
  tmpvar_260 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_261;
  lightDir_261 = tmpvar_260;
  mediump vec3 normal_262;
  normal_262 = tmpvar_248;
  mediump float tmpvar_263;
  tmpvar_263 = dot (normal_262, lightDir_261);
  mediump vec3 tmpvar_264;
  tmpvar_264 = (c_255 * mix (1.0, clamp (floor((1.01 + tmpvar_263)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_263)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_264;
  gl_Position = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 color_2;
  mediump vec4 ztex_3;
  mediump float zval_4;
  mediump vec4 ytex_5;
  mediump float yval_6;
  mediump vec4 xtex_7;
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_7 = tmpvar_8;
  highp float tmpvar_9;
  tmpvar_9 = xlv_TEXCOORD0.y;
  yval_6 = tmpvar_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_5 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.z;
  zval_4 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_3 = tmpvar_12;
  mediump vec4 tmpvar_13;
  tmpvar_13 = mix (mix (xtex_7, ytex_5, vec4(yval_6)), ztex_3, vec4(zval_4));
  mediump vec4 samp_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec4 uv_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_20);
  uv_19.zw = vec2(0.0, 0.0);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((mix (tmpvar_21.x, tmpvar_21.z, zxlerp_18) >= tmpvar_21.y));
  nylerp_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18);
  s_16 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, s_16, nylerp_17));
  s_16 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_16);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_16;
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_16);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_20.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_30;
  mediump vec2 tmpvar_31;
  tmpvar_31 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_19.xy = tmpvar_31;
  if ((s_16 > 0.0)) {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_32;
      tmpvar_32 = texture2DLodEXT (cube_MainTexyp, uv_19.xy, 0.0);
      samp_14 = tmpvar_32;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_33;
        tmpvar_33 = texture2DLodEXT (cube_MainTexzp, uv_19.xy, 0.0);
        samp_14 = tmpvar_33;
      } else {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexxp, uv_19.xy, 0.0);
        samp_14 = tmpvar_34;
      };
    };
  } else {
    if ((nylerp_17 <= 0.0)) {
      lowp vec4 tmpvar_35;
      tmpvar_35 = texture2DLodEXT (cube_MainTexyn, uv_19.xy, 0.0);
      samp_14 = tmpvar_35;
    } else {
      if ((zxlerp_18 > 0.0)) {
        lowp vec4 tmpvar_36;
        tmpvar_36 = texture2DLodEXT (cube_MainTexzn, uv_19.xy, 0.0);
        samp_14 = tmpvar_36;
      } else {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexxn, uv_19.xy, 0.0);
        samp_14 = tmpvar_37;
      };
    };
  };
  mediump vec4 v_38;
  v_38 = (samp_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_40;
  tmpvar_40 = (tmpvar_39 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_13));
  color_2.xyz = tmpvar_40.xyz;
  color_2.w = tmpvar_40.w;
  tmpvar_1 = color_2;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 890
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 890
lowp vec4 frag( in v2f IN ) {
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    #line 894
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    #line 898
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    #line 902
    mediump vec4 color;
    color.xyz = prev.xyz;
    color.w = prev.w;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedieciaccepomgipgeelndeekkogakamogabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaeaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaadaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaafaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaaiaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaahaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaajaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaakaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaaanaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 tmpvar_9;
  tmpvar_9 = (texture2DLod (_MainTex, uv_4, 0.0) * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_9.xyz;
  color_1.w = (tmpvar_9.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tex_15 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_23.xyz;
  lowp float tmpvar_24;
  tmpvar_24 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = (tmpvar_23.w * clamp ((_InvFade * (tmpvar_25 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_26;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 603
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 605
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 609
    return uv;
}
#line 625
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 629
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tex_2;
  tex_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec4 v_9;
  v_9 = (texture2DLod (_MainTex, uv_4, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_10 * (((0.94 * _Color) * xlv_COLOR) * tex_2));
  color_1.xyz = tmpvar_11.xyz;
  color_1.w = (tmpvar_11.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D _MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  mediump vec4 ztex_5;
  mediump float zval_6;
  mediump vec4 ytex_7;
  mediump float yval_8;
  mediump vec4 xtex_9;
  lowp vec4 tmpvar_10;
  tmpvar_10 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_9 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = xlv_TEXCOORD0.y;
  yval_8 = tmpvar_11;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_7 = tmpvar_12;
  highp float tmpvar_13;
  tmpvar_13 = xlv_TEXCOORD0.z;
  zval_6 = tmpvar_13;
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_5 = tmpvar_14;
  tex_4 = mix (mix (xtex_9, ytex_7, vec4(yval_8)), ztex_5, vec4(zval_6));
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DLodEXT (_MainTex, uv_17, 0.0);
  tex_15 = tmpvar_22;
  mediump vec4 v_23;
  v_23 = (tex_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_24;
  tmpvar_24.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_24.w = (((v_23.x + v_23.y) + v_23.z) + v_23.w);
  mediump vec4 tmpvar_25;
  tmpvar_25 = (tmpvar_24 * (((0.94 * _Color) * xlv_COLOR) * tex_4));
  color_3.xyz = tmpvar_25.xyz;
  lowp float tmpvar_26;
  tmpvar_26 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = (tmpvar_25.w * clamp ((_InvFade * (tmpvar_27 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_28;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 611
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    #line 613
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    #line 617
    return uv;
}
#line 633
mediump vec4 GetCubeMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect ) {
    highp vec4 uv;
    highp vec3 cubeVectNorm = normalize(cubeVect);
    #line 637
    uv.xy = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( _MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 tmpvar_3;
  tmpvar_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_3.xyz;
  color_1.w = (tmpvar_3.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 tmpvar_18;
  tmpvar_18 = (tex_14 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_18.xyz;
  lowp float tmpvar_19;
  tmpvar_19 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = (tmpvar_18.w * clamp ((_InvFade * (tmpvar_20 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_21;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedieciaccepomgipgeelndeekkogakamogabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaeaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaadaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaafaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaaiaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaahaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaajaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaakaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaaanaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedieciaccepomgipgeelndeekkogakamogabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaeaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaadaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaafaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaaiaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaahaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaajaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaakaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaaanaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedieciaccepomgipgeelndeekkogakamogabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaeaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaadaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaafaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaaiaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaahaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaajaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaakaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaaanaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 642
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 646
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  uv_2.xyz = normalize(xlv_TEXCOORD5);
  uv_2.w = 0.0;
  vec4 v_3;
  v_3 = (textureCubeLod (cube_MainTex, uv_2.xyz, 0.0) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_4;
  tmpvar_4.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_4.w = (((v_3.x + v_3.y) + v_3.z) + v_3.w);
  vec4 tmpvar_5;
  tmpvar_5 = (tmpvar_4 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_5.xyz;
  color_1.w = (tmpvar_5.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform samplerCube cube_MainTex;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tex_14;
  mediump vec4 uv_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  uv_15.xyz = tmpvar_16;
  uv_15.w = 0.0;
  lowp vec4 tmpvar_17;
  tmpvar_17 = textureCubeLodEXT (cube_MainTex, uv_15.xyz, 0.0);
  tex_14 = tmpvar_17;
  mediump vec4 v_18;
  v_18 = (tex_14 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  mediump vec4 tmpvar_20;
  tmpvar_20 = (tmpvar_19 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_20.xyz;
  lowp float tmpvar_21;
  tmpvar_21 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = (tmpvar_20.w * clamp ((_InvFade * (tmpvar_22 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_23;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_texCUBElod(samplerCube s, vec4 coord) {
  return textureLod( s, coord.xyz, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 650
mediump vec4 GetCubeMapNoLOD( in samplerCube texSampler, in highp vec3 cubeVect ) {
    mediump vec4 uv;
    uv.xyz = normalize(cubeVect);
    #line 654
    uv.w = 0.0;
    mediump vec4 tex = xll_texCUBElod( texSampler, uv);
    return tex;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTex, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_13 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 tmpvar_37;
  tmpvar_37 = (tmpvar_36 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_37.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = (tmpvar_37.w * clamp ((_InvFade * (tmpvar_39 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_40;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedieciaccepomgipgeelndeekkogakamogabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaeaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaadaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaafaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaagaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaaaoaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaaaoaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
aoaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
aoaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaeaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaadaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaafaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaagaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaaiaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaahaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaajaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaakaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaalaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaaanaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaanaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaaanaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 732
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 734
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 738
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 742
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 746
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 750
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 uv_2;
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_3);
  uv_2.zw = vec2(0.0, 0.0);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((mix (tmpvar_4.x, tmpvar_4.z, tmpvar_5) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_3.y, mix (tmpvar_3.x, tmpvar_3.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_3.yzx), mix ((tmpvar_8 * tmpvar_3.xzy), (tmpvar_9 * tmpvar_3.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_2.xy = (((0.5 * tmpvar_11.yz) / abs(tmpvar_11.x)) + 0.5);
  vec4 tmpvar_12;
  tmpvar_12 = mix (texture2DLod (cube_MainTexNEG, uv_2.xy, 0.0), texture2DLod (cube_MainTexPOS, uv_2.xy, 0.0), vec4(float((tmpvar_7 >= 0.0))));
  vec4 tmpvar_13;
  tmpvar_13.x = tmpvar_12.w;
  tmpvar_13.y = tmpvar_12.w;
  tmpvar_13.z = tmpvar_12.w;
  tmpvar_13.w = mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_5), tmpvar_6);
  vec4 v_14;
  v_14 = (tmpvar_13 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz)));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 texNeg_14;
  mediump vec4 texPos_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DLodEXT (cube_MainTexPOS, uv_20.xy, 0.0);
  texPos_15 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DLodEXT (cube_MainTexNEG, uv_20.xy, 0.0);
  texNeg_14 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = mix (texNeg_14, texPos_15, vec4(float((s_17 >= 0.0))));
  mediump vec4 tmpvar_36;
  tmpvar_36.x = tmpvar_35.w;
  tmpvar_36.y = tmpvar_35.w;
  tmpvar_36.z = tmpvar_35.w;
  tmpvar_36.w = mix (tmpvar_35.y, mix (tmpvar_35.x, tmpvar_35.z, zxlerp_19), nylerp_18);
  mediump vec4 v_37;
  v_37 = (tmpvar_36 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tmpvar_39;
  tmpvar_39 = (tmpvar_38 * (((0.94 * _Color) * xlv_COLOR) * mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5))));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 740
mediump vec4 GetCubeMapNoLOD( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 742
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    #line 746
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    #line 750
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 texPos = xll_tex2Dlod( texSamplerPos, uv);
    #line 754
    mediump vec4 texNeg = xll_tex2Dlod( texSamplerNeg, uv);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    #line 758
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexPOS, cube_MainTexNEG, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 tmpvar_14;
  tmpvar_14 = (samp_3 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_14.xyz;
  color_1.w = (tmpvar_14.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 tmpvar_39;
  tmpvar_39 = (samp_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_39.xyz;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (tmpvar_39.w * clamp ((_InvFade * (tmpvar_41 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_42;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = prev;
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 1.0, 0.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 1.0, 0.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 1.0, 0.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedncbbpbellapcaabafmicicbndiokhgdiabaaaaaadmeiaaaaadaaaaaa
cmaaaaaanmaaaaaamiabaaaaejfdeheokiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaijaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaaipaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaajgaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapaaaaaajoaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadadaaaafaepfdejfeejepeoaaedepem
epfcaaeoepfcenebemaafeebeoehefeofeaafeeffiedepepfceeaaklepfdeheo
oeaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaankaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaankaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaadamaaaankaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
amadaaaankaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaadamaaaankaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaankaaaaaaafaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaafeef
fiedepepfceeaaklfdeieefcgmegaaaaeaaaabaajlbbaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafjaaaaaeegiocaaa
aeaaaaaaajaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaad
dcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaaddccabaaaadaaaaaagfaaaaad
mccabaaaadaaaaaagfaaaaaddccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacaoaaaaaadgaaaaaijcaabaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaaijcaabaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdiaaaaajhcaabaaaacaaaaaa
egiccaaaaaaaaaaaaiaaaaaafgifcaaaadaaaaaaapaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaaaaaaaaaahaaaaaaagiacaaaadaaaaaaapaaaaaaegacbaaa
acaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaaaaaaaaaajaaaaaakgikcaaa
adaaaaaaapaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaa
aaaaaaaaakaaaaaapgipcaaaadaaaaaaapaaaaaaegacbaaaacaaaaaadiaaaaai
hcaabaaaadaaaaaaegacbaaaacaaaaaafgifcaaaaaaaaaaabcaaaaaaaaaaaaah
hcaabaaaaeaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaabaaaaaakicaabaaa
acaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
dcaaaaamhcaabaaaaeaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaeaaaaaaaaapgapbaaaacaaaaaaebaaaaafhcaabaaaaeaaaaaaegacbaaa
aeaaaaaadiaaaaakhcaabaaaafaaaaaaegacbaaaaeaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaabkaaaaaghcaabaaaafaaaaaaegacbaiaibaaaaaa
afaaaaaadhaaaaakhcaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
egacbaiaebaaaaaaafaaaaaadcaaaaanhcaabaaaagaaaaaaegacbaaaadaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaaaegacbaiaebaaaaaaaeaaaaaa
baaaaaakicaabaaaacaaaaaaegacbaaaaeaaaaaaaceaaaaaklkkckdoklkkckdo
klkkckdoaaaaaaaaaaaaaaahhcaabaaaaeaaaaaapgapbaaaacaaaaaaegacbaaa
agaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaaeaaaaaaegacbaaaaeaaaaaa
abaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaa
deaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaaahaaaaaadgaaaaaf
ccaabaaaabaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaaabaaaaaackaabaaa
agaaaaaadcaaaaampcaabaaaabaaaaaakgakbaaaafaaaaaaaceaaaaaaaiajaed
aaiajaedaaiajaedaaiajaedegaobaaaabaaaaaadiaaaaakdcaabaaaafaaaaaa
egaabaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaah
pcaabaaaahaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaia
ibaaaaaaabaaaaaadhaaaaakpcaabaaaabaaaaaaegaobaaaahaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaafaaaaaa
dgaaaaafccaabaaaaaaaaaaabkaabaaaaiaaaaaadgaaaaafecaabaaaaaaaaaaa
bkaabaaaagaaaaaaaaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaa
aaaaaaaaegaobaiaibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
agaabaaaafaaaaaadgaaaaaijcaabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaabaaaaaaakaabaaaaiaaaaaaaaaaaaai
hcaabaaaafaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaaiaaaaaaaaaaaaak
hcaabaaaafaaaaaaegacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdo
aaaaaaaadgaaaaafecaabaaaabaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaa
agaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaa
aaaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaabkaaaaagpcaabaaaaaaaaaaaegaobaia
ibaaaaaaaaaaaaaadhaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaaegaobaiaebaaaaaaaaaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaa
abaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaaabaaaaaaegaobaaa
abaaaaaadcaaaaanpcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaaaaaaaadcaaaaappcaabaaa
abaaaaaacgahbaaaabaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdo
aceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaappcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaa
cfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlp
nllggnlpdgaaaaafkcaabaaaahaaaaaaagaebaaaaaaaaaaadgaaaaaffcaabaaa
ahaaaaaafgahbaaaabaaaaaaebaaaaafkcaabaaaaiaaaaaaagaebaaaaaaaaaaa
ebaaaaaffcaabaaaaiaaaaaafgahbaaaabaaaaaadcaaaaappcaabaaaaiaaaaaa
egaobaaaaiaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaaajaaaaaangaibaia
mbaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaai
pcaabaaaajaaaaaaegalbaiambaaaaaaaaaaaaaaegalbaaaajaaaaaabnaaaaak
pcaabaaaakaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaa
ajaaaaaadhaaaaappcaabaaaakaaaaaaegaobaaaakaaaaaaaceaaaaaaaaaialp
aaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaia
dcaaaaajpcaabaaaahaaaaaaogaebaaaaiaaaaaafgaabaaaakaaaaaaogaebaaa
ahaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaahaaaaaadgaaaaafecaabaaa
aiaaaaaaakaabaaaajaaaaaabaaaaaahbcaabaaaalaaaaaaegacbaaaaiaaaaaa
egacbaaaaiaaaaaadgaaaaafecaabaaaahaaaaaabkaabaaaajaaaaaabaaaaaah
ccaabaaaalaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaaebaaaaafkcaabaaa
amaaaaaakgaobaaaaaaaaaaadgaaaaafkcaabaaaabaaaaaakgaobaaaaaaaaaaa
ebaaaaaffcaabaaaamaaaaaaagacbaaaabaaaaaadcaaaaappcaabaaaaaaaaaaa
egaobaaaamaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaaaaaaaaaaegaobaaa
aaaaaaaakgapbaaaakaaaaaaegaobaaaabaaaaaadgaaaaafdcaabaaaajaaaaaa
ogakbaaaaaaaaaaadgaaaaafecaabaaaaaaaaaaadkaabaaaajaaaaaabaaaaaah
ecaabaaaalaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaa
alaaaaaaegacbaaaajaaaaaaegacbaaaajaaaaaadcaaaabapcaabaaaabaaaaaa
egaobaiaebaaaaaaalaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdp
aceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaahaaaaaa
fgafbaaaabaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaaegacbaaa
ahaaaaaaegacbaaaafaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaa
egacbaaaafaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaakgakbaaa
abaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
baaaaaahecaabaaaafaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaiaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaabaaaaaahbcaabaaaahaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaa
aeaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaaahaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaalpcaabaaaaaaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaaaaaaaaabbaaaaahbcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaahaaaaaadiaaaaakhcaabaaaabaaaaaa
egacbaaaadaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabaaaaaak
icaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdo
aaaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaaabaaaaaa
egacbaaaabaaaaaadiaaaaakhcaabaaaaeaaaaaaegacbaaaabaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaabkaaaaaghcaabaaaaeaaaaaaegacbaia
ibaaaaaaaeaaaaaadhaaaaakhcaabaaaaeaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaaegacbaiaebaaaaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdcaaaaanhcaabaaaagaaaaaaegacbaaa
adaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaaegacbaiaebaaaaaa
abaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaabaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaaaaaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaagaaaaaabaaaaaakicaabaaaaaaaaaaaegacbaaaadaaaaaaaceaaaaa
klkkkkdoklkkkkdoklkkkkdoaaaaaaaadcaaaaakhcaabaaaadaaaaaafgifcaaa
aaaaaaaabcaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaebaaaaafhcaabaaa
adaaaaaaegacbaaaadaaaaaabnaaaaahhcaabaaaagaaaaaacgajbaaaabaaaaaa
egacbaaaabaaaaaaabaaaaakhcaabaaaahaaaaaajgaebaaaagaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadhaaaaaphcaabaaaagaaaaaaegacbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaddaaaaahhcaabaaaaiaaaaaaegacbaaaagaaaaaa
egacbaaaahaaaaaadeaaaaahhcaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
ahaaaaaadgaaaaafccaabaaaafaaaaaackaabaaaaiaaaaaadgaaaaafecaabaaa
afaaaaaackaabaaaagaaaaaadcaaaaampcaabaaaafaaaaaakgakbaaaaeaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaaaafaaaaaadiaaaaak
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaaaaaaa
aaaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaaaafaaaaaa
dcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
afaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaabkaaaaagpcaabaaa
afaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaaafaaaaaaegaobaaa
ahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaampcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaed
fgafbaaaaeaaaaaadgaaaaaijcaabaaaahaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaiadpdgaaaaafccaabaaaahaaaaaabkaabaaaaiaaaaaadgaaaaaf
ecaabaaaahaaaaaabkaabaaaagaaaaaaaaaaaaahpcaabaaaafaaaaaaegaobaaa
afaaaaaaegaobaaaahaaaaaadiaaaaahpcaabaaaahaaaaaaegaobaaaafaaaaaa
egaobaaaafaaaaaadcaaaaampcaabaaaafaaaaaaegaobaaaahaaaaaaaceaaaaa
aaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaafaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaafaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdl
bnaaaaaipcaabaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
bkaaaaagpcaabaaaafaaaaaaegaobaiaibaaaaaaafaaaaaadhaaaaakpcaabaaa
afaaaaaaegaobaaaahaaaaaaegaobaaaafaaaaaaegaobaiaebaaaaaaafaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaiajaedaaiajaed
aaiajaedaaiajaedagaabaaaaeaaaaaadgaaaaaijcaabaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaaafaaaaaaakaabaaa
aiaaaaaaaaaaaaaihcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
aiaaaaaaaaaaaaakhcaabaaaahaaaaaaegacbaaaahaaaaaaaceaaaaaklkkckdo
klkkckdoklkkckdoaaaaaaaadgaaaaafecaabaaaafaaaaaaakaabaaaagaaaaaa
aaaaaaaihcaabaaaagaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaagaaaaaa
aaaaaaakhcaabaaaagaaaaaaegacbaaaagaaaaaaaceaaaaaklkkkkdoklkkkkdo
klkkkkdoaaaaaaaaaaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaa
afaaaaaadiaaaaahpcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaa
dcaaaaampcaabaaaaeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiec
aaaaaiecaaaaaiecegaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaakhmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaa
aeaaaaaaegaobaiaibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaa
afaaaaaaegaobaaaaeaaaaaaegaobaiaebaaaaaaaeaaaaaadiaaaaakpcaabaaa
afaaaaaaegaobaaaaeaaaaaaaceaaaaabglmlmeabglmlmeabglmlmeabglmlmea
ebaaaaafpcaabaaaafaaaaaaegaobaaaafaaaaaadiaaaaakpcaabaaaafaaaaaa
egaobaaaafaaaaaaaceaaaaaaaaaeeecaaaaeeecaaaaeeecaaaaeeecdcaaaaan
pcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaiaebaaaaaaafaaaaaadiaaaaakpcaabaaaafaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejbcdocfejbcdocfejbcdocfejbcdoebaaaaafpcaabaaa
afaaaaaaegaobaaaafaaaaaadcaaaaanpcaabaaaaeaaaaaaegaobaiaebaaaaaa
afaaaaaaaceaaaaaaaaaoaeaaaaaoaeaaaaaoaeaaaaaoaeaegaobaaaaeaaaaaa
dcaaaaappcaabaaaafaaaaaacgahbaaaafaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpebaaaaaf
pcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaappcaabaaaaeaaaaaaegaobaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpdgaaaaafkcaabaaaaiaaaaaaagaebaaaaeaaaaaa
dgaaaaaffcaabaaaaiaaaaaafgahbaaaafaaaaaaebaaaaafkcaabaaaajaaaaaa
agaebaaaaeaaaaaaebaaaaaffcaabaaaajaaaaaafgahbaaaafaaaaaadcaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaalpcaabaaa
akaaaaaangaibaiambaaaaaaafaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaaipcaabaaaakaaaaaaegalbaiambaaaaaaaeaaaaaaegalbaaa
akaaaaaabnaaaaakpcaabaaaalaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaegalbaaaakaaaaaadhaaaaappcaabaaaalaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaialpaaaaialpaceaaaaaaaaaaaiaaaaaaaia
aaaaaaiaaaaaaaiadcaaaaajpcaabaaaaiaaaaaaogaebaaaajaaaaaafgaabaaa
alaaaaaaogaebaaaaiaaaaaadgaaaaafdcaabaaaajaaaaaaogakbaaaaiaaaaaa
dgaaaaafecaabaaaajaaaaaaakaabaaaakaaaaaabaaaaaahbcaabaaaamaaaaaa
egacbaaaajaaaaaaegacbaaaajaaaaaadgaaaaafecaabaaaaiaaaaaabkaabaaa
akaaaaaabaaaaaahccaabaaaamaaaaaaegacbaaaaiaaaaaaegacbaaaaiaaaaaa
ebaaaaafkcaabaaaanaaaaaakgaobaaaaeaaaaaadgaaaaafkcaabaaaafaaaaaa
kgaobaaaaeaaaaaaebaaaaaffcaabaaaanaaaaaaagacbaaaafaaaaaadcaaaaap
pcaabaaaaeaaaaaaegaobaaaanaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaea
aaaaaaeaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
aeaaaaaaegaobaaaaeaaaaaakgapbaaaalaaaaaaegaobaaaafaaaaaadgaaaaaf
dcaabaaaakaaaaaaogakbaaaaeaaaaaadgaaaaafecaabaaaaeaaaaaadkaabaaa
akaaaaaabaaaaaahecaabaaaamaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
baaaaaahicaabaaaamaaaaaaegacbaaaakaaaaaaegacbaaaakaaaaaadcaaaaba
pcaabaaaafaaaaaaegaobaiaebaaaaaaamaaaaaaaceaaaaafmiofkdpfmiofkdp
fmiofkdpfmiofkdpaceaaaaaoahlofdpoahlofdpoahlofdpoahlofdpdiaaaaah
hcaabaaaaiaaaaaafgafbaaaafaaaaaaegacbaaaaiaaaaaabaaaaaahccaabaaa
aiaaaaaaegacbaaaaiaaaaaaegacbaaaahaaaaaabaaaaaahccaabaaaahaaaaaa
egacbaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaa
aeaaaaaakgakbaaaafaaaaaabaaaaaahecaabaaaaiaaaaaaegacbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahecaabaaaahaaaaaaegacbaaaagaaaaaaegacbaaa
agaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaaafaaaaaaegacbaaaajaaaaaa
diaaaaahhcaabaaaafaaaaaapgapbaaaafaaaaaaegacbaaaakaaaaaabaaaaaah
bcaabaaaaiaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaakhcaabaaa
aeaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
baaaaaahbcaabaaaahaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaiaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaabaaaaaahicaabaaa
ahaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaahaaaaaaaceaaaaajkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdp
deaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaa
bbaaaaahicaabaaaaaaaaaaaegaobaaaabaaaaaaegaobaaaaiaaaaaadiaaaaak
gcaabaaaaaaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaciecaaaaciec
aaaaaaaadiaaaaakhcaabaaaabaaaaaaegacbaaaadaaaaaaaceaaaaakhmegcdl
khmegcdlkhmegcdlaaaaaaaabnaaaaaihcaabaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaabkaaaaaghcaabaaaabaaaaaaegacbaiaibaaaaaa
abaaaaaadhaaaaakhcaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaabaaaaaa
egacbaiaebaaaaaaabaaaaaadgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpdcaaaaalhcaabaaaacaaaaaafgifcaaaaaaaaaaa
bcaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaabaaaaaakicaabaaa
aaaaaaaaegacbaaaadaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaa
aaaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabnaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaaegacbaaaacaaaaaaabaaaaakhcaabaaa
afaaaaaajgaebaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
dhaaaaaphcaabaaaadaaaaaaegacbaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaddaaaaah
hcaabaaaagaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadeaaaaahhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaafaaaaaadgaaaaafccaabaaaaeaaaaaa
ckaabaaaagaaaaaadgaaaaafecaabaaaaeaaaaaackaabaaaadaaaaaadcaaaaam
pcaabaaaaeaaaaaakgakbaaaabaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaed
aaiajaedegaobaaaaeaaaaaadiaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaaaaaaaaaaaaaaadiaaaaahpcaabaaaafaaaaaa
egaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaa
afaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaiaibaaaaaaaeaaaaaa
dhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaaeaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaampcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaiajaedaaiajaedaaiajaedaaiajaedfgafbaaaabaaaaaadgaaaaaijcaabaaa
afaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpdgaaaaafccaabaaa
afaaaaaabkaabaaaagaaaaaadgaaaaafecaabaaaafaaaaaabkaabaaaadaaaaaa
aaaaaaahpcaabaaaaeaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaadiaaaaah
pcaabaaaafaaaaaaegaobaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaampcaabaaa
aeaaaaaaegaobaaaafaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiec
egaobaaaaeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaa
khmegcdlkhmegcdlkhmegcdlkhmegcdlbnaaaaaipcaabaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaabkaaaaagpcaabaaaaeaaaaaaegaobaia
ibaaaaaaaeaaaaaadhaaaaakpcaabaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedagaabaaaabaaaaaa
dgaaaaaijcaabaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
dgaaaaafccaabaaaaeaaaaaaakaabaaaagaaaaaaaaaaaaaihcaabaaaafaaaaaa
egacbaaaacaaaaaaegacbaiaebaaaaaaagaaaaaaaaaaaaakhcaabaaaafaaaaaa
egacbaaaafaaaaaaaceaaaaaklkkckdoklkkckdoklkkckdoaaaaaaaadgaaaaaf
ecaabaaaaeaaaaaaakaabaaaadaaaaaaaaaaaaaihcaabaaaadaaaaaaegacbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaaaceaaaaaklkkkkdoklkkkkdoklkkkkdoaaaaaaaaaaaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaaeaaaaaadiaaaaahpcaabaaaaeaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaaiecaaaaaiecaaaaaiecaaaaaiecegaobaaaabaaaaaa
diaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaakhmegcdlkhmegcdl
khmegcdlkhmegcdlbnaaaaaipcaabaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaabkaaaaagpcaabaaaabaaaaaaegaobaiaibaaaaaaabaaaaaa
dhaaaaakpcaabaaaabaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaaegaobaia
ebaaaaaaabaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaa
bglmlmeabglmlmeabglmlmeabglmlmeaebaaaaafpcaabaaaaeaaaaaaegaobaaa
aeaaaaaadiaaaaakpcaabaaaaeaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaeeec
aaaaeeecaaaaeeecaaaaeeecdcaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaa
aceaaaaaaaiajaedaaiajaedaaiajaedaaiajaedegaobaiaebaaaaaaaeaaaaaa
diaaaaakpcaabaaaaeaaaaaaegaobaaaabaaaaaaaceaaaaacfejbcdocfejbcdo
cfejbcdocfejbcdoebaaaaafpcaabaaaaeaaaaaaegaobaaaaeaaaaaadcaaaaan
pcaabaaaabaaaaaaegaobaiaebaaaaaaaeaaaaaaaceaaaaaaaaaoaeaaaaaoaea
aaaaoaeaaaaaoaeaegaobaaaabaaaaaadcaaaaappcaabaaaaeaaaaaacgahbaaa
aeaaaaaaaceaaaaacfejjcdocfejjcdocfejjcdocfejjcdoaceaaaaanllggnlp
nllggnlpnllggnlpnllggnlpebaaaaafpcaabaaaabaaaaaaegaobaaaabaaaaaa
dcaaaaappcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaacfejjcdocfejjcdo
cfejjcdocfejjcdoaceaaaaanllggnlpnllggnlpnllggnlpnllggnlpdgaaaaaf
kcaabaaaagaaaaaaagaebaaaabaaaaaadgaaaaaffcaabaaaagaaaaaafgahbaaa
aeaaaaaaebaaaaafkcaabaaaahaaaaaaagaebaaaabaaaaaaebaaaaaffcaabaaa
ahaaaaaafgahbaaaaeaaaaaadcaaaaappcaabaaaahaaaaaaegaobaaaahaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaalpcaabaaaaiaaaaaangaibaiambaaaaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaipcaabaaaaiaaaaaa
egalbaiambaaaaaaabaaaaaaegalbaaaaiaaaaaabnaaaaakpcaabaaaajaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegalbaaaaiaaaaaadhaaaaap
pcaabaaaajaaaaaaegaobaaaajaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialp
aaaaialpaceaaaaaaaaaaaiaaaaaaaiaaaaaaaiaaaaaaaiadcaaaaajpcaabaaa
agaaaaaaogaebaaaahaaaaaafgaabaaaajaaaaaaogaebaaaagaaaaaadgaaaaaf
dcaabaaaahaaaaaaogakbaaaagaaaaaadgaaaaafecaabaaaahaaaaaaakaabaaa
aiaaaaaabaaaaaahbcaabaaaakaaaaaaegacbaaaahaaaaaaegacbaaaahaaaaaa
dgaaaaafecaabaaaagaaaaaabkaabaaaaiaaaaaabaaaaaahccaabaaaakaaaaaa
egacbaaaagaaaaaaegacbaaaagaaaaaaebaaaaafkcaabaaaalaaaaaakgaobaaa
abaaaaaadgaaaaafkcaabaaaaeaaaaaakgaobaaaabaaaaaaebaaaaaffcaabaaa
alaaaaaaagacbaaaaeaaaaaadcaaaaappcaabaaaabaaaaaaegaobaaaalaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaeaaaaaaaeaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdcaaaaajpcaabaaaabaaaaaaegaobaaaabaaaaaakgapbaaa
ajaaaaaaegaobaaaaeaaaaaadgaaaaafdcaabaaaaiaaaaaaogakbaaaabaaaaaa
dgaaaaafecaabaaaabaaaaaadkaabaaaaiaaaaaabaaaaaahecaabaaaakaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaakaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaadcaaaabapcaabaaaaeaaaaaaegaobaiaebaaaaaa
akaaaaaaaceaaaaafmiofkdpfmiofkdpfmiofkdpfmiofkdpaceaaaaaoahlofdp
oahlofdpoahlofdpoahlofdpdiaaaaahhcaabaaaagaaaaaafgafbaaaaeaaaaaa
egacbaaaagaaaaaabaaaaaahccaabaaaagaaaaaaegacbaaaagaaaaaaegacbaaa
afaaaaaabaaaaaahccaabaaaafaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaakgakbaaaaeaaaaaabaaaaaah
ecaabaaaagaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahecaabaaa
afaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaaeaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
aeaaaaaaegacbaaaaiaaaaaabaaaaaahbcaabaaaagaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaacaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaabaaaaaahbcaabaaaafaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaagaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaafaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaafaaaaaaaceaaaaa
jkjjbjdpjkjjbjdpjkjjbjdpjkjjbjdpdeaaaaakpcaabaaaabaaaaaaegaobaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaaaabaaaaaabbaaaaahicaabaaaaaaaaaaaegaobaaa
abaaaaaaegaobaaaagaaaaaadiaaaaahbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaciecaaaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaadpaaaaaaaiicaabaaaabaaaaaaakiacaaaaaaaaaaa
bcaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadiaaaaaipcaabaaaadaaaaaafgafbaaaaaaaaaaa
egiocaaaadaaaaaaafaaaaaadcaaaaakpcaabaaaadaaaaaaegiocaaaadaaaaaa
aeaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaadaaaaaaagaaaaaakgakbaaaaaaaaaaaegaobaaaadaaaaaaaaaaaaai
pcaabaaaadaaaaaaegaobaaaadaaaaaaegiocaaaadaaaaaaahaaaaaadgaaaaaf
icaabaaaacaaaaaadkbabaaaaaaaaaaaaaaaaaahpcaabaaaacaaaaaaegaobaaa
acaaaaaaegaobaaaadaaaaaadiaaaaaipcaabaaaaeaaaaaafgafbaaaacaaaaaa
egiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaeaaaaaaegiocaaaaeaaaaaa
aaaaaaaaagaabaaaacaaaaaaegaobaaaaeaaaaaadcaaaaakpcaabaaaaeaaaaaa
egiocaaaaeaaaaaaacaaaaaakgakbaaaacaaaaaaegaobaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaeaaaaaaadaaaaaapgapbaaaacaaaaaaegaobaaa
aeaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
aeaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aeaaaaaaegiocaaaadaaaaaaamaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
dcaaaaakpcaabaaaaeaaaaaaegiocaaaadaaaaaaaoaaaaaakgakbaaaaaaaaaaa
egaobaaaaeaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaaegiocaaa
adaaaaaaapaaaaaadiaaaaaipcaabaaaafaaaaaafgafbaaaaeaaaaaaegiocaaa
aaaaaaaaaiaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaaaaaaaaaaahaaaaaa
agaabaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaaafaaaaaaegiocaaa
aaaaaaaaajaaaaaakgakbaaaaeaaaaaaegaobaaaafaaaaaadcaaaaakpcaabaaa
afaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaa
aaaaaaajhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaa
elaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaihcaabaaaaeaaaaaa
fgafbaaaafaaaaaacgijcaaaaaaaaaaaamaaaaaadcaaaaakhcaabaaaaeaaaaaa
cgijcaaaaaaaaaaaalaaaaaaagaabaaaafaaaaaaegacbaaaaeaaaaaadcaaaaak
hcaabaaaaeaaaaaacgijcaaaaaaaaaaaanaaaaaakgakbaaaafaaaaaaegacbaaa
aeaaaaaadcaaaaakhcaabaaaaeaaaaaacgijcaaaaaaaaaaaaoaaaaaapgapbaaa
afaaaaaaegacbaaaaeaaaaaadgaaaaafhccabaaaagaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
ecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaa
acaaaaaaegacbaaaaeaaaaaadcaaaaakecaabaaaadaaaaaaakaabaaaaeaaaaaa
ckaabaaaacaaaaaabkaabaiaebaaaaaaafaaaaaabnaaaaajicaabaaaadaaaaaa
akaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaaafaaaaaaabaaaaahicaabaaa
adaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaadaaaaaa
dkaabaaaadaaaaaackaabaaaadaaaaaabkaabaaaafaaaaaadcaaaaakecaabaaa
acaaaaaackaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaackaabaaaadaaaaaa
deaaaaajecaabaaaadaaaaaaakaabaiaibaaaaaaafaaaaaabkaabaiaibaaaaaa
afaaaaaabnaaaaaiecaabaaaadaaaaaackaabaaaadaaaaaackaabaiaibaaaaaa
afaaaaaaabaaaaahecaabaaaadaaaaaackaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaacaaaaaackaabaaaadaaaaaackaabaaaacaaaaaackaabaaa
afaaaaaadbaaaaahbcaabaaaaeaaaaaaabeaaaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaacaaaaaaakaabaiaebaaaaaaaeaaaaaackaabaaaacaaaaaaclaaaaaf
ccaabaaaaeaaaaaackaabaaaacaaaaaadgaaaaagecaabaaaagaaaaaabkaabaia
ebaaaaaaaeaaaaaadgaaaaaidcaabaaaagaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaahaaaaaaggaibaaaafaaaaaaegacbaaa
agaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
jgaebaiaebaaaaaaahaaaaaadcaaaaajhcaabaaaaeaaaaaapgapbaaaadaaaaaa
egacbaaaaeaaaaaajgaebaaaahaaaaaadcaaaaakhcaabaaaaeaaaaaaegacbaia
ebaaaaaaagaaaaaaggaibaaaafaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaakgakbaaaadaaaaaaegacbaaaaeaaaaaaegacbaaaahaaaaaadiaaaaak
mcaabaaaadaaaaaafgajbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaaagaabaiaibaaaaaa
aeaaaaaaaaaaaaakmcaabaaaadaaaaaakgaobaaaadaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaimcaabaaaadaaaaaakgaobaaaadaaaaaa
agiacaaaaaaaaaaaapaaaaaaeiaaaaalpcaabaaaaeaaaaaaogakbaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaaiecaabaaa
acaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabbaaaaaadccaaaalicaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaabbaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdgcaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadiaaaaahiccabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadiaaaaaihcaabaaaaeaaaaaaegacbaaa
aeaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaaihcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaa
acaaaaaaaaaaaaaadiaaaaaihcaabaaaagaaaaaafgbfbaaaacaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaacaaaaaaegacbaaaagaaaaaadcaaaaakhcaabaaaagaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaagaaaaaaegacbaaaagaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
agaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaa
diaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
hcaabaaaaeaaaaaaegacbaaaaeaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaabaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
hcaabaaaafaaaaaapgapbaaaabaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaagaaaaaaegacbaaaafaaaaaaaaaaaaahecaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaacaaaaaackaabaaa
acaaaaaaaaaaaaahecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaaeaaaaaa
bkaaaaagbcaabaaaaeaaaaaadkiacaaaaaaaaaaabbaaaaaadgaaaaaigcaabaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaadpaaaaaaaa
egacbaaaaeaaaaaadcaaaabamcaabaaaadaaaaaakgakbaiaebaaaaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaaeaaaaaiadpelaaaaaficaabaaaabaaaaaackaabaaaadaaaaaadiaaaaah
ecaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaackaabaaaabaaaaaadiaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaanlapmjeanlapmjeaaaaaaaaaaaaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaenaaaaahbcaabaaaaeaaaaaabcaabaaa
afaaaaaabkaabaaaabaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaagaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaackaabaaaabaaaaaaakaabaaa
afaaaaaadiaaaaahecaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaa
diaaaaahmcaabaaaadaaaaaapgadbaaaabaaaaaafgafbaaaabaaaaaadcaaaaak
icaabaaaadaaaaaackaabaaaabaaaaaaakaabaaaagaaaaaadkaabaiaebaaaaaa
adaaaaaadcaaaaajbcaabaaaaeaaaaaabkaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaaeaaaaaaakaabaaaagaaaaaabkaabaaa
abaaaaaadcaaaaajccaabaaaaeaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
aeaaaaaaakaabaiaebaaaaaaagaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadiaaaaajhcaabaaaafaaaaaafgifcaaaadaaaaaa
anaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaa
aeaaaaaaafaaaaaaagiacaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadcaaaaal
hcaabaaaafaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaaanaaaaaa
egacbaaaafaaaaaadcaaaaalhcaabaaaafaaaaaaegiccaaaaeaaaaaaaiaaaaaa
pgipcaaaadaaaaaaanaaaaaaegacbaaaafaaaaaadiaaaaahocaabaaaagaaaaaa
fgafbaaaabaaaaaaagajbaaaafaaaaaadiaaaaajhcaabaaaahaaaaaafgifcaaa
adaaaaaaamaaaaaaegiccaaaaeaaaaaaagaaaaaadcaaaaalhcaabaaaahaaaaaa
egiccaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaamaaaaaaegacbaaaahaaaaaa
dcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaaahaaaaaakgikcaaaadaaaaaa
amaaaaaaegacbaaaahaaaaaadcaaaaalhcaabaaaahaaaaaaegiccaaaaeaaaaaa
aiaaaaaapgipcaaaadaaaaaaamaaaaaaegacbaaaahaaaaaadcaaaaajncaabaaa
aeaaaaaaagajbaaaahaaaaaaagaabaaaaeaaaaaafgaobaaaagaaaaaadiaaaaaj
ocaabaaaagaaaaaafgifcaaaadaaaaaaaoaaaaaaagijcaaaaeaaaaaaagaaaaaa
dcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaa
aoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaaagaaaaaaagijcaaaaeaaaaaa
ahaaaaaakgikcaaaadaaaaaaaoaaaaaafgaobaaaagaaaaaadcaaaaalocaabaaa
agaaaaaaagijcaaaaeaaaaaaaiaaaaaapgipcaaaadaaaaaaaoaaaaaafgaobaaa
agaaaaaadcaaaaajncaabaaaaeaaaaaafgaobaaaagaaaaaakgakbaaaadaaaaaa
agaobaaaaeaaaaaadgaaaaafccaabaaaaiaaaaaadkaabaaaaeaaaaaadcaaaaak
ccaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaadaaaaaaakaabaiaebaaaaaa
agaaaaaadcaaaaakbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaaeaaaaaa
akaabaiaebaaaaaaabaaaaaadiaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadiaaaaahecaabaaaadaaaaaadkaabaaaabaaaaaabkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaajaaaaaakgakbaaaadaaaaaaegacbaaaafaaaaaadcaaaaaj
hcaabaaaajaaaaaaegacbaaaahaaaaaapgapbaaaabaaaaaaegacbaaaajaaaaaa
dcaaaaajhcaabaaaajaaaaaajgahbaaaagaaaaaakgakbaaaacaaaaaaegacbaaa
ajaaaaaadiaaaaahhcaabaaaakaaaaaaagaabaaaabaaaaaaegacbaaaafaaaaaa
diaaaaahjcaabaaaabaaaaaafgafbaaaaaaaaaaaagaebaaaafaaaaaadcaaaaaj
dcaabaaaaaaaaaaaegaabaaaahaaaaaaagaabaaaaaaaaaaamgaabaaaabaaaaaa
dcaaaaajdcaabaaaaaaaaaaajgafbaaaagaaaaaakgakbaaaaaaaaaaaegaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaaaabaaaaaa
dcaaaaajlcaabaaaabaaaaaaegaibaaaahaaaaaakgakbaaaaaaaaaaaegaibaaa
akaaaaaadcaaaaajhcaabaaaabaaaaaajgahbaaaagaaaaaakgakbaaaabaaaaaa
egadbaaaabaaaaaadgaaaaafbcaabaaaaiaaaaaackaabaaaabaaaaaadgaaaaaf
ecaabaaaaiaaaaaackaabaaaajaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaa
aiaaaaaaegacbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaaiaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaibaaaaaaafaaaaaadiaaaaajmcaabaaaaaaaaaaa
fgifcaaaadaaaaaaapaaaaaaagiecaaaaeaaaaaaagaaaaaadcaaaaalmcaabaaa
aaaaaaaaagiecaaaaeaaaaaaafaaaaaaagiacaaaadaaaaaaapaaaaaakgaobaaa
aaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaaaeaaaaaaahaaaaaakgikcaaa
adaaaaaaapaaaaaakgaobaaaaaaaaaaadcaaaaalmcaabaaaaaaaaaaaagiecaaa
aeaaaaaaaiaaaaaapgipcaaaadaaaaaaapaaaaaakgaobaaaaaaaaaaaaaaaaaah
dcaabaaaaaaaaaaaogakbaaaaaaaaaaaegaabaaaaaaaaaaadbaaaaalhcaabaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaegacbaiaebaaaaaa
afaaaaaadbaaaaalhcaabaaaahaaaaaaegacbaiaebaaaaaaafaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaihcaabaaaagaaaaaaegacbaia
ebaaaaaaagaaaaaaegacbaaaahaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaeaaaaaaaeaaceaaaaaaaaaaaaa
aaaaaaaaaaaaialpaaaaialpdbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiecaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaacgaaaaaiaanaaaaahcaabaaaahaaaaaakgakbaaaabaaaaaaegacbaaa
agaaaaaaclaaaaafhcaabaaaahaaaaaaegacbaaaahaaaaaadiaaaaahhcaabaaa
ahaaaaaajgafbaaaafaaaaaaegacbaaaahaaaaaaclaaaaafmcaabaaaabaaaaaa
agaebaaaagaaaaaadiaaaaahmcaabaaaabaaaaaakgakbaaaaaaaaaaakgaobaaa
abaaaaaadbaaaaakmcaabaaaadaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaakgaobaaaabaaaaaadbaaaaakkcaabaaaaeaaaaaakgaobaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaboaaaaaimcaabaaaadaaaaaa
kgaobaiaebaaaaaaadaaaaaafganbaaaaeaaaaaacgaaaaaiaanaaaaamcaabaaa
adaaaaaakgaobaaaadaaaaaaagaebaaaagaaaaaaclaaaaafmcaabaaaadaaaaaa
kgaobaaaadaaaaaadcaaaaajmcaabaaaadaaaaaakgaobaaaadaaaaaakgacbaaa
afaaaaaaagaebaaaahaaaaaadiaaaaahkcaabaaaaeaaaaaapgapbaaaadaaaaaa
agaibaaaaeaaaaaadiaaaaahfcaabaaaaeaaaaaapgapbaaaaaaaaaaaagacbaaa
aeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaabaaaaaakgakbaaaadaaaaaa
agaibaaaaeaaaaaadcaaaaajmcaabaaaadaaaaaaagaebaaaajaaaaaakgakbaaa
abaaaaaakgaobaaaadaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaaabaaaaaa
pgapbaaaabaaaaaafganbaaaaeaaaaaadcaaaaajmcaabaaaabaaaaaaagaebaaa
ajaaaaaapgapbaaaaaaaaaaakgaobaaaabaaaaaadcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaabaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapmccabaaa
adaaaaaakgaobaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaajkjjbjdpjkjjbjdp
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdcaaaaajmcaabaaaabaaaaaa
agaebaaaaaaaaaaapgbpbaaaaaaaaaaakgaobaaaadaaaaaaaaaaaaaimcaabaaa
abaaaaaaagaebaiaebaaaaaaadaaaaaakgaobaaaabaaaaaadcaaaaapdccabaaa
adaaaaaaogakbaaaabaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaafaaaaaadbaaaaahecaabaaaabaaaaaackaabaaa
afaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaabaaaaaaclaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaadcaaaaajdcaabaaaabaaaaaa
egaabaaaabaaaaaakgakbaaaaaaaaaaaigaabaaaaeaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaabaaaaaacgaaaaaiaanaaaaa
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaagaaaaaaclaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaafaaaaaackaabaaaahaaaaaadcaaaaajmcaabaaaaaaaaaaaagaebaaa
ajaaaaaakgakbaaaaaaaaaaaagaebaaaabaaaaaadcaaaaajdcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgbpbaaaaaaaaaaaogakbaaaaaaaaaaaaaaaaaaidcaabaaa
aaaaaaaaegaabaiaebaaaaaaadaaaaaaegaabaaaaaaaaaaadcaaaaapdccabaaa
aeaaaaaaegaabaaaaaaaaaaaaceaaaaajkjjbjdpjkjjbjdpaaaaaaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaa
bkaabaaaacaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaadpdiaaaaakfcaabaaaaaaaaaaaagadbaaa
acaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaaaadgaaaaaficcabaaa
afaaaaaadkaabaaaacaaaaaaaaaaaaahdccabaaaafaaaaaakgakbaaaaaaaaaaa
mgaabaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaackiacaaa
adaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaadaaaaaaaeaaaaaa
akbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaa
adaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaadaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaageccabaaaafaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 256 // 252 used size, 14 vars
Vector 16 [_LightColor0] 4
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Float 176 [_DetailScale]
Float 208 [_DistFade]
Float 212 [_DistFadeVert]
Float 220 [_Rotation]
Float 224 [_MaxScale]
Float 228 [_NoiseScale]
Vector 240 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 611
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 613
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 617
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 621
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 771
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 775
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 393
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 397
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 401
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 405
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 464
highp vec4 permute( in highp vec4 x ) {
    #line 466
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 472
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 474
    return (1.79284 - (0.853735 * r));
}
#line 508
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 512
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 516
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 520
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 524
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 528
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 532
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 536
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 540
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 544
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 548
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 830
v2f vert( in appdata_t v ) {
    v2f o;
    #line 834
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 838
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 842
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 846
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 850
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 854
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 858
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 862
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 866
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 870
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 874
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 878
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 882
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 818
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 809
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 508
#line 593
#line 597
#line 625
#line 634
#line 642
#line 650
#line 655
#line 771
#line 780
#line 788
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 792
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 796
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 800
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 804
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 808
uniform sampler2D _CameraDepthTexture;
#line 830
#line 655
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 659
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 663
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 667
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 671
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 677
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 683
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 689
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 695
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 701
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 705
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 593
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 884
lowp vec4 frag( in v2f IN ) {
    #line 886
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 890
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 894
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 898
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 902
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform vec3 _MaxTrans;
uniform float _NoiseScale;
uniform float _MaxScale;
uniform float _Rotation;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform vec4 _LightColor0;
uniform mat4 unity_MatrixV;

uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 XYv_1;
  vec4 XZv_2;
  vec4 ZYv_3;
  vec4 localOrigin_4;
  vec4 tmpvar_5;
  vec4 tmpvar_6;
  vec3 tmpvar_7;
  tmpvar_7 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  float tmpvar_8;
  vec3 tmpvar_9;
  tmpvar_9 = floor((tmpvar_7 + dot (tmpvar_7, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_10;
  tmpvar_10 = ((tmpvar_7 - tmpvar_9) + dot (tmpvar_9, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_11;
  t_11.x = float((tmpvar_10.x >= tmpvar_10.y));
  t_11.y = float((tmpvar_10.y >= tmpvar_10.z));
  t_11.z = float((tmpvar_10.z >= tmpvar_10.x));
  vec3 tmpvar_12;
  tmpvar_12 = (1.0 - t_11);
  vec3 tmpvar_13;
  tmpvar_13 = min (t_11, tmpvar_12.zxy);
  vec3 tmpvar_14;
  tmpvar_14 = max (t_11, tmpvar_12.zxy);
  vec3 tmpvar_15;
  tmpvar_15 = ((tmpvar_10 - tmpvar_13) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_10 - tmpvar_14) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_17;
  tmpvar_17 = (tmpvar_10 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_9 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_19;
  tmpvar_19 = (fract(abs(tmpvar_18)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_20;
  if ((tmpvar_18.x >= 0.0)) {
    tmpvar_20 = tmpvar_19.x;
  } else {
    tmpvar_20 = -(tmpvar_19.x);
  };
  float tmpvar_21;
  if ((tmpvar_18.y >= 0.0)) {
    tmpvar_21 = tmpvar_19.y;
  } else {
    tmpvar_21 = -(tmpvar_19.y);
  };
  float tmpvar_22;
  if ((tmpvar_18.z >= 0.0)) {
    tmpvar_22 = tmpvar_19.z;
  } else {
    tmpvar_22 = -(tmpvar_19.z);
  };
  vec4 tmpvar_23;
  tmpvar_23.xw = vec2(0.0, 1.0);
  tmpvar_23.y = tmpvar_13.z;
  tmpvar_23.z = tmpvar_14.z;
  vec4 x_24;
  x_24 = (tmpvar_22 + tmpvar_23);
  vec4 tmpvar_25;
  tmpvar_25 = ((((x_24 * x_24) * 34.0) + x_24) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_26;
  tmpvar_26 = (fract(abs(tmpvar_25)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_27;
  if ((tmpvar_25.x >= 0.0)) {
    tmpvar_27 = tmpvar_26.x;
  } else {
    tmpvar_27 = -(tmpvar_26.x);
  };
  float tmpvar_28;
  if ((tmpvar_25.y >= 0.0)) {
    tmpvar_28 = tmpvar_26.y;
  } else {
    tmpvar_28 = -(tmpvar_26.y);
  };
  float tmpvar_29;
  if ((tmpvar_25.z >= 0.0)) {
    tmpvar_29 = tmpvar_26.z;
  } else {
    tmpvar_29 = -(tmpvar_26.z);
  };
  float tmpvar_30;
  if ((tmpvar_25.w >= 0.0)) {
    tmpvar_30 = tmpvar_26.w;
  } else {
    tmpvar_30 = -(tmpvar_26.w);
  };
  vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_27;
  tmpvar_31.y = tmpvar_28;
  tmpvar_31.z = tmpvar_29;
  tmpvar_31.w = tmpvar_30;
  vec4 tmpvar_32;
  tmpvar_32.xw = vec2(0.0, 1.0);
  tmpvar_32.y = tmpvar_13.y;
  tmpvar_32.z = tmpvar_14.y;
  vec4 x_33;
  x_33 = ((tmpvar_31 + tmpvar_21) + tmpvar_32);
  vec4 tmpvar_34;
  tmpvar_34 = ((((x_33 * x_33) * 34.0) + x_33) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_35;
  tmpvar_35 = (fract(abs(tmpvar_34)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_36;
  if ((tmpvar_34.x >= 0.0)) {
    tmpvar_36 = tmpvar_35.x;
  } else {
    tmpvar_36 = -(tmpvar_35.x);
  };
  float tmpvar_37;
  if ((tmpvar_34.y >= 0.0)) {
    tmpvar_37 = tmpvar_35.y;
  } else {
    tmpvar_37 = -(tmpvar_35.y);
  };
  float tmpvar_38;
  if ((tmpvar_34.z >= 0.0)) {
    tmpvar_38 = tmpvar_35.z;
  } else {
    tmpvar_38 = -(tmpvar_35.z);
  };
  float tmpvar_39;
  if ((tmpvar_34.w >= 0.0)) {
    tmpvar_39 = tmpvar_35.w;
  } else {
    tmpvar_39 = -(tmpvar_35.w);
  };
  vec4 tmpvar_40;
  tmpvar_40.x = tmpvar_36;
  tmpvar_40.y = tmpvar_37;
  tmpvar_40.z = tmpvar_38;
  tmpvar_40.w = tmpvar_39;
  vec4 tmpvar_41;
  tmpvar_41.xw = vec2(0.0, 1.0);
  tmpvar_41.y = tmpvar_13.x;
  tmpvar_41.z = tmpvar_14.x;
  vec4 x_42;
  x_42 = ((tmpvar_40 + tmpvar_20) + tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = ((((x_42 * x_42) * 34.0) + x_42) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_44;
  tmpvar_44 = (fract(abs(tmpvar_43)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_45;
  if ((tmpvar_43.x >= 0.0)) {
    tmpvar_45 = tmpvar_44.x;
  } else {
    tmpvar_45 = -(tmpvar_44.x);
  };
  float tmpvar_46;
  if ((tmpvar_43.y >= 0.0)) {
    tmpvar_46 = tmpvar_44.y;
  } else {
    tmpvar_46 = -(tmpvar_44.y);
  };
  float tmpvar_47;
  if ((tmpvar_43.z >= 0.0)) {
    tmpvar_47 = tmpvar_44.z;
  } else {
    tmpvar_47 = -(tmpvar_44.z);
  };
  float tmpvar_48;
  if ((tmpvar_43.w >= 0.0)) {
    tmpvar_48 = tmpvar_44.w;
  } else {
    tmpvar_48 = -(tmpvar_44.w);
  };
  vec4 tmpvar_49;
  tmpvar_49.x = tmpvar_45;
  tmpvar_49.y = tmpvar_46;
  tmpvar_49.z = tmpvar_47;
  tmpvar_49.w = tmpvar_48;
  vec4 tmpvar_50;
  tmpvar_50 = (tmpvar_49 - (49.0 * floor((0.0204081 * tmpvar_49))));
  vec4 tmpvar_51;
  tmpvar_51 = floor((tmpvar_50 * 0.142857));
  vec4 tmpvar_52;
  tmpvar_52 = ((tmpvar_51 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_53;
  tmpvar_53 = ((floor((tmpvar_50 - (7.0 * tmpvar_51))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_54;
  tmpvar_54 = ((1.0 - abs(tmpvar_52)) - abs(tmpvar_53));
  vec4 tmpvar_55;
  tmpvar_55.xy = tmpvar_52.xy;
  tmpvar_55.zw = tmpvar_53.xy;
  vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_52.zw;
  tmpvar_56.zw = tmpvar_53.zw;
  vec4 t_57;
  t_57.x = float((0.0 >= tmpvar_54.x));
  t_57.y = float((0.0 >= tmpvar_54.y));
  t_57.z = float((0.0 >= tmpvar_54.z));
  t_57.w = float((0.0 >= tmpvar_54.w));
  vec4 tmpvar_58;
  tmpvar_58 = -(t_57);
  vec4 tmpvar_59;
  tmpvar_59 = (tmpvar_55.xzyw + (((floor(tmpvar_55) * 2.0) + 1.0).xzyw * tmpvar_58.xxyy));
  vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_58.zzww));
  vec3 tmpvar_61;
  tmpvar_61.xy = tmpvar_59.xy;
  tmpvar_61.z = tmpvar_54.x;
  vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_59.zw;
  tmpvar_62.z = tmpvar_54.y;
  vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.xy;
  tmpvar_63.z = tmpvar_54.z;
  vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_60.zw;
  tmpvar_64.z = tmpvar_54.w;
  vec4 tmpvar_65;
  tmpvar_65.x = dot (tmpvar_61, tmpvar_61);
  tmpvar_65.y = dot (tmpvar_62, tmpvar_62);
  tmpvar_65.z = dot (tmpvar_63, tmpvar_63);
  tmpvar_65.w = dot (tmpvar_64, tmpvar_64);
  vec4 tmpvar_66;
  tmpvar_66 = (1.79284 - (0.853735 * tmpvar_65));
  vec4 tmpvar_67;
  tmpvar_67.x = dot (tmpvar_10, tmpvar_10);
  tmpvar_67.y = dot (tmpvar_15, tmpvar_15);
  tmpvar_67.z = dot (tmpvar_16, tmpvar_16);
  tmpvar_67.w = dot (tmpvar_17, tmpvar_17);
  vec4 tmpvar_68;
  tmpvar_68 = max ((0.6 - tmpvar_67), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_69;
  tmpvar_69 = (tmpvar_68 * tmpvar_68);
  vec4 tmpvar_70;
  tmpvar_70.x = dot ((tmpvar_61 * tmpvar_66.x), tmpvar_10);
  tmpvar_70.y = dot ((tmpvar_62 * tmpvar_66.y), tmpvar_15);
  tmpvar_70.z = dot ((tmpvar_63 * tmpvar_66.z), tmpvar_16);
  tmpvar_70.w = dot ((tmpvar_64 * tmpvar_66.w), tmpvar_17);
  tmpvar_8 = (42.0 * dot ((tmpvar_69 * tmpvar_69), tmpvar_70));
  float tmpvar_71;
  vec3 v_72;
  v_72 = (2.0 * tmpvar_7);
  vec3 tmpvar_73;
  tmpvar_73 = floor((v_72 + dot (v_72, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_74;
  tmpvar_74 = ((v_72 - tmpvar_73) + dot (tmpvar_73, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_75;
  t_75.x = float((tmpvar_74.x >= tmpvar_74.y));
  t_75.y = float((tmpvar_74.y >= tmpvar_74.z));
  t_75.z = float((tmpvar_74.z >= tmpvar_74.x));
  vec3 tmpvar_76;
  tmpvar_76 = (1.0 - t_75);
  vec3 tmpvar_77;
  tmpvar_77 = min (t_75, tmpvar_76.zxy);
  vec3 tmpvar_78;
  tmpvar_78 = max (t_75, tmpvar_76.zxy);
  vec3 tmpvar_79;
  tmpvar_79 = ((tmpvar_74 - tmpvar_77) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_74 - tmpvar_78) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_81;
  tmpvar_81 = (tmpvar_74 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_73 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_83;
  tmpvar_83 = (fract(abs(tmpvar_82)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_84;
  if ((tmpvar_82.x >= 0.0)) {
    tmpvar_84 = tmpvar_83.x;
  } else {
    tmpvar_84 = -(tmpvar_83.x);
  };
  float tmpvar_85;
  if ((tmpvar_82.y >= 0.0)) {
    tmpvar_85 = tmpvar_83.y;
  } else {
    tmpvar_85 = -(tmpvar_83.y);
  };
  float tmpvar_86;
  if ((tmpvar_82.z >= 0.0)) {
    tmpvar_86 = tmpvar_83.z;
  } else {
    tmpvar_86 = -(tmpvar_83.z);
  };
  vec4 tmpvar_87;
  tmpvar_87.xw = vec2(0.0, 1.0);
  tmpvar_87.y = tmpvar_77.z;
  tmpvar_87.z = tmpvar_78.z;
  vec4 x_88;
  x_88 = (tmpvar_86 + tmpvar_87);
  vec4 tmpvar_89;
  tmpvar_89 = ((((x_88 * x_88) * 34.0) + x_88) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_90;
  tmpvar_90 = (fract(abs(tmpvar_89)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_91;
  if ((tmpvar_89.x >= 0.0)) {
    tmpvar_91 = tmpvar_90.x;
  } else {
    tmpvar_91 = -(tmpvar_90.x);
  };
  float tmpvar_92;
  if ((tmpvar_89.y >= 0.0)) {
    tmpvar_92 = tmpvar_90.y;
  } else {
    tmpvar_92 = -(tmpvar_90.y);
  };
  float tmpvar_93;
  if ((tmpvar_89.z >= 0.0)) {
    tmpvar_93 = tmpvar_90.z;
  } else {
    tmpvar_93 = -(tmpvar_90.z);
  };
  float tmpvar_94;
  if ((tmpvar_89.w >= 0.0)) {
    tmpvar_94 = tmpvar_90.w;
  } else {
    tmpvar_94 = -(tmpvar_90.w);
  };
  vec4 tmpvar_95;
  tmpvar_95.x = tmpvar_91;
  tmpvar_95.y = tmpvar_92;
  tmpvar_95.z = tmpvar_93;
  tmpvar_95.w = tmpvar_94;
  vec4 tmpvar_96;
  tmpvar_96.xw = vec2(0.0, 1.0);
  tmpvar_96.y = tmpvar_77.y;
  tmpvar_96.z = tmpvar_78.y;
  vec4 x_97;
  x_97 = ((tmpvar_95 + tmpvar_85) + tmpvar_96);
  vec4 tmpvar_98;
  tmpvar_98 = ((((x_97 * x_97) * 34.0) + x_97) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_99;
  tmpvar_99 = (fract(abs(tmpvar_98)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_100;
  if ((tmpvar_98.x >= 0.0)) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = -(tmpvar_99.x);
  };
  float tmpvar_101;
  if ((tmpvar_98.y >= 0.0)) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = -(tmpvar_99.y);
  };
  float tmpvar_102;
  if ((tmpvar_98.z >= 0.0)) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = -(tmpvar_99.z);
  };
  float tmpvar_103;
  if ((tmpvar_98.w >= 0.0)) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = -(tmpvar_99.w);
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  vec4 tmpvar_105;
  tmpvar_105.xw = vec2(0.0, 1.0);
  tmpvar_105.y = tmpvar_77.x;
  tmpvar_105.z = tmpvar_78.x;
  vec4 x_106;
  x_106 = ((tmpvar_104 + tmpvar_84) + tmpvar_105);
  vec4 tmpvar_107;
  tmpvar_107 = ((((x_106 * x_106) * 34.0) + x_106) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_108;
  tmpvar_108 = (fract(abs(tmpvar_107)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_109;
  if ((tmpvar_107.x >= 0.0)) {
    tmpvar_109 = tmpvar_108.x;
  } else {
    tmpvar_109 = -(tmpvar_108.x);
  };
  float tmpvar_110;
  if ((tmpvar_107.y >= 0.0)) {
    tmpvar_110 = tmpvar_108.y;
  } else {
    tmpvar_110 = -(tmpvar_108.y);
  };
  float tmpvar_111;
  if ((tmpvar_107.z >= 0.0)) {
    tmpvar_111 = tmpvar_108.z;
  } else {
    tmpvar_111 = -(tmpvar_108.z);
  };
  float tmpvar_112;
  if ((tmpvar_107.w >= 0.0)) {
    tmpvar_112 = tmpvar_108.w;
  } else {
    tmpvar_112 = -(tmpvar_108.w);
  };
  vec4 tmpvar_113;
  tmpvar_113.x = tmpvar_109;
  tmpvar_113.y = tmpvar_110;
  tmpvar_113.z = tmpvar_111;
  tmpvar_113.w = tmpvar_112;
  vec4 tmpvar_114;
  tmpvar_114 = (tmpvar_113 - (49.0 * floor((0.0204081 * tmpvar_113))));
  vec4 tmpvar_115;
  tmpvar_115 = floor((tmpvar_114 * 0.142857));
  vec4 tmpvar_116;
  tmpvar_116 = ((tmpvar_115 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_117;
  tmpvar_117 = ((floor((tmpvar_114 - (7.0 * tmpvar_115))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_118;
  tmpvar_118 = ((1.0 - abs(tmpvar_116)) - abs(tmpvar_117));
  vec4 tmpvar_119;
  tmpvar_119.xy = tmpvar_116.xy;
  tmpvar_119.zw = tmpvar_117.xy;
  vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_116.zw;
  tmpvar_120.zw = tmpvar_117.zw;
  vec4 t_121;
  t_121.x = float((0.0 >= tmpvar_118.x));
  t_121.y = float((0.0 >= tmpvar_118.y));
  t_121.z = float((0.0 >= tmpvar_118.z));
  t_121.w = float((0.0 >= tmpvar_118.w));
  vec4 tmpvar_122;
  tmpvar_122 = -(t_121);
  vec4 tmpvar_123;
  tmpvar_123 = (tmpvar_119.xzyw + (((floor(tmpvar_119) * 2.0) + 1.0).xzyw * tmpvar_122.xxyy));
  vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_122.zzww));
  vec3 tmpvar_125;
  tmpvar_125.xy = tmpvar_123.xy;
  tmpvar_125.z = tmpvar_118.x;
  vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_123.zw;
  tmpvar_126.z = tmpvar_118.y;
  vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.xy;
  tmpvar_127.z = tmpvar_118.z;
  vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_124.zw;
  tmpvar_128.z = tmpvar_118.w;
  vec4 tmpvar_129;
  tmpvar_129.x = dot (tmpvar_125, tmpvar_125);
  tmpvar_129.y = dot (tmpvar_126, tmpvar_126);
  tmpvar_129.z = dot (tmpvar_127, tmpvar_127);
  tmpvar_129.w = dot (tmpvar_128, tmpvar_128);
  vec4 tmpvar_130;
  tmpvar_130 = (1.79284 - (0.853735 * tmpvar_129));
  vec4 tmpvar_131;
  tmpvar_131.x = dot (tmpvar_74, tmpvar_74);
  tmpvar_131.y = dot (tmpvar_79, tmpvar_79);
  tmpvar_131.z = dot (tmpvar_80, tmpvar_80);
  tmpvar_131.w = dot (tmpvar_81, tmpvar_81);
  vec4 tmpvar_132;
  tmpvar_132 = max ((0.6 - tmpvar_131), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_133;
  tmpvar_133 = (tmpvar_132 * tmpvar_132);
  vec4 tmpvar_134;
  tmpvar_134.x = dot ((tmpvar_125 * tmpvar_130.x), tmpvar_74);
  tmpvar_134.y = dot ((tmpvar_126 * tmpvar_130.y), tmpvar_79);
  tmpvar_134.z = dot ((tmpvar_127 * tmpvar_130.z), tmpvar_80);
  tmpvar_134.w = dot ((tmpvar_128 * tmpvar_130.w), tmpvar_81);
  tmpvar_71 = (42.0 * dot ((tmpvar_133 * tmpvar_133), tmpvar_134));
  vec3 v_135;
  v_135 = (4.0 * tmpvar_7);
  vec3 tmpvar_136;
  tmpvar_136 = floor((v_135 + dot (v_135, vec3(0.333333, 0.333333, 0.333333))));
  vec3 tmpvar_137;
  tmpvar_137 = ((v_135 - tmpvar_136) + dot (tmpvar_136, vec3(0.166667, 0.166667, 0.166667)));
  vec3 t_138;
  t_138.x = float((tmpvar_137.x >= tmpvar_137.y));
  t_138.y = float((tmpvar_137.y >= tmpvar_137.z));
  t_138.z = float((tmpvar_137.z >= tmpvar_137.x));
  vec3 tmpvar_139;
  tmpvar_139 = (1.0 - t_138);
  vec3 tmpvar_140;
  tmpvar_140 = min (t_138, tmpvar_139.zxy);
  vec3 tmpvar_141;
  tmpvar_141 = max (t_138, tmpvar_139.zxy);
  vec3 tmpvar_142;
  tmpvar_142 = ((tmpvar_137 - tmpvar_140) + vec3(0.166667, 0.166667, 0.166667));
  vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_137 - tmpvar_141) + vec3(0.333333, 0.333333, 0.333333));
  vec3 tmpvar_144;
  tmpvar_144 = (tmpvar_137 - vec3(0.5, 0.5, 0.5));
  vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_136 / vec3(289.0, 289.0, 289.0));
  vec3 tmpvar_146;
  tmpvar_146 = (fract(abs(tmpvar_145)) * vec3(289.0, 289.0, 289.0));
  float tmpvar_147;
  if ((tmpvar_145.x >= 0.0)) {
    tmpvar_147 = tmpvar_146.x;
  } else {
    tmpvar_147 = -(tmpvar_146.x);
  };
  float tmpvar_148;
  if ((tmpvar_145.y >= 0.0)) {
    tmpvar_148 = tmpvar_146.y;
  } else {
    tmpvar_148 = -(tmpvar_146.y);
  };
  float tmpvar_149;
  if ((tmpvar_145.z >= 0.0)) {
    tmpvar_149 = tmpvar_146.z;
  } else {
    tmpvar_149 = -(tmpvar_146.z);
  };
  vec4 tmpvar_150;
  tmpvar_150.xw = vec2(0.0, 1.0);
  tmpvar_150.y = tmpvar_140.z;
  tmpvar_150.z = tmpvar_141.z;
  vec4 x_151;
  x_151 = (tmpvar_149 + tmpvar_150);
  vec4 tmpvar_152;
  tmpvar_152 = ((((x_151 * x_151) * 34.0) + x_151) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_153;
  tmpvar_153 = (fract(abs(tmpvar_152)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_154;
  if ((tmpvar_152.x >= 0.0)) {
    tmpvar_154 = tmpvar_153.x;
  } else {
    tmpvar_154 = -(tmpvar_153.x);
  };
  float tmpvar_155;
  if ((tmpvar_152.y >= 0.0)) {
    tmpvar_155 = tmpvar_153.y;
  } else {
    tmpvar_155 = -(tmpvar_153.y);
  };
  float tmpvar_156;
  if ((tmpvar_152.z >= 0.0)) {
    tmpvar_156 = tmpvar_153.z;
  } else {
    tmpvar_156 = -(tmpvar_153.z);
  };
  float tmpvar_157;
  if ((tmpvar_152.w >= 0.0)) {
    tmpvar_157 = tmpvar_153.w;
  } else {
    tmpvar_157 = -(tmpvar_153.w);
  };
  vec4 tmpvar_158;
  tmpvar_158.x = tmpvar_154;
  tmpvar_158.y = tmpvar_155;
  tmpvar_158.z = tmpvar_156;
  tmpvar_158.w = tmpvar_157;
  vec4 tmpvar_159;
  tmpvar_159.xw = vec2(0.0, 1.0);
  tmpvar_159.y = tmpvar_140.y;
  tmpvar_159.z = tmpvar_141.y;
  vec4 x_160;
  x_160 = ((tmpvar_158 + tmpvar_148) + tmpvar_159);
  vec4 tmpvar_161;
  tmpvar_161 = ((((x_160 * x_160) * 34.0) + x_160) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_162;
  tmpvar_162 = (fract(abs(tmpvar_161)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_163;
  if ((tmpvar_161.x >= 0.0)) {
    tmpvar_163 = tmpvar_162.x;
  } else {
    tmpvar_163 = -(tmpvar_162.x);
  };
  float tmpvar_164;
  if ((tmpvar_161.y >= 0.0)) {
    tmpvar_164 = tmpvar_162.y;
  } else {
    tmpvar_164 = -(tmpvar_162.y);
  };
  float tmpvar_165;
  if ((tmpvar_161.z >= 0.0)) {
    tmpvar_165 = tmpvar_162.z;
  } else {
    tmpvar_165 = -(tmpvar_162.z);
  };
  float tmpvar_166;
  if ((tmpvar_161.w >= 0.0)) {
    tmpvar_166 = tmpvar_162.w;
  } else {
    tmpvar_166 = -(tmpvar_162.w);
  };
  vec4 tmpvar_167;
  tmpvar_167.x = tmpvar_163;
  tmpvar_167.y = tmpvar_164;
  tmpvar_167.z = tmpvar_165;
  tmpvar_167.w = tmpvar_166;
  vec4 tmpvar_168;
  tmpvar_168.xw = vec2(0.0, 1.0);
  tmpvar_168.y = tmpvar_140.x;
  tmpvar_168.z = tmpvar_141.x;
  vec4 x_169;
  x_169 = ((tmpvar_167 + tmpvar_147) + tmpvar_168);
  vec4 tmpvar_170;
  tmpvar_170 = ((((x_169 * x_169) * 34.0) + x_169) / vec4(289.0, 289.0, 289.0, 289.0));
  vec4 tmpvar_171;
  tmpvar_171 = (fract(abs(tmpvar_170)) * vec4(289.0, 289.0, 289.0, 289.0));
  float tmpvar_172;
  if ((tmpvar_170.x >= 0.0)) {
    tmpvar_172 = tmpvar_171.x;
  } else {
    tmpvar_172 = -(tmpvar_171.x);
  };
  float tmpvar_173;
  if ((tmpvar_170.y >= 0.0)) {
    tmpvar_173 = tmpvar_171.y;
  } else {
    tmpvar_173 = -(tmpvar_171.y);
  };
  float tmpvar_174;
  if ((tmpvar_170.z >= 0.0)) {
    tmpvar_174 = tmpvar_171.z;
  } else {
    tmpvar_174 = -(tmpvar_171.z);
  };
  float tmpvar_175;
  if ((tmpvar_170.w >= 0.0)) {
    tmpvar_175 = tmpvar_171.w;
  } else {
    tmpvar_175 = -(tmpvar_171.w);
  };
  vec4 tmpvar_176;
  tmpvar_176.x = tmpvar_172;
  tmpvar_176.y = tmpvar_173;
  tmpvar_176.z = tmpvar_174;
  tmpvar_176.w = tmpvar_175;
  vec4 tmpvar_177;
  tmpvar_177 = (tmpvar_176 - (49.0 * floor((0.0204081 * tmpvar_176))));
  vec4 tmpvar_178;
  tmpvar_178 = floor((tmpvar_177 * 0.142857));
  vec4 tmpvar_179;
  tmpvar_179 = ((tmpvar_178 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_180;
  tmpvar_180 = ((floor((tmpvar_177 - (7.0 * tmpvar_178))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  vec4 tmpvar_181;
  tmpvar_181 = ((1.0 - abs(tmpvar_179)) - abs(tmpvar_180));
  vec4 tmpvar_182;
  tmpvar_182.xy = tmpvar_179.xy;
  tmpvar_182.zw = tmpvar_180.xy;
  vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_179.zw;
  tmpvar_183.zw = tmpvar_180.zw;
  vec4 t_184;
  t_184.x = float((0.0 >= tmpvar_181.x));
  t_184.y = float((0.0 >= tmpvar_181.y));
  t_184.z = float((0.0 >= tmpvar_181.z));
  t_184.w = float((0.0 >= tmpvar_181.w));
  vec4 tmpvar_185;
  tmpvar_185 = -(t_184);
  vec4 tmpvar_186;
  tmpvar_186 = (tmpvar_182.xzyw + (((floor(tmpvar_182) * 2.0) + 1.0).xzyw * tmpvar_185.xxyy));
  vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_185.zzww));
  vec3 tmpvar_188;
  tmpvar_188.xy = tmpvar_186.xy;
  tmpvar_188.z = tmpvar_181.x;
  vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_186.zw;
  tmpvar_189.z = tmpvar_181.y;
  vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.xy;
  tmpvar_190.z = tmpvar_181.z;
  vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_187.zw;
  tmpvar_191.z = tmpvar_181.w;
  vec4 tmpvar_192;
  tmpvar_192.x = dot (tmpvar_188, tmpvar_188);
  tmpvar_192.y = dot (tmpvar_189, tmpvar_189);
  tmpvar_192.z = dot (tmpvar_190, tmpvar_190);
  tmpvar_192.w = dot (tmpvar_191, tmpvar_191);
  vec4 tmpvar_193;
  tmpvar_193 = (1.79284 - (0.853735 * tmpvar_192));
  vec4 tmpvar_194;
  tmpvar_194.x = dot (tmpvar_137, tmpvar_137);
  tmpvar_194.y = dot (tmpvar_142, tmpvar_142);
  tmpvar_194.z = dot (tmpvar_143, tmpvar_143);
  tmpvar_194.w = dot (tmpvar_144, tmpvar_144);
  vec4 tmpvar_195;
  tmpvar_195 = max ((0.6 - tmpvar_194), vec4(0.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_196;
  tmpvar_196 = (tmpvar_195 * tmpvar_195);
  vec4 tmpvar_197;
  tmpvar_197.x = dot ((tmpvar_188 * tmpvar_193.x), tmpvar_137);
  tmpvar_197.y = dot ((tmpvar_189 * tmpvar_193.y), tmpvar_142);
  tmpvar_197.z = dot ((tmpvar_190 * tmpvar_193.z), tmpvar_143);
  tmpvar_197.w = dot ((tmpvar_191 * tmpvar_193.w), tmpvar_144);
  vec3 tmpvar_198;
  tmpvar_198.x = tmpvar_8;
  tmpvar_198.y = tmpvar_71;
  tmpvar_198.z = (42.0 * dot ((tmpvar_196 * tmpvar_196), tmpvar_197));
  vec3 tmpvar_199;
  tmpvar_199 = (0.5 * (tmpvar_198 + 1.0));
  localOrigin_4.xyz = (((2.0 * tmpvar_199) - 1.0) * _MaxTrans);
  localOrigin_4.w = 1.0;
  float tmpvar_200;
  tmpvar_200 = ((tmpvar_199.x * (_MaxScale - 1.0)) + 1.0);
  vec4 tmpvar_201;
  tmpvar_201 = (_Object2World * localOrigin_4);
  vec4 tmpvar_202;
  tmpvar_202 = (_MainRotation * tmpvar_201);
  vec4 uv_203;
  vec3 tmpvar_204;
  tmpvar_204 = normalize((_DetailRotation * tmpvar_202).xyz);
  vec2 uv_205;
  vec3 tmpvar_206;
  tmpvar_206 = abs(tmpvar_204);
  float tmpvar_207;
  tmpvar_207 = float((tmpvar_206.z >= tmpvar_206.x));
  float tmpvar_208;
  tmpvar_208 = float((max (tmpvar_206.x, tmpvar_206.z) >= tmpvar_206.y));
  float tmpvar_209;
  tmpvar_209 = sign(mix (tmpvar_204.y, mix (tmpvar_204.x, tmpvar_204.z, tmpvar_207), tmpvar_208));
  vec3 tmpvar_210;
  tmpvar_210.xz = vec2(1.0, 1.0);
  tmpvar_210.y = -(tmpvar_209);
  vec3 tmpvar_211;
  tmpvar_211.xz = vec2(1.0, 1.0);
  tmpvar_211.y = tmpvar_209;
  vec3 tmpvar_212;
  tmpvar_212.xy = vec2(1.0, 1.0);
  tmpvar_212.z = -(tmpvar_209);
  vec3 tmpvar_213;
  tmpvar_213 = mix ((tmpvar_212 * tmpvar_204.yxz), mix ((tmpvar_210 * tmpvar_204.xzy), (tmpvar_211 * tmpvar_204.zxy), vec3(tmpvar_207)), vec3(tmpvar_208));
  uv_205.x = (((0.5 * tmpvar_213.y) / abs(tmpvar_213.x)) + 0.5);
  uv_205.y = (((0.5 * tmpvar_213.z) / abs(tmpvar_213.x)) + 0.5);
  uv_203.xy = (uv_205 * _DetailScale);
  uv_203.zw = vec2(0.0, 0.0);
  tmpvar_5 = texture2DLod (_DetailTex, uv_203.xy, 0.0);
  vec4 tmpvar_214;
  tmpvar_214.w = 0.0;
  tmpvar_214.xyz = _WorldSpaceCameraPos;
  float tmpvar_215;
  vec4 p_216;
  p_216 = (tmpvar_201 - tmpvar_214);
  tmpvar_215 = sqrt(dot (p_216, p_216));
  tmpvar_5.w = (tmpvar_5.w * (clamp ((_DistFade * tmpvar_215), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_215)), 0.0, 1.0)));
  vec3 tmpvar_217;
  tmpvar_217.yz = vec2(0.0, 0.0);
  tmpvar_217.x = fract(_Rotation);
  vec3 x_218;
  x_218 = (tmpvar_217 + tmpvar_199);
  vec3 trans_219;
  trans_219 = localOrigin_4.xyz;
  float tmpvar_220;
  tmpvar_220 = (x_218.x * 6.28319);
  float tmpvar_221;
  tmpvar_221 = (x_218.y * 6.28319);
  float tmpvar_222;
  tmpvar_222 = (x_218.z * 2.0);
  float tmpvar_223;
  tmpvar_223 = sqrt(tmpvar_222);
  float tmpvar_224;
  tmpvar_224 = (sin(tmpvar_221) * tmpvar_223);
  float tmpvar_225;
  tmpvar_225 = (cos(tmpvar_221) * tmpvar_223);
  float tmpvar_226;
  tmpvar_226 = sqrt((2.0 - tmpvar_222));
  float tmpvar_227;
  tmpvar_227 = sin(tmpvar_220);
  float tmpvar_228;
  tmpvar_228 = cos(tmpvar_220);
  float tmpvar_229;
  tmpvar_229 = ((tmpvar_224 * tmpvar_228) - (tmpvar_225 * tmpvar_227));
  float tmpvar_230;
  tmpvar_230 = ((tmpvar_224 * tmpvar_227) + (tmpvar_225 * tmpvar_228));
  mat4 tmpvar_231;
  tmpvar_231[0].x = (tmpvar_200 * ((tmpvar_224 * tmpvar_229) - tmpvar_228));
  tmpvar_231[0].y = ((tmpvar_224 * tmpvar_230) - tmpvar_227);
  tmpvar_231[0].z = (tmpvar_224 * tmpvar_226);
  tmpvar_231[0].w = 0.0;
  tmpvar_231[1].x = ((tmpvar_225 * tmpvar_229) + tmpvar_227);
  tmpvar_231[1].y = (tmpvar_200 * ((tmpvar_225 * tmpvar_230) - tmpvar_228));
  tmpvar_231[1].z = (tmpvar_225 * tmpvar_226);
  tmpvar_231[1].w = 0.0;
  tmpvar_231[2].x = (tmpvar_226 * tmpvar_229);
  tmpvar_231[2].y = (tmpvar_226 * tmpvar_230);
  tmpvar_231[2].z = (tmpvar_200 * (1.0 - tmpvar_222));
  tmpvar_231[2].w = 0.0;
  tmpvar_231[3].x = trans_219.x;
  tmpvar_231[3].y = trans_219.y;
  tmpvar_231[3].z = trans_219.z;
  tmpvar_231[3].w = 1.0;
  mat4 tmpvar_232;
  tmpvar_232 = (((unity_MatrixV * _Object2World) * tmpvar_231));
  vec4 v_233;
  v_233.x = tmpvar_232[0].z;
  v_233.y = tmpvar_232[1].z;
  v_233.z = tmpvar_232[2].z;
  v_233.w = tmpvar_232[3].z;
  vec3 tmpvar_234;
  tmpvar_234 = normalize(v_233.xyz);
  vec4 tmpvar_235;
  tmpvar_235 = (gl_ModelViewMatrix * localOrigin_4);
  vec4 tmpvar_236;
  tmpvar_236.xyz = (gl_Vertex.xyz * tmpvar_200);
  tmpvar_236.w = gl_Vertex.w;
  vec4 tmpvar_237;
  tmpvar_237 = (gl_ProjectionMatrix * (tmpvar_235 + tmpvar_236));
  vec2 tmpvar_238;
  tmpvar_238 = ((2.0 * gl_MultiTexCoord0.xy) - 1.0);
  vec4 tmpvar_239;
  tmpvar_239.z = 0.0;
  tmpvar_239.x = tmpvar_238.x;
  tmpvar_239.y = tmpvar_238.y;
  tmpvar_239.w = gl_Vertex.w;
  ZYv_3.xyw = tmpvar_239.zyw;
  XZv_2.yzw = tmpvar_239.zyw;
  XYv_1.yzw = tmpvar_239.yzw;
  ZYv_3.z = (tmpvar_238.x * sign(-(tmpvar_234.x)));
  XZv_2.x = (tmpvar_238.x * sign(-(tmpvar_234.y)));
  XYv_1.x = (tmpvar_238.x * sign(tmpvar_234.z));
  ZYv_3.x = ((sign(-(tmpvar_234.x)) * sign(ZYv_3.z)) * tmpvar_234.z);
  XZv_2.y = ((sign(-(tmpvar_234.y)) * sign(XZv_2.x)) * tmpvar_234.x);
  XYv_1.z = ((sign(-(tmpvar_234.z)) * sign(XYv_1.x)) * tmpvar_234.x);
  ZYv_3.x = (ZYv_3.x + ((sign(-(tmpvar_234.x)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  XZv_2.y = (XZv_2.y + ((sign(-(tmpvar_234.y)) * sign(tmpvar_238.y)) * tmpvar_234.z));
  XYv_1.z = (XYv_1.z + ((sign(-(tmpvar_234.z)) * sign(tmpvar_238.y)) * tmpvar_234.y));
  vec4 tmpvar_240;
  tmpvar_240.w = 0.0;
  tmpvar_240.xyz = gl_Normal;
  vec3 tmpvar_241;
  tmpvar_241 = normalize((_Object2World * tmpvar_240).xyz);
  vec4 c_242;
  float tmpvar_243;
  tmpvar_243 = dot (normalize(tmpvar_241), normalize(_WorldSpaceLightPos0.xyz));
  c_242.xyz = (((tmpvar_5.xyz * _LightColor0.xyz) * tmpvar_243) * 4.0);
  c_242.w = (tmpvar_243 * 4.0);
  float tmpvar_244;
  tmpvar_244 = dot (tmpvar_241, normalize(_WorldSpaceLightPos0).xyz);
  tmpvar_5.xyz = (c_242 * mix (1.0, clamp (floor((1.01 + tmpvar_244)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_244)), 0.0, 1.0))).xyz;
  vec4 o_245;
  vec4 tmpvar_246;
  tmpvar_246 = (tmpvar_237 * 0.5);
  vec2 tmpvar_247;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = (tmpvar_246.y * _ProjectionParams.x);
  o_245.xy = (tmpvar_247 + tmpvar_246.w);
  o_245.zw = tmpvar_237.zw;
  tmpvar_6.xyw = o_245.xyw;
  tmpvar_6.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_237;
  xlv_COLOR = tmpvar_5;
  xlv_TEXCOORD0 = abs(tmpvar_234);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * ZYv_3).xy - tmpvar_235.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XZv_2).xy - tmpvar_235.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_232 * XYv_1).xy - tmpvar_235.xy)));
  xlv_TEXCOORD4 = tmpvar_6;
  xlv_TEXCOORD5 = tmpvar_202.xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec4 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec2 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
varying vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform float _InvFade;
uniform vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _ZBufferParams;
void main ()
{
  vec4 color_1;
  vec4 tmpvar_2;
  tmpvar_2 = mix (mix (texture2D (_LeftTex, xlv_TEXCOORD1), texture2D (_TopTex, xlv_TEXCOORD2), xlv_TEXCOORD0.yyyy), texture2D (_FrontTex, xlv_TEXCOORD3), xlv_TEXCOORD0.zzzz);
  vec4 samp_3;
  vec4 uv_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  uv_4.zw = vec2(0.0, 0.0);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_5.y, mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_4.xy = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  if ((tmpvar_9 > 0.0)) {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyp, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzp, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxp, uv_4.xy, 0.0);
      };
    };
  } else {
    if ((tmpvar_8 <= 0.0)) {
      samp_3 = texture2DLod (cube_MainTexyn, uv_4.xy, 0.0);
    } else {
      if ((tmpvar_7 > 0.0)) {
        samp_3 = texture2DLod (cube_MainTexzn, uv_4.xy, 0.0);
      } else {
        samp_3 = texture2DLod (cube_MainTexxn, uv_4.xy, 0.0);
      };
    };
  };
  vec4 v_14;
  v_14 = (samp_3 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_16;
  tmpvar_16 = (tmpvar_15 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_2));
  color_1.xyz = tmpvar_16.xyz;
  color_1.w = (tmpvar_16.w * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x) + _ZBufferParams.w))) - xlv_TEXCOORD4.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_projection]
Vector 24 [_WorldSpaceCameraPos]
Vector 25 [_ProjectionParams]
Vector 26 [_ScreenParams]
Vector 27 [_WorldSpaceLightPos0]
Matrix 8 [_Object2World]
Matrix 12 [unity_MatrixV]
Vector 28 [_LightColor0]
Matrix 16 [_MainRotation]
Matrix 20 [_DetailRotation]
Float 29 [_DetailScale]
Float 30 [_DistFade]
Float 31 [_DistFadeVert]
Float 32 [_Rotation]
Float 33 [_MaxScale]
Float 34 [_NoiseScale]
Vector 35 [_MaxTrans]
SetTexture 0 [_DetailTex] 2D
"vs_3_0
; 751 ALU, 2 TEX
dcl_position o0
dcl_color0 o1
dcl_texcoord0 o2
dcl_texcoord1 o3
dcl_texcoord2 o4
dcl_texcoord3 o5
dcl_texcoord4 o6
dcl_texcoord5 o7
def c36, 0.33333334, 0.16666667, 1.00000000, -0.50000000
def c37, 0.60000002, 0.00000000, 0.00346021, 289.00000000
def c38, 0.00000000, 1.00000000, 34.00000000, 0.02040816
def c39, 49.00000000, 0.14285715, 0.28571430, -0.92857140
def c40, 7.00000000, 2.00000000, 1.00000000, 42.00000000
def c41, 0.85373473, 1.79284286, 4.00000000, 0.50000000
def c42, -1.00000000, 10.00000000, 1.00976563, 6.28318548
def c43, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c44, 2.00000000, -1.00000000, 0.60000002, 0.50000000
dcl_2d s0
dcl_position0 v0
dcl_normal0 v1
dcl_texcoord0 v2
mov r1.w, c11
mov r1.z, c10.w
mov r1.x, c8.w
mov r1.y, c9.w
dp4 r0.z, r1, c18
dp4 r0.x, r1, c16
dp4 r0.y, r1, c17
mul r3.xyz, r0, c34.x
dp3 r0.x, r3, c36.x
add r0.xyz, r3, r0.x
frc r2.xyz, r0
add r6.xyz, r0, -r2
slt r0.xyz, r0, r2
mul r2.xyz, r6, c37.z
max r0.xyz, -r0, r0
slt r7.xyz, c37.y, r0
abs r2.xyz, r2
frc r2.xyz, r2
mul r2.xyz, r2, c37.w
mul r12.xyz, r3, c41.z
dp3 r0.w, r6, c36.y
add r1.xyz, r3, -r6
add r1.xyz, r1, r0.w
sge r5.xyz, r1, r1.yzxw
add r0.xyz, -r7, c36.z
mul r6.xyz, r2, r0
mad r7.xyz, r7, -r2, r6
add r4.xyz, -r5, c36.z
min r0.xyz, r5, r4.zxyw
max r4.xyz, r5, r4.zxyw
dp3 r0.w, r12, c36.x
add r10.xyz, r12, r0.w
mov r2.y, r0.z
mov r2.z, r4
mov r2.xw, c38.xyzy
add r6, r7.z, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.y
mov r2.y, r0
mov r2.z, r4.y
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
mul r5, r5, c37.w
add r2, -r6, c36.z
mul r2, r5, r2
mad r2, r6, -r5, r2
add r5, r2, r7.x
mov r2.y, r0.x
add r0.xyz, r1, -r0
add r0.xyz, r0, c36.y
mov r2.z, r4.x
mov r2.xw, c38.xyzy
add r6, r5, r2
mul r2, r6, r6
mul r5, r2, c38.z
add r2, r5, r6
slt r5, r5, -r6
max r5, -r5, r5
mul r2, r2, c37.z
slt r6, c37.y, r5
abs r2, r2
frc r5, r2
frc r9.xyz, r10
add r2, -r6, c36.z
mul r5, r5, c37.w
mul r2, r5, r2
mad r5, r6, -r5, r2
mul r6, r5, c38.w
frc r2, r6
add r2, r6, -r2
mad r5, -r2, c39.x, r5
mul r6, r5, c39.y
frc r2, r6
add r2, r6, -r2
mad r6, -r2, c40.x, r5
mad r8, r2, c39.z, c39.w
frc r5, r6
add r5, r6, -r5
mad r5, r5, c39.z, c39.w
abs r6, r5
abs r2, r8
add r2, -r2, -r6
add r2, r2, c36.z
mov r6.zw, r5.xyxy
mov r6.xy, r8
frc r7, r6
add r7, r6, -r7
sge r16, c37.y, r2
mad r7, r7, c40.y, c40.z
mad r7, r7.xzyw, -r16.xxyy, r6.xzyw
mov r5.xy, r8.zwzw
mov r11.xy, r7.zwzw
mov r6.xy, r7
add r7.xyz, r10, -r9
mov r6.z, r2.x
mov r11.z, r2.y
slt r9.xyz, r10, r9
max r9.xyz, -r9, r9
add r12.xyz, r12, -r7
dp3 r0.w, r7, c36.y
add r14.xyz, r12, r0.w
sge r12.xyz, r14, r14.yzxw
mul r7.xyz, r7, c37.z
add r8.xyz, -r12, c36.z
slt r13.xyz, c37.y, r9
abs r7.xyz, r7
frc r9.xyz, r7
mul r10.xyz, r9, c37.w
min r9.xyz, r12, r8.zxyw
add r7.xyz, -r13, c36.z
mul r7.xyz, r10, r7
mad r10.xyz, r13, -r10, r7
max r12.xyz, r12, r8.zxyw
mov r7.y, r9.z
mov r7.z, r12
mov r7.xw, c38.xyzy
add r13, r10.z, r7
frc r7, r5
add r7, r5, -r7
mad r15, r7, c40.y, c40.z
mul r8, r13, r13
mul r8, r8, c38.z
add r7, r8, r13
slt r8, r8, -r13
max r8, -r8, r8
mul r7, r7, c37.z
mad r5, -r16.zzww, r15.xzyw, r5.xzyw
slt r13, c37.y, r8
abs r7, r7
frc r8, r7
dp3 r2.x, r6, r6
dp3 r2.y, r11, r11
add r7, -r13, c36.z
mul r8, r8, c37.w
mul r7, r8, r7
mad r8, r13, -r8, r7
add r13, r8, r10.y
mov r7.xy, r5
mov r7.z, r2
mov r5.xy, r5.zwzw
mov r5.z, r2.w
mov r8.y, r9
mov r8.z, r12.y
mov r8.xw, c38.xyzy
add r13, r13, r8
mul r8, r13, r13
mul r15, r8, c38.z
add r8, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r8, r8, c37.z
slt r15, c37.y, r13
abs r8, r8
frc r13, r8
mul r13, r13, c37.w
add r8, -r15, c36.z
mul r8, r13, r8
mad r8, r15, -r13, r8
add r10, r8, r10.x
mov r8.y, r9.x
mov r8.z, r12.x
mov r8.xw, c38.xyzy
add r8, r10, r8
mul r10, r8, r8
add r9.xyz, r14, -r9
add r9.xyz, r9, c36.y
mul r10, r10, c38.z
dp3 r2.z, r7, r7
dp3 r2.w, r5, r5
mad r2, -r2, c41.x, c41.y
mul r6.xyz, r6, r2.x
dp3 r2.x, r1, r6
add r6, r10, r8
mul r11.xyz, r2.y, r11
dp3 r2.y, r0, r11
dp3 r0.y, r0, r0
slt r8, r10, -r8
max r8, -r8, r8
mul r6, r6, c37.z
abs r6, r6
slt r10, c37.y, r8
frc r6, r6
mul r8, r6, c37.w
add r6, -r10, c36.z
mul r6, r8, r6
mad r6, r10, -r8, r6
mul r10.xyz, r2.z, r7
add r7.xyz, r1, -r4
add r7.xyz, r7, c36.x
mul r8, r6, c38.w
frc r4, r8
add r4, r8, -r4
mad r4, -r4, c39.x, r6
add r6.xyz, r1, c36.w
mul r5.xyz, r2.w, r5
dp3 r2.w, r6, r5
dp3 r2.z, r7, r10
mul r5, r4, c39.y
dp3 r0.z, r7, r7
dp3 r0.w, r6, r6
dp3 r0.x, r1, r1
add r1, -r0, c37.x
frc r0, r5
add r0, r5, -r0
mad r11, r0, c39.z, c39.w
max r1, r1, c37.y
mul r1, r1, r1
mul r1, r1, r1
dp4 r2.x, r1, r2
mad r4, -r0, c40.x, r4
frc r1, r4
add r1, r4, -r1
mul r5.xyz, r3, c40.y
mad r3, r1, c39.z, c39.w
dp3 r1.x, r5, c36.x
add r8.xyz, r5, r1.x
frc r4.xyz, r8
add r0.xyz, r8, -r4
slt r4.xyz, r8, r4
max r4.xyz, -r4, r4
mov r10.zw, r3.xyxy
mov r10.xy, r11
frc r1, r10
add r1, r10, -r1
add r5.xyz, r5, -r0
dp3 r0.w, r0, c36.y
add r7.xyz, r5, r0.w
mul r0.xyz, r0, c37.z
sge r5.xyz, r7, r7.yzxw
mad r6, r1, c40.y, c40.z
slt r13.xyz, c37.y, r4
abs r0.xyz, r0
frc r4.xyz, r0
add r1.xyz, -r5, c36.z
mul r8.xyz, r4, c37.w
min r4.xyz, r5, r1.zxyw
max r1.xyz, r5, r1.zxyw
add r0.xyz, -r13, c36.z
mul r0.xyz, r8, r0
mad r8.xyz, r13, -r8, r0
mov r0.y, r4.z
mov r0.z, r1
mov r0.xw, c38.xyzy
add r13, r8.z, r0
mul r15, r13, r13
abs r5, r11
abs r0, r3
add r0, -r5, -r0
add r0, r0, c36.z
mul r15, r15, c38.z
add r5, r15, r13
slt r13, r15, -r13
max r13, -r13, r13
mul r5, r5, c37.z
slt r15, c37.y, r13
abs r5, r5
frc r13, r5
mov r2.w, r0.y
mul r2.x, r2, c40.w
add r5, -r15, c36.z
mul r13, r13, c37.w
mul r5, r13, r5
mad r13, r15, -r13, r5
add r15, r13, r8.y
sge r5, c37.y, r0
mad r10, r6.xzyw, -r5.xxyy, r10.xzyw
mov r2.yz, r10.xzww
mov r10.zw, r3
dp3 r5.y, r2.yzww, r2.yzww
mov r13.y, r4
mov r13.z, r1.y
mov r13.xw, c38.xyzy
add r13, r15, r13
mul r6, r13, r13
mul r16, r6, c38.z
add r6, r16, r13
mov r15.xy, r10
mov r15.z, r0.x
slt r13, r16, -r13
max r13, -r13, r13
mul r6, r6, c37.z
mov r10.xy, r11.zwzw
slt r16, c37.y, r13
abs r6, r6
frc r13, r6
mul r13, r13, c37.w
add r6, -r16, c36.z
mul r6, r13, r6
mad r6, r16, -r13, r6
add r8, r6, r8.x
mov r6.y, r4.x
add r4.xyz, r7, -r4
mov r13.z, r0
dp3 r5.x, r15, r15
add r4.xyz, r4, c36.y
mov r6.z, r1.x
mov r6.xw, c38.xyzy
add r6, r8, r6
mul r8, r6, r6
mul r8, r8, c38.z
add r3, r8, r6
slt r6, r8, -r6
max r6, -r6, r6
mul r3, r3, c37.z
slt r8, c37.y, r6
abs r3, r3
frc r6, r3
add r3, -r8, c36.z
mul r6, r6, c37.w
mul r3, r6, r3
mad r6, r8, -r6, r3
frc r3, r10
add r8, r10, -r3
mul r11, r6, c38.w
frc r3, r11
add r3, r11, -r3
mad r6, -r3, c39.x, r6
mad r8, r8, c40.y, c40.z
mad r8, -r5.zzww, r8.xzyw, r10.xzyw
mov r13.xy, r8
mul r3, r6, c39.y
frc r10, r3
add r3, r3, -r10
mad r6, -r3, c40.x, r6
mov r11.z, r0.w
mov r11.xy, r8.zwzw
frc r0, r6
add r0, r6, -r0
mad r0, r0, c39.z, c39.w
abs r6, r0
dp3 r5.z, r13, r13
dp3 r5.w, r11, r11
mad r10, -r5, c41.x, c41.y
mad r5, r3, c39.z, c39.w
mul r2.yzw, r10.y, r2
dp3 r10.y, r9, r2.yzww
dp3 r9.y, r9, r9
abs r3, r5
add r3, -r3, -r6
add r3, r3, c36.z
mov r6.zw, r0.xyxy
mov r6.xy, r5
mov r0.xy, r5.zwzw
frc r8, r6
add r8, r6, -r8
frc r5, r0
add r5, r0, -r5
mul r15.xyz, r15, r10.x
sge r16, c37.y, r3
mad r8, r8, c40.y, c40.z
mad r8, r8.xzyw, -r16.xxyy, r6.xzyw
mov r6.xy, r8
mov r8.xy, r8.zwzw
mov r6.z, r3.x
mov r8.z, r3.y
mad r5, r5, c40.y, c40.z
mad r5, -r16.zzww, r5.xzyw, r0.xzyw
mov r0.xy, r5.zwzw
mov r0.z, r3.w
mov r5.z, r3
mul r2.yzw, r10.z, r13.xxyz
add r12.xyz, r14, -r12
add r13.xyz, r12, c36.x
add r12.xyz, r14, c36.w
mul r11.xyz, r10.w, r11
dp3 r10.z, r13, r2.yzww
dp3 r3.x, r6, r6
dp3 r3.y, r8, r8
dp3 r3.w, r0, r0
dp3 r3.z, r5, r5
mad r3, -r3, c41.x, c41.y
mul r6.xyz, r6, r3.x
mul r5.xyz, r3.z, r5
mul r8.xyz, r3.y, r8
add r3.xyz, r7, -r1
add r3.xyz, r3, c36.x
dp3 r6.x, r7, r6
dp3 r6.z, r3, r5
dp3 r1.z, r3, r3
mul r0.xyz, r3.w, r0
dp3 r6.y, r4, r8
dp3 r1.y, r4, r4
add r4.xyz, r7, c36.w
dp3 r1.w, r4, r4
dp3 r1.x, r7, r7
add r1, -r1, c37.x
max r1, r1, c37.y
mul r1, r1, r1
dp3 r6.w, r4, r0
mul r1, r1, r1
dp4 r0.x, r1, r6
mov r1.w, c36.z
mov r6.w, c37.y
mul r2.y, r0.x, c40.w
dp3 r10.x, r14, r15
dp3 r10.w, r12, r11
dp3 r9.z, r13, r13
dp3 r9.w, r12, r12
dp3 r9.x, r14, r14
add r9, -r9, c37.x
max r9, r9, c37.y
mul r9, r9, r9
mul r9, r9, r9
dp4 r0.w, r9, r10
mul r2.z, r0.w, c40.w
mul r1.xyz, r2, c35
dp4 r5.w, r1, c11
dp4 r5.z, r1, c10
dp4 r5.x, r1, c8
dp4 r5.y, r1, c9
dp4 r0.w, r5, c19
add r2.xyz, r2, c36.z
dp4 r3.z, r5, c18
dp4 r3.x, r5, c16
dp4 r3.y, r5, c17
mov r0.xyz, r3
dp4 r4.z, r0, c22
dp4 r4.x, r0, c20
dp4 r4.y, r0, c21
dp3 r0.x, r4, r4
rsq r0.x, r0.x
mul r7.xyz, r0.x, r4
abs r0.xyz, r7
sge r2.w, r0.z, r0.x
add r0.w, r7.z, -r7.x
mad r0.w, r2, r0, r7.x
max r0.x, r0, r0.z
add r0.z, -r7.y, r0.w
sge r0.w, r0.x, r0.y
mad r0.x, r0.w, r0.z, r7.y
slt r0.y, r0.x, -r0.x
slt r0.x, -r0, r0
sub r3.w, r0.x, r0.y
mov r10.w, r1.y
mov r0.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c36.z
mul r4.xyz, r7.xzyw, r4
mov r0.xz, c36.z
mad r0.xyz, r7.zxyw, r0, -r4
mad r6.xyz, r2.w, r0, r4
mov r0.z, -r3.w
mov r0.xy, c36.z
mul r4.xyz, r7.yxzw, r0
mad r0.xyz, r7.yxzw, -r0, r6
mul r7.xyz, r2, c41.w
mad r0.xyz, r0.w, r0, r4
mov r6.xyz, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp3 r3.w, c27, c27
rsq r3.w, r3.w
dp4 r4.z, r6, c10
dp4 r4.x, r6, c8
dp4 r4.y, r6, c9
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r4.xyz, r2.w, r4
dp3 r2.w, r4, r4
rsq r2.w, r2.w
mul r6.xyz, r2.w, r4
mul r8.xyz, r3.w, c27
dp3 r2.w, r6, r8
mov r6.w, r1.z
mad r0.x, r0.w, c41.w, c41.w
mad r0.y, r0, c41.w, c41.w
add r5.xyz, -r5, c24
mul r0.xy, r0, c29.x
mov r0.z, c37.y
texldl r0, r0.xyzz, s0
mul r0.xyz, r0, c28
mul r0.xyz, r0, r2.w
mul r0.xyz, r0, c41.z
mov r2.yz, c37.y
frc r2.x, c32
add r2.xyz, r7, r2
mul r2.w, r2.z, c40.y
mul r2.y, r2, c42.w
mad r2.y, r2, c43.x, c43
frc r2.y, r2
mad r2.y, r2, c43.z, c43.w
sincos r8.xy, r2.y
rsq r2.z, r2.w
rcp r2.y, r2.z
mul r2.z, r2.x, c42.w
mad r3.w, r2.z, c43.x, c43.y
mul r5.w, r8.x, r2.y
mul r6.x, r8.y, r2.y
dp4 r2.y, c27, c27
rsq r2.x, r2.y
mul r2.xyz, r2.x, c27
dp3 r2.x, r4, r2
add r2.y, r2.x, c42.z
frc r3.w, r3
mad r2.z, r3.w, c43, c43.w
sincos r4.xy, r2.z
frc r2.z, r2.y
add_sat r2.y, r2, -r2.z
mul r4.w, r5, r4.y
mad r4.w, r6.x, r4.x, -r4
mad r8.y, r5.w, r4.w, r4
mul r2.z, r5.w, r4.x
mov r8.w, r1.x
add r2.y, r2, c42.x
mul_sat r2.x, -r2, c42.y
mad r2.x, r2, r2.y, c36.z
mul o1.xyz, r0, r2.x
mad r2.y, r6.x, r4, r2.z
mad r0.z, r5.w, r2.y, -r4.x
add r0.y, -r2.w, c40
rsq r0.y, r0.y
rcp r4.z, r0.y
mov r0.x, c33
add r0.x, c42, r0
mad r3.w, r7.x, r0.x, c36.z
mad r4.x, r6, r4.w, -r4
mad r10.x, r6, r2.y, -r4.y
mul r10.z, r4, r2.y
mul r8.z, r4, r4.w
mul r6.x, r6, r4.z
mul r6.y, r4.z, r5.w
mul r10.y, r3.w, r0.z
mov r0.x, c14.y
mul r8.x, r3.w, r4
mov r2.x, c14
mul r0.xyz, c9, r0.x
mad r0.xyz, c8, r2.x, r0
mov r2.x, c14.z
mad r0.xyz, c10, r2.x, r0
mov r2.x, c14.w
mad r2.xyz, c11, r2.x, r0
mul r0.xyz, r2.y, r10
dp3 r2.y, r5, r5
mad r0.xyz, r2.x, r8, r0
rsq r2.x, r2.y
add r2.y, -r2.w, c36.z
mul r6.z, r3.w, r2.y
mad r0.xyz, r2.z, r6, r0
dp3 r2.z, r0, r0
rcp r2.x, r2.x
mul r2.y, -r2.x, c31.x
rsq r2.z, r2.z
mul r4.xyz, r2.z, r0
mad r0.xy, v2, c44.x, c44.y
add_sat r2.y, r2, c36.z
mul_sat r2.x, r2, c30
mul r2.x, r2, r2.y
mul o1.w, r0, r2.x
slt r2.x, r0.y, -r0.y
slt r0.z, r4.x, -r4.x
slt r0.w, -r4.x, r4.x
sub r0.w, r0.z, r0
mul r2.y, r0.x, r0.w
slt r0.z, -r0.y, r0.y
sub r0.z, r0, r2.x
mul r2.w, r0, r0.z
slt r2.z, r2.y, -r2.y
slt r2.x, -r2.y, r2.y
sub r2.x, r2, r2.z
mul r2.z, r4.y, r2.w
mul r0.w, r2.x, r0
mad r2.x, r4.z, r0.w, r2.z
mov r0.w, c12.y
mul r5, c9, r0.w
mov r0.w, c12.x
mad r5, c8, r0.w, r5
mov r0.w, c12.z
mad r5, c10, r0.w, r5
mov r0.w, c12
mad r9, c11, r0.w, r5
mul r5, r10, r9.y
mov r0.w, c13.y
mul r7, c9, r0.w
mov r0.w, c13.x
mad r7, c8, r0.w, r7
mov r0.w, c13.z
mad r7, c10, r0.w, r7
mov r0.w, c13
mad r7, c11, r0.w, r7
mad r5, r8, r9.x, r5
mul r10, r7.y, r10
mad r5, r6, r9.z, r5
mad r8, r7.x, r8, r10
mad r6, r7.z, r6, r8
mad r6, r7.w, c38.xxxy, r6
mov r0.w, v0
mov r2.z, r2.y
mov r2.yw, r0
mad r5, r9.w, c38.xxxy, r5
dp4 r7.y, r6, r2
dp4 r7.x, r2, r5
mov r7.zw, r0.xyyw
slt r2.y, -r4, r4
slt r2.x, r4.y, -r4.y
sub r4.w, r2.x, r2.y
dp4 r2.y, r1, c1
dp4 r2.x, r1, c0
add r2.zw, -r2.xyxy, r7.xyxy
mul r7.x, r0, r4.w
mad o3.xy, r2.zwzw, c44.z, c44.w
slt r2.w, r7.x, -r7.x
slt r2.z, -r7.x, r7.x
sub r2.z, r2, r2.w
mul r2.w, r0.z, r4
mul r2.z, r2, r4.w
mul r2.w, r4.z, r2
mad r7.y, r4.x, r2.z, r2.w
dp4 r2.w, r6, r7
dp4 r2.z, r5, r7
add r2.zw, -r2.xyxy, r2
mad o4.xy, r2.zwzw, c44.z, c44.w
dp4 r2.z, r1, c2
dp4 r2.w, r1, c3
slt r7.x, -r4.z, r4.z
slt r4.w, r4.z, -r4.z
sub r7.y, r7.x, r4.w
mul r0.x, r0, r7.y
sub r4.w, r4, r7.x
mul r7.y, r0.z, r4.w
slt r7.x, r0, -r0
slt r0.z, -r0.x, r0.x
sub r0.z, r0, r7.x
mul r7.x, r4.y, r7.y
mul r0.z, r4.w, r0
mad r0.z, r4.x, r0, r7.x
dp4 r6.y, r6, r0
dp4 r6.x, r5, r0
mov r1.w, v0
mul r1.xyz, v0, r3.w
add r1, r2, r1
dp4 r2.z, r1, c7
add r2.xy, -r2, r6
dp4 r0.x, r1, c4
mov r0.w, r2.z
dp4 r0.y, r1, c5
dp4 r0.z, r1, c6
mul r5.xyz, r0.xyww, c41.w
mad o5.xy, r2, c44.z, c44.w
mov o0, r0
dp4 r0.x, v0, c2
mul r2.y, r5, c25.x
mov r2.x, r5
mad o6.xy, r5.z, c26.zwzw, r2
abs o2.xyz, r4
mov o7.xyz, r3
mov o6.w, r2.z
mov o6.z, -r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 320 // 316 used size, 15 vars
Vector 80 [_LightColor0] 4
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Float 240 [_DetailScale]
Float 272 [_DistFade]
Float 276 [_DistFadeVert]
Float 284 [_Rotation]
Float 288 [_MaxScale]
Float 292 [_NoiseScale]
Vector 304 [_MaxTrans] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
ConstBuffer "UnityPerFrame" 208 // 144 used size, 4 vars
Matrix 0 [glstate_matrix_projection] 4
Matrix 80 [unity_MatrixV] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
BindCB "UnityPerFrame" 4
SetTexture 0 [_DetailTex] 2D 0
// 533 instructions, 14 temp regs, 0 temp arrays:
// ALU 428 float, 9 int, 5 uint
// TEX 0 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform highp vec3 _MaxTrans;
uniform highp float _NoiseScale;
uniform highp float _MaxScale;
uniform highp float _Rotation;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform lowp vec4 _LightColor0;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 glstate_matrix_projection;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  highp vec4 XYv_2;
  highp vec4 XZv_3;
  highp vec4 ZYv_4;
  highp vec4 localOrigin_5;
  lowp vec4 tmpvar_6;
  highp vec4 tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_NoiseScale * (_MainRotation * (_Object2World * vec4(0.0, 0.0, 0.0, 1.0))).xyz);
  highp float tmpvar_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = floor((tmpvar_8 + dot (tmpvar_8, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_11;
  tmpvar_11 = ((tmpvar_8 - tmpvar_10) + dot (tmpvar_10, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_12;
  t_12.x = float((tmpvar_11.x >= tmpvar_11.y));
  t_12.y = float((tmpvar_11.y >= tmpvar_11.z));
  t_12.z = float((tmpvar_11.z >= tmpvar_11.x));
  highp vec3 tmpvar_13;
  tmpvar_13 = (1.0 - t_12);
  highp vec3 tmpvar_14;
  tmpvar_14 = min (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_15;
  tmpvar_15 = max (t_12, tmpvar_13.zxy);
  highp vec3 tmpvar_16;
  tmpvar_16 = ((tmpvar_11 - tmpvar_14) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_17;
  tmpvar_17 = ((tmpvar_11 - tmpvar_15) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_18;
  tmpvar_18 = (tmpvar_11 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_19;
  tmpvar_19 = (tmpvar_10 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_20;
  tmpvar_20 = (fract(abs(tmpvar_19)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_21;
  if ((tmpvar_19.x >= 0.0)) {
    tmpvar_21 = tmpvar_20.x;
  } else {
    tmpvar_21 = -(tmpvar_20.x);
  };
  highp float tmpvar_22;
  if ((tmpvar_19.y >= 0.0)) {
    tmpvar_22 = tmpvar_20.y;
  } else {
    tmpvar_22 = -(tmpvar_20.y);
  };
  highp float tmpvar_23;
  if ((tmpvar_19.z >= 0.0)) {
    tmpvar_23 = tmpvar_20.z;
  } else {
    tmpvar_23 = -(tmpvar_20.z);
  };
  highp vec4 tmpvar_24;
  tmpvar_24.xw = vec2(0.0, 1.0);
  tmpvar_24.y = tmpvar_14.z;
  tmpvar_24.z = tmpvar_15.z;
  highp vec4 x_25;
  x_25 = (tmpvar_23 + tmpvar_24);
  highp vec4 tmpvar_26;
  tmpvar_26 = ((((x_25 * x_25) * 34.0) + x_25) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_27;
  tmpvar_27 = (fract(abs(tmpvar_26)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_28;
  if ((tmpvar_26.x >= 0.0)) {
    tmpvar_28 = tmpvar_27.x;
  } else {
    tmpvar_28 = -(tmpvar_27.x);
  };
  highp float tmpvar_29;
  if ((tmpvar_26.y >= 0.0)) {
    tmpvar_29 = tmpvar_27.y;
  } else {
    tmpvar_29 = -(tmpvar_27.y);
  };
  highp float tmpvar_30;
  if ((tmpvar_26.z >= 0.0)) {
    tmpvar_30 = tmpvar_27.z;
  } else {
    tmpvar_30 = -(tmpvar_27.z);
  };
  highp float tmpvar_31;
  if ((tmpvar_26.w >= 0.0)) {
    tmpvar_31 = tmpvar_27.w;
  } else {
    tmpvar_31 = -(tmpvar_27.w);
  };
  highp vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_28;
  tmpvar_32.y = tmpvar_29;
  tmpvar_32.z = tmpvar_30;
  tmpvar_32.w = tmpvar_31;
  highp vec4 tmpvar_33;
  tmpvar_33.xw = vec2(0.0, 1.0);
  tmpvar_33.y = tmpvar_14.y;
  tmpvar_33.z = tmpvar_15.y;
  highp vec4 x_34;
  x_34 = ((tmpvar_32 + tmpvar_22) + tmpvar_33);
  highp vec4 tmpvar_35;
  tmpvar_35 = ((((x_34 * x_34) * 34.0) + x_34) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_36;
  tmpvar_36 = (fract(abs(tmpvar_35)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_37;
  if ((tmpvar_35.x >= 0.0)) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = -(tmpvar_36.x);
  };
  highp float tmpvar_38;
  if ((tmpvar_35.y >= 0.0)) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = -(tmpvar_36.y);
  };
  highp float tmpvar_39;
  if ((tmpvar_35.z >= 0.0)) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = -(tmpvar_36.z);
  };
  highp float tmpvar_40;
  if ((tmpvar_35.w >= 0.0)) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = -(tmpvar_36.w);
  };
  highp vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  highp vec4 tmpvar_42;
  tmpvar_42.xw = vec2(0.0, 1.0);
  tmpvar_42.y = tmpvar_14.x;
  tmpvar_42.z = tmpvar_15.x;
  highp vec4 x_43;
  x_43 = ((tmpvar_41 + tmpvar_21) + tmpvar_42);
  highp vec4 tmpvar_44;
  tmpvar_44 = ((((x_43 * x_43) * 34.0) + x_43) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_45;
  tmpvar_45 = (fract(abs(tmpvar_44)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_46;
  if ((tmpvar_44.x >= 0.0)) {
    tmpvar_46 = tmpvar_45.x;
  } else {
    tmpvar_46 = -(tmpvar_45.x);
  };
  highp float tmpvar_47;
  if ((tmpvar_44.y >= 0.0)) {
    tmpvar_47 = tmpvar_45.y;
  } else {
    tmpvar_47 = -(tmpvar_45.y);
  };
  highp float tmpvar_48;
  if ((tmpvar_44.z >= 0.0)) {
    tmpvar_48 = tmpvar_45.z;
  } else {
    tmpvar_48 = -(tmpvar_45.z);
  };
  highp float tmpvar_49;
  if ((tmpvar_44.w >= 0.0)) {
    tmpvar_49 = tmpvar_45.w;
  } else {
    tmpvar_49 = -(tmpvar_45.w);
  };
  highp vec4 tmpvar_50;
  tmpvar_50.x = tmpvar_46;
  tmpvar_50.y = tmpvar_47;
  tmpvar_50.z = tmpvar_48;
  tmpvar_50.w = tmpvar_49;
  highp vec4 tmpvar_51;
  tmpvar_51 = (tmpvar_50 - (49.0 * floor((0.0204081 * tmpvar_50))));
  highp vec4 tmpvar_52;
  tmpvar_52 = floor((tmpvar_51 * 0.142857));
  highp vec4 tmpvar_53;
  tmpvar_53 = ((tmpvar_52 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_54;
  tmpvar_54 = ((floor((tmpvar_51 - (7.0 * tmpvar_52))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_55;
  tmpvar_55 = ((1.0 - abs(tmpvar_53)) - abs(tmpvar_54));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = tmpvar_53.xy;
  tmpvar_56.zw = tmpvar_54.xy;
  highp vec4 tmpvar_57;
  tmpvar_57.xy = tmpvar_53.zw;
  tmpvar_57.zw = tmpvar_54.zw;
  highp vec4 t_58;
  t_58.x = float((0.0 >= tmpvar_55.x));
  t_58.y = float((0.0 >= tmpvar_55.y));
  t_58.z = float((0.0 >= tmpvar_55.z));
  t_58.w = float((0.0 >= tmpvar_55.w));
  highp vec4 tmpvar_59;
  tmpvar_59 = -(t_58);
  highp vec4 tmpvar_60;
  tmpvar_60 = (tmpvar_56.xzyw + (((floor(tmpvar_56) * 2.0) + 1.0).xzyw * tmpvar_59.xxyy));
  highp vec4 tmpvar_61;
  tmpvar_61 = (tmpvar_57.xzyw + (((floor(tmpvar_57) * 2.0) + 1.0).xzyw * tmpvar_59.zzww));
  highp vec3 tmpvar_62;
  tmpvar_62.xy = tmpvar_60.xy;
  tmpvar_62.z = tmpvar_55.x;
  highp vec3 tmpvar_63;
  tmpvar_63.xy = tmpvar_60.zw;
  tmpvar_63.z = tmpvar_55.y;
  highp vec3 tmpvar_64;
  tmpvar_64.xy = tmpvar_61.xy;
  tmpvar_64.z = tmpvar_55.z;
  highp vec3 tmpvar_65;
  tmpvar_65.xy = tmpvar_61.zw;
  tmpvar_65.z = tmpvar_55.w;
  highp vec4 tmpvar_66;
  tmpvar_66.x = dot (tmpvar_62, tmpvar_62);
  tmpvar_66.y = dot (tmpvar_63, tmpvar_63);
  tmpvar_66.z = dot (tmpvar_64, tmpvar_64);
  tmpvar_66.w = dot (tmpvar_65, tmpvar_65);
  highp vec4 tmpvar_67;
  tmpvar_67 = (1.79284 - (0.853735 * tmpvar_66));
  highp vec4 tmpvar_68;
  tmpvar_68.x = dot (tmpvar_11, tmpvar_11);
  tmpvar_68.y = dot (tmpvar_16, tmpvar_16);
  tmpvar_68.z = dot (tmpvar_17, tmpvar_17);
  tmpvar_68.w = dot (tmpvar_18, tmpvar_18);
  highp vec4 tmpvar_69;
  tmpvar_69 = max ((0.6 - tmpvar_68), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_70;
  tmpvar_70 = (tmpvar_69 * tmpvar_69);
  highp vec4 tmpvar_71;
  tmpvar_71.x = dot ((tmpvar_62 * tmpvar_67.x), tmpvar_11);
  tmpvar_71.y = dot ((tmpvar_63 * tmpvar_67.y), tmpvar_16);
  tmpvar_71.z = dot ((tmpvar_64 * tmpvar_67.z), tmpvar_17);
  tmpvar_71.w = dot ((tmpvar_65 * tmpvar_67.w), tmpvar_18);
  tmpvar_9 = (42.0 * dot ((tmpvar_70 * tmpvar_70), tmpvar_71));
  highp float tmpvar_72;
  highp vec3 v_73;
  v_73 = (2.0 * tmpvar_8);
  highp vec3 tmpvar_74;
  tmpvar_74 = floor((v_73 + dot (v_73, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_75;
  tmpvar_75 = ((v_73 - tmpvar_74) + dot (tmpvar_74, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_76;
  t_76.x = float((tmpvar_75.x >= tmpvar_75.y));
  t_76.y = float((tmpvar_75.y >= tmpvar_75.z));
  t_76.z = float((tmpvar_75.z >= tmpvar_75.x));
  highp vec3 tmpvar_77;
  tmpvar_77 = (1.0 - t_76);
  highp vec3 tmpvar_78;
  tmpvar_78 = min (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_79;
  tmpvar_79 = max (t_76, tmpvar_77.zxy);
  highp vec3 tmpvar_80;
  tmpvar_80 = ((tmpvar_75 - tmpvar_78) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_81;
  tmpvar_81 = ((tmpvar_75 - tmpvar_79) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_82;
  tmpvar_82 = (tmpvar_75 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_83;
  tmpvar_83 = (tmpvar_74 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = (fract(abs(tmpvar_83)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_85;
  if ((tmpvar_83.x >= 0.0)) {
    tmpvar_85 = tmpvar_84.x;
  } else {
    tmpvar_85 = -(tmpvar_84.x);
  };
  highp float tmpvar_86;
  if ((tmpvar_83.y >= 0.0)) {
    tmpvar_86 = tmpvar_84.y;
  } else {
    tmpvar_86 = -(tmpvar_84.y);
  };
  highp float tmpvar_87;
  if ((tmpvar_83.z >= 0.0)) {
    tmpvar_87 = tmpvar_84.z;
  } else {
    tmpvar_87 = -(tmpvar_84.z);
  };
  highp vec4 tmpvar_88;
  tmpvar_88.xw = vec2(0.0, 1.0);
  tmpvar_88.y = tmpvar_78.z;
  tmpvar_88.z = tmpvar_79.z;
  highp vec4 x_89;
  x_89 = (tmpvar_87 + tmpvar_88);
  highp vec4 tmpvar_90;
  tmpvar_90 = ((((x_89 * x_89) * 34.0) + x_89) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_91;
  tmpvar_91 = (fract(abs(tmpvar_90)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_92;
  if ((tmpvar_90.x >= 0.0)) {
    tmpvar_92 = tmpvar_91.x;
  } else {
    tmpvar_92 = -(tmpvar_91.x);
  };
  highp float tmpvar_93;
  if ((tmpvar_90.y >= 0.0)) {
    tmpvar_93 = tmpvar_91.y;
  } else {
    tmpvar_93 = -(tmpvar_91.y);
  };
  highp float tmpvar_94;
  if ((tmpvar_90.z >= 0.0)) {
    tmpvar_94 = tmpvar_91.z;
  } else {
    tmpvar_94 = -(tmpvar_91.z);
  };
  highp float tmpvar_95;
  if ((tmpvar_90.w >= 0.0)) {
    tmpvar_95 = tmpvar_91.w;
  } else {
    tmpvar_95 = -(tmpvar_91.w);
  };
  highp vec4 tmpvar_96;
  tmpvar_96.x = tmpvar_92;
  tmpvar_96.y = tmpvar_93;
  tmpvar_96.z = tmpvar_94;
  tmpvar_96.w = tmpvar_95;
  highp vec4 tmpvar_97;
  tmpvar_97.xw = vec2(0.0, 1.0);
  tmpvar_97.y = tmpvar_78.y;
  tmpvar_97.z = tmpvar_79.y;
  highp vec4 x_98;
  x_98 = ((tmpvar_96 + tmpvar_86) + tmpvar_97);
  highp vec4 tmpvar_99;
  tmpvar_99 = ((((x_98 * x_98) * 34.0) + x_98) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_100;
  tmpvar_100 = (fract(abs(tmpvar_99)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_101;
  if ((tmpvar_99.x >= 0.0)) {
    tmpvar_101 = tmpvar_100.x;
  } else {
    tmpvar_101 = -(tmpvar_100.x);
  };
  highp float tmpvar_102;
  if ((tmpvar_99.y >= 0.0)) {
    tmpvar_102 = tmpvar_100.y;
  } else {
    tmpvar_102 = -(tmpvar_100.y);
  };
  highp float tmpvar_103;
  if ((tmpvar_99.z >= 0.0)) {
    tmpvar_103 = tmpvar_100.z;
  } else {
    tmpvar_103 = -(tmpvar_100.z);
  };
  highp float tmpvar_104;
  if ((tmpvar_99.w >= 0.0)) {
    tmpvar_104 = tmpvar_100.w;
  } else {
    tmpvar_104 = -(tmpvar_100.w);
  };
  highp vec4 tmpvar_105;
  tmpvar_105.x = tmpvar_101;
  tmpvar_105.y = tmpvar_102;
  tmpvar_105.z = tmpvar_103;
  tmpvar_105.w = tmpvar_104;
  highp vec4 tmpvar_106;
  tmpvar_106.xw = vec2(0.0, 1.0);
  tmpvar_106.y = tmpvar_78.x;
  tmpvar_106.z = tmpvar_79.x;
  highp vec4 x_107;
  x_107 = ((tmpvar_105 + tmpvar_85) + tmpvar_106);
  highp vec4 tmpvar_108;
  tmpvar_108 = ((((x_107 * x_107) * 34.0) + x_107) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_109;
  tmpvar_109 = (fract(abs(tmpvar_108)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_110;
  if ((tmpvar_108.x >= 0.0)) {
    tmpvar_110 = tmpvar_109.x;
  } else {
    tmpvar_110 = -(tmpvar_109.x);
  };
  highp float tmpvar_111;
  if ((tmpvar_108.y >= 0.0)) {
    tmpvar_111 = tmpvar_109.y;
  } else {
    tmpvar_111 = -(tmpvar_109.y);
  };
  highp float tmpvar_112;
  if ((tmpvar_108.z >= 0.0)) {
    tmpvar_112 = tmpvar_109.z;
  } else {
    tmpvar_112 = -(tmpvar_109.z);
  };
  highp float tmpvar_113;
  if ((tmpvar_108.w >= 0.0)) {
    tmpvar_113 = tmpvar_109.w;
  } else {
    tmpvar_113 = -(tmpvar_109.w);
  };
  highp vec4 tmpvar_114;
  tmpvar_114.x = tmpvar_110;
  tmpvar_114.y = tmpvar_111;
  tmpvar_114.z = tmpvar_112;
  tmpvar_114.w = tmpvar_113;
  highp vec4 tmpvar_115;
  tmpvar_115 = (tmpvar_114 - (49.0 * floor((0.0204081 * tmpvar_114))));
  highp vec4 tmpvar_116;
  tmpvar_116 = floor((tmpvar_115 * 0.142857));
  highp vec4 tmpvar_117;
  tmpvar_117 = ((tmpvar_116 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_118;
  tmpvar_118 = ((floor((tmpvar_115 - (7.0 * tmpvar_116))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_119;
  tmpvar_119 = ((1.0 - abs(tmpvar_117)) - abs(tmpvar_118));
  highp vec4 tmpvar_120;
  tmpvar_120.xy = tmpvar_117.xy;
  tmpvar_120.zw = tmpvar_118.xy;
  highp vec4 tmpvar_121;
  tmpvar_121.xy = tmpvar_117.zw;
  tmpvar_121.zw = tmpvar_118.zw;
  highp vec4 t_122;
  t_122.x = float((0.0 >= tmpvar_119.x));
  t_122.y = float((0.0 >= tmpvar_119.y));
  t_122.z = float((0.0 >= tmpvar_119.z));
  t_122.w = float((0.0 >= tmpvar_119.w));
  highp vec4 tmpvar_123;
  tmpvar_123 = -(t_122);
  highp vec4 tmpvar_124;
  tmpvar_124 = (tmpvar_120.xzyw + (((floor(tmpvar_120) * 2.0) + 1.0).xzyw * tmpvar_123.xxyy));
  highp vec4 tmpvar_125;
  tmpvar_125 = (tmpvar_121.xzyw + (((floor(tmpvar_121) * 2.0) + 1.0).xzyw * tmpvar_123.zzww));
  highp vec3 tmpvar_126;
  tmpvar_126.xy = tmpvar_124.xy;
  tmpvar_126.z = tmpvar_119.x;
  highp vec3 tmpvar_127;
  tmpvar_127.xy = tmpvar_124.zw;
  tmpvar_127.z = tmpvar_119.y;
  highp vec3 tmpvar_128;
  tmpvar_128.xy = tmpvar_125.xy;
  tmpvar_128.z = tmpvar_119.z;
  highp vec3 tmpvar_129;
  tmpvar_129.xy = tmpvar_125.zw;
  tmpvar_129.z = tmpvar_119.w;
  highp vec4 tmpvar_130;
  tmpvar_130.x = dot (tmpvar_126, tmpvar_126);
  tmpvar_130.y = dot (tmpvar_127, tmpvar_127);
  tmpvar_130.z = dot (tmpvar_128, tmpvar_128);
  tmpvar_130.w = dot (tmpvar_129, tmpvar_129);
  highp vec4 tmpvar_131;
  tmpvar_131 = (1.79284 - (0.853735 * tmpvar_130));
  highp vec4 tmpvar_132;
  tmpvar_132.x = dot (tmpvar_75, tmpvar_75);
  tmpvar_132.y = dot (tmpvar_80, tmpvar_80);
  tmpvar_132.z = dot (tmpvar_81, tmpvar_81);
  tmpvar_132.w = dot (tmpvar_82, tmpvar_82);
  highp vec4 tmpvar_133;
  tmpvar_133 = max ((0.6 - tmpvar_132), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_134;
  tmpvar_134 = (tmpvar_133 * tmpvar_133);
  highp vec4 tmpvar_135;
  tmpvar_135.x = dot ((tmpvar_126 * tmpvar_131.x), tmpvar_75);
  tmpvar_135.y = dot ((tmpvar_127 * tmpvar_131.y), tmpvar_80);
  tmpvar_135.z = dot ((tmpvar_128 * tmpvar_131.z), tmpvar_81);
  tmpvar_135.w = dot ((tmpvar_129 * tmpvar_131.w), tmpvar_82);
  tmpvar_72 = (42.0 * dot ((tmpvar_134 * tmpvar_134), tmpvar_135));
  highp vec3 v_136;
  v_136 = (4.0 * tmpvar_8);
  highp vec3 tmpvar_137;
  tmpvar_137 = floor((v_136 + dot (v_136, vec3(0.333333, 0.333333, 0.333333))));
  highp vec3 tmpvar_138;
  tmpvar_138 = ((v_136 - tmpvar_137) + dot (tmpvar_137, vec3(0.166667, 0.166667, 0.166667)));
  highp vec3 t_139;
  t_139.x = float((tmpvar_138.x >= tmpvar_138.y));
  t_139.y = float((tmpvar_138.y >= tmpvar_138.z));
  t_139.z = float((tmpvar_138.z >= tmpvar_138.x));
  highp vec3 tmpvar_140;
  tmpvar_140 = (1.0 - t_139);
  highp vec3 tmpvar_141;
  tmpvar_141 = min (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_142;
  tmpvar_142 = max (t_139, tmpvar_140.zxy);
  highp vec3 tmpvar_143;
  tmpvar_143 = ((tmpvar_138 - tmpvar_141) + vec3(0.166667, 0.166667, 0.166667));
  highp vec3 tmpvar_144;
  tmpvar_144 = ((tmpvar_138 - tmpvar_142) + vec3(0.333333, 0.333333, 0.333333));
  highp vec3 tmpvar_145;
  tmpvar_145 = (tmpvar_138 - vec3(0.5, 0.5, 0.5));
  highp vec3 tmpvar_146;
  tmpvar_146 = (tmpvar_137 / vec3(289.0, 289.0, 289.0));
  highp vec3 tmpvar_147;
  tmpvar_147 = (fract(abs(tmpvar_146)) * vec3(289.0, 289.0, 289.0));
  highp float tmpvar_148;
  if ((tmpvar_146.x >= 0.0)) {
    tmpvar_148 = tmpvar_147.x;
  } else {
    tmpvar_148 = -(tmpvar_147.x);
  };
  highp float tmpvar_149;
  if ((tmpvar_146.y >= 0.0)) {
    tmpvar_149 = tmpvar_147.y;
  } else {
    tmpvar_149 = -(tmpvar_147.y);
  };
  highp float tmpvar_150;
  if ((tmpvar_146.z >= 0.0)) {
    tmpvar_150 = tmpvar_147.z;
  } else {
    tmpvar_150 = -(tmpvar_147.z);
  };
  highp vec4 tmpvar_151;
  tmpvar_151.xw = vec2(0.0, 1.0);
  tmpvar_151.y = tmpvar_141.z;
  tmpvar_151.z = tmpvar_142.z;
  highp vec4 x_152;
  x_152 = (tmpvar_150 + tmpvar_151);
  highp vec4 tmpvar_153;
  tmpvar_153 = ((((x_152 * x_152) * 34.0) + x_152) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_154;
  tmpvar_154 = (fract(abs(tmpvar_153)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_155;
  if ((tmpvar_153.x >= 0.0)) {
    tmpvar_155 = tmpvar_154.x;
  } else {
    tmpvar_155 = -(tmpvar_154.x);
  };
  highp float tmpvar_156;
  if ((tmpvar_153.y >= 0.0)) {
    tmpvar_156 = tmpvar_154.y;
  } else {
    tmpvar_156 = -(tmpvar_154.y);
  };
  highp float tmpvar_157;
  if ((tmpvar_153.z >= 0.0)) {
    tmpvar_157 = tmpvar_154.z;
  } else {
    tmpvar_157 = -(tmpvar_154.z);
  };
  highp float tmpvar_158;
  if ((tmpvar_153.w >= 0.0)) {
    tmpvar_158 = tmpvar_154.w;
  } else {
    tmpvar_158 = -(tmpvar_154.w);
  };
  highp vec4 tmpvar_159;
  tmpvar_159.x = tmpvar_155;
  tmpvar_159.y = tmpvar_156;
  tmpvar_159.z = tmpvar_157;
  tmpvar_159.w = tmpvar_158;
  highp vec4 tmpvar_160;
  tmpvar_160.xw = vec2(0.0, 1.0);
  tmpvar_160.y = tmpvar_141.y;
  tmpvar_160.z = tmpvar_142.y;
  highp vec4 x_161;
  x_161 = ((tmpvar_159 + tmpvar_149) + tmpvar_160);
  highp vec4 tmpvar_162;
  tmpvar_162 = ((((x_161 * x_161) * 34.0) + x_161) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_163;
  tmpvar_163 = (fract(abs(tmpvar_162)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_164;
  if ((tmpvar_162.x >= 0.0)) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = -(tmpvar_163.x);
  };
  highp float tmpvar_165;
  if ((tmpvar_162.y >= 0.0)) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = -(tmpvar_163.y);
  };
  highp float tmpvar_166;
  if ((tmpvar_162.z >= 0.0)) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = -(tmpvar_163.z);
  };
  highp float tmpvar_167;
  if ((tmpvar_162.w >= 0.0)) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = -(tmpvar_163.w);
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  highp vec4 tmpvar_169;
  tmpvar_169.xw = vec2(0.0, 1.0);
  tmpvar_169.y = tmpvar_141.x;
  tmpvar_169.z = tmpvar_142.x;
  highp vec4 x_170;
  x_170 = ((tmpvar_168 + tmpvar_148) + tmpvar_169);
  highp vec4 tmpvar_171;
  tmpvar_171 = ((((x_170 * x_170) * 34.0) + x_170) / vec4(289.0, 289.0, 289.0, 289.0));
  highp vec4 tmpvar_172;
  tmpvar_172 = (fract(abs(tmpvar_171)) * vec4(289.0, 289.0, 289.0, 289.0));
  highp float tmpvar_173;
  if ((tmpvar_171.x >= 0.0)) {
    tmpvar_173 = tmpvar_172.x;
  } else {
    tmpvar_173 = -(tmpvar_172.x);
  };
  highp float tmpvar_174;
  if ((tmpvar_171.y >= 0.0)) {
    tmpvar_174 = tmpvar_172.y;
  } else {
    tmpvar_174 = -(tmpvar_172.y);
  };
  highp float tmpvar_175;
  if ((tmpvar_171.z >= 0.0)) {
    tmpvar_175 = tmpvar_172.z;
  } else {
    tmpvar_175 = -(tmpvar_172.z);
  };
  highp float tmpvar_176;
  if ((tmpvar_171.w >= 0.0)) {
    tmpvar_176 = tmpvar_172.w;
  } else {
    tmpvar_176 = -(tmpvar_172.w);
  };
  highp vec4 tmpvar_177;
  tmpvar_177.x = tmpvar_173;
  tmpvar_177.y = tmpvar_174;
  tmpvar_177.z = tmpvar_175;
  tmpvar_177.w = tmpvar_176;
  highp vec4 tmpvar_178;
  tmpvar_178 = (tmpvar_177 - (49.0 * floor((0.0204081 * tmpvar_177))));
  highp vec4 tmpvar_179;
  tmpvar_179 = floor((tmpvar_178 * 0.142857));
  highp vec4 tmpvar_180;
  tmpvar_180 = ((tmpvar_179 * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_181;
  tmpvar_181 = ((floor((tmpvar_178 - (7.0 * tmpvar_179))) * 0.285714) + vec4(-0.928572, -0.928572, -0.928572, -0.928572));
  highp vec4 tmpvar_182;
  tmpvar_182 = ((1.0 - abs(tmpvar_180)) - abs(tmpvar_181));
  highp vec4 tmpvar_183;
  tmpvar_183.xy = tmpvar_180.xy;
  tmpvar_183.zw = tmpvar_181.xy;
  highp vec4 tmpvar_184;
  tmpvar_184.xy = tmpvar_180.zw;
  tmpvar_184.zw = tmpvar_181.zw;
  highp vec4 t_185;
  t_185.x = float((0.0 >= tmpvar_182.x));
  t_185.y = float((0.0 >= tmpvar_182.y));
  t_185.z = float((0.0 >= tmpvar_182.z));
  t_185.w = float((0.0 >= tmpvar_182.w));
  highp vec4 tmpvar_186;
  tmpvar_186 = -(t_185);
  highp vec4 tmpvar_187;
  tmpvar_187 = (tmpvar_183.xzyw + (((floor(tmpvar_183) * 2.0) + 1.0).xzyw * tmpvar_186.xxyy));
  highp vec4 tmpvar_188;
  tmpvar_188 = (tmpvar_184.xzyw + (((floor(tmpvar_184) * 2.0) + 1.0).xzyw * tmpvar_186.zzww));
  highp vec3 tmpvar_189;
  tmpvar_189.xy = tmpvar_187.xy;
  tmpvar_189.z = tmpvar_182.x;
  highp vec3 tmpvar_190;
  tmpvar_190.xy = tmpvar_187.zw;
  tmpvar_190.z = tmpvar_182.y;
  highp vec3 tmpvar_191;
  tmpvar_191.xy = tmpvar_188.xy;
  tmpvar_191.z = tmpvar_182.z;
  highp vec3 tmpvar_192;
  tmpvar_192.xy = tmpvar_188.zw;
  tmpvar_192.z = tmpvar_182.w;
  highp vec4 tmpvar_193;
  tmpvar_193.x = dot (tmpvar_189, tmpvar_189);
  tmpvar_193.y = dot (tmpvar_190, tmpvar_190);
  tmpvar_193.z = dot (tmpvar_191, tmpvar_191);
  tmpvar_193.w = dot (tmpvar_192, tmpvar_192);
  highp vec4 tmpvar_194;
  tmpvar_194 = (1.79284 - (0.853735 * tmpvar_193));
  highp vec4 tmpvar_195;
  tmpvar_195.x = dot (tmpvar_138, tmpvar_138);
  tmpvar_195.y = dot (tmpvar_143, tmpvar_143);
  tmpvar_195.z = dot (tmpvar_144, tmpvar_144);
  tmpvar_195.w = dot (tmpvar_145, tmpvar_145);
  highp vec4 tmpvar_196;
  tmpvar_196 = max ((0.6 - tmpvar_195), vec4(0.0, 0.0, 0.0, 0.0));
  highp vec4 tmpvar_197;
  tmpvar_197 = (tmpvar_196 * tmpvar_196);
  highp vec4 tmpvar_198;
  tmpvar_198.x = dot ((tmpvar_189 * tmpvar_194.x), tmpvar_138);
  tmpvar_198.y = dot ((tmpvar_190 * tmpvar_194.y), tmpvar_143);
  tmpvar_198.z = dot ((tmpvar_191 * tmpvar_194.z), tmpvar_144);
  tmpvar_198.w = dot ((tmpvar_192 * tmpvar_194.w), tmpvar_145);
  highp vec3 tmpvar_199;
  tmpvar_199.x = tmpvar_9;
  tmpvar_199.y = tmpvar_72;
  tmpvar_199.z = (42.0 * dot ((tmpvar_197 * tmpvar_197), tmpvar_198));
  highp vec3 tmpvar_200;
  tmpvar_200 = (0.5 * (tmpvar_199 + 1.0));
  localOrigin_5.xyz = (((2.0 * tmpvar_200) - 1.0) * _MaxTrans);
  localOrigin_5.w = 1.0;
  highp float tmpvar_201;
  tmpvar_201 = ((tmpvar_200.x * (_MaxScale - 1.0)) + 1.0);
  highp vec4 tmpvar_202;
  tmpvar_202 = (_Object2World * localOrigin_5);
  highp vec4 tmpvar_203;
  tmpvar_203 = (_MainRotation * tmpvar_202);
  mediump vec4 tex_204;
  highp vec4 uv_205;
  highp vec3 tmpvar_206;
  tmpvar_206 = normalize((_DetailRotation * tmpvar_203).xyz);
  highp vec2 uv_207;
  mediump float s_208;
  mediump float nylerp_209;
  mediump float zxlerp_210;
  highp vec3 tmpvar_211;
  tmpvar_211 = abs(tmpvar_206);
  highp float tmpvar_212;
  tmpvar_212 = float((tmpvar_211.z >= tmpvar_211.x));
  zxlerp_210 = tmpvar_212;
  highp float tmpvar_213;
  tmpvar_213 = float((max (tmpvar_211.x, tmpvar_211.z) >= tmpvar_211.y));
  nylerp_209 = tmpvar_213;
  highp float tmpvar_214;
  tmpvar_214 = mix (tmpvar_206.x, tmpvar_206.z, zxlerp_210);
  s_208 = tmpvar_214;
  highp float tmpvar_215;
  tmpvar_215 = sign(mix (tmpvar_206.y, s_208, nylerp_209));
  s_208 = tmpvar_215;
  mediump vec3 tmpvar_216;
  tmpvar_216.xz = vec2(1.0, 1.0);
  tmpvar_216.y = -(s_208);
  mediump vec3 tmpvar_217;
  tmpvar_217.xz = vec2(1.0, 1.0);
  tmpvar_217.y = s_208;
  mediump vec3 tmpvar_218;
  tmpvar_218.xy = vec2(1.0, 1.0);
  tmpvar_218.z = -(s_208);
  highp vec3 tmpvar_219;
  tmpvar_219 = mix ((tmpvar_218 * tmpvar_206.yxz), mix ((tmpvar_216 * tmpvar_206.xzy), (tmpvar_217 * tmpvar_206.zxy), vec3(zxlerp_210)), vec3(nylerp_209));
  uv_207.x = (((0.5 * tmpvar_219.y) / abs(tmpvar_219.x)) + 0.5);
  uv_207.y = (((0.5 * tmpvar_219.z) / abs(tmpvar_219.x)) + 0.5);
  uv_205.xy = (uv_207 * _DetailScale);
  uv_205.zw = vec2(0.0, 0.0);
  lowp vec4 tmpvar_220;
  tmpvar_220 = texture2DLod (_DetailTex, uv_205.xy, 0.0);
  tex_204 = tmpvar_220;
  tmpvar_6 = tex_204;
  highp vec4 tmpvar_221;
  tmpvar_221.w = 0.0;
  tmpvar_221.xyz = _WorldSpaceCameraPos;
  highp float tmpvar_222;
  highp vec4 p_223;
  p_223 = (tmpvar_202 - tmpvar_221);
  tmpvar_222 = sqrt(dot (p_223, p_223));
  highp float tmpvar_224;
  tmpvar_224 = (tmpvar_6.w * (clamp ((_DistFade * tmpvar_222), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_222)), 0.0, 1.0)));
  tmpvar_6.w = tmpvar_224;
  highp vec3 tmpvar_225;
  tmpvar_225.yz = vec2(0.0, 0.0);
  tmpvar_225.x = fract(_Rotation);
  highp vec3 x_226;
  x_226 = (tmpvar_225 + tmpvar_200);
  highp vec3 trans_227;
  trans_227 = localOrigin_5.xyz;
  highp float tmpvar_228;
  tmpvar_228 = (x_226.x * 6.28319);
  highp float tmpvar_229;
  tmpvar_229 = (x_226.y * 6.28319);
  highp float tmpvar_230;
  tmpvar_230 = (x_226.z * 2.0);
  highp float tmpvar_231;
  tmpvar_231 = sqrt(tmpvar_230);
  highp float tmpvar_232;
  tmpvar_232 = (sin(tmpvar_229) * tmpvar_231);
  highp float tmpvar_233;
  tmpvar_233 = (cos(tmpvar_229) * tmpvar_231);
  highp float tmpvar_234;
  tmpvar_234 = sqrt((2.0 - tmpvar_230));
  highp float tmpvar_235;
  tmpvar_235 = sin(tmpvar_228);
  highp float tmpvar_236;
  tmpvar_236 = cos(tmpvar_228);
  highp float tmpvar_237;
  tmpvar_237 = ((tmpvar_232 * tmpvar_236) - (tmpvar_233 * tmpvar_235));
  highp float tmpvar_238;
  tmpvar_238 = ((tmpvar_232 * tmpvar_235) + (tmpvar_233 * tmpvar_236));
  highp mat4 tmpvar_239;
  tmpvar_239[0].x = (tmpvar_201 * ((tmpvar_232 * tmpvar_237) - tmpvar_236));
  tmpvar_239[0].y = ((tmpvar_232 * tmpvar_238) - tmpvar_235);
  tmpvar_239[0].z = (tmpvar_232 * tmpvar_234);
  tmpvar_239[0].w = 0.0;
  tmpvar_239[1].x = ((tmpvar_233 * tmpvar_237) + tmpvar_235);
  tmpvar_239[1].y = (tmpvar_201 * ((tmpvar_233 * tmpvar_238) - tmpvar_236));
  tmpvar_239[1].z = (tmpvar_233 * tmpvar_234);
  tmpvar_239[1].w = 0.0;
  tmpvar_239[2].x = (tmpvar_234 * tmpvar_237);
  tmpvar_239[2].y = (tmpvar_234 * tmpvar_238);
  tmpvar_239[2].z = (tmpvar_201 * (1.0 - tmpvar_230));
  tmpvar_239[2].w = 0.0;
  tmpvar_239[3].x = trans_227.x;
  tmpvar_239[3].y = trans_227.y;
  tmpvar_239[3].z = trans_227.z;
  tmpvar_239[3].w = 1.0;
  highp mat4 tmpvar_240;
  tmpvar_240 = (((unity_MatrixV * _Object2World) * tmpvar_239));
  vec4 v_241;
  v_241.x = tmpvar_240[0].z;
  v_241.y = tmpvar_240[1].z;
  v_241.z = tmpvar_240[2].z;
  v_241.w = tmpvar_240[3].z;
  vec3 tmpvar_242;
  tmpvar_242 = normalize(v_241.xyz);
  highp vec4 tmpvar_243;
  tmpvar_243 = (glstate_matrix_modelview0 * localOrigin_5);
  highp vec4 tmpvar_244;
  tmpvar_244.xyz = (_glesVertex.xyz * tmpvar_201);
  tmpvar_244.w = _glesVertex.w;
  highp vec4 tmpvar_245;
  tmpvar_245 = (glstate_matrix_projection * (tmpvar_243 + tmpvar_244));
  highp vec2 tmpvar_246;
  tmpvar_246 = ((2.0 * _glesMultiTexCoord0.xy) - 1.0);
  highp vec4 tmpvar_247;
  tmpvar_247.z = 0.0;
  tmpvar_247.x = tmpvar_246.x;
  tmpvar_247.y = tmpvar_246.y;
  tmpvar_247.w = _glesVertex.w;
  ZYv_4.xyw = tmpvar_247.zyw;
  XZv_3.yzw = tmpvar_247.zyw;
  XYv_2.yzw = tmpvar_247.yzw;
  ZYv_4.z = (tmpvar_246.x * sign(-(tmpvar_242.x)));
  XZv_3.x = (tmpvar_246.x * sign(-(tmpvar_242.y)));
  XYv_2.x = (tmpvar_246.x * sign(tmpvar_242.z));
  ZYv_4.x = ((sign(-(tmpvar_242.x)) * sign(ZYv_4.z)) * tmpvar_242.z);
  XZv_3.y = ((sign(-(tmpvar_242.y)) * sign(XZv_3.x)) * tmpvar_242.x);
  XYv_2.z = ((sign(-(tmpvar_242.z)) * sign(XYv_2.x)) * tmpvar_242.x);
  ZYv_4.x = (ZYv_4.x + ((sign(-(tmpvar_242.x)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  XZv_3.y = (XZv_3.y + ((sign(-(tmpvar_242.y)) * sign(tmpvar_246.y)) * tmpvar_242.z));
  XYv_2.z = (XYv_2.z + ((sign(-(tmpvar_242.z)) * sign(tmpvar_246.y)) * tmpvar_242.y));
  highp vec4 tmpvar_248;
  tmpvar_248.w = 0.0;
  tmpvar_248.xyz = tmpvar_1;
  highp vec3 tmpvar_249;
  tmpvar_249 = normalize((_Object2World * tmpvar_248).xyz);
  highp vec3 tmpvar_250;
  tmpvar_250 = normalize((tmpvar_202.xyz - _WorldSpaceCameraPos));
  lowp vec3 tmpvar_251;
  tmpvar_251 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_252;
  lightDir_252 = tmpvar_251;
  mediump vec3 viewDir_253;
  viewDir_253 = tmpvar_250;
  mediump vec3 normal_254;
  normal_254 = tmpvar_249;
  mediump vec4 color_255;
  color_255 = tmpvar_6;
  mediump vec4 c_256;
  mediump vec3 tmpvar_257;
  tmpvar_257 = normalize(lightDir_252);
  lightDir_252 = tmpvar_257;
  viewDir_253 = normalize(viewDir_253);
  mediump vec3 tmpvar_258;
  tmpvar_258 = normalize(normal_254);
  normal_254 = tmpvar_258;
  mediump float tmpvar_259;
  tmpvar_259 = dot (tmpvar_258, tmpvar_257);
  highp vec3 tmpvar_260;
  tmpvar_260 = (((color_255.xyz * _LightColor0.xyz) * tmpvar_259) * 4.0);
  c_256.xyz = tmpvar_260;
  c_256.w = (tmpvar_259 * 4.0);
  lowp vec3 tmpvar_261;
  tmpvar_261 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_262;
  lightDir_262 = tmpvar_261;
  mediump vec3 normal_263;
  normal_263 = tmpvar_249;
  mediump float tmpvar_264;
  tmpvar_264 = dot (normal_263, lightDir_262);
  mediump vec3 tmpvar_265;
  tmpvar_265 = (c_256 * mix (1.0, clamp (floor((1.01 + tmpvar_264)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_264)), 0.0, 1.0))).xyz;
  tmpvar_6.xyz = tmpvar_265;
  highp vec4 o_266;
  highp vec4 tmpvar_267;
  tmpvar_267 = (tmpvar_245 * 0.5);
  highp vec2 tmpvar_268;
  tmpvar_268.x = tmpvar_267.x;
  tmpvar_268.y = (tmpvar_267.y * _ProjectionParams.x);
  o_266.xy = (tmpvar_268 + tmpvar_267.w);
  o_266.zw = tmpvar_245.zw;
  tmpvar_7.xyw = o_266.xyw;
  tmpvar_7.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_245;
  xlv_COLOR = tmpvar_6;
  xlv_TEXCOORD0 = abs(tmpvar_242);
  xlv_TEXCOORD1 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * ZYv_4).xy - tmpvar_243.xy)));
  xlv_TEXCOORD2 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XZv_3).xy - tmpvar_243.xy)));
  xlv_TEXCOORD3 = (vec2(0.5, 0.5) + (0.6 * ((tmpvar_240 * XYv_2).xy - tmpvar_243.xy)));
  xlv_TEXCOORD4 = tmpvar_7;
  xlv_TEXCOORD5 = tmpvar_203.xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
varying lowp vec4 xlv_COLOR;
uniform sampler2D _CameraDepthTexture;
uniform highp float _InvFade;
uniform lowp vec4 _Color;
uniform sampler2D _FrontTex;
uniform sampler2D _LeftTex;
uniform sampler2D _TopTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec4 _ZBufferParams;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump vec4 color_3;
  mediump vec4 ztex_4;
  mediump float zval_5;
  mediump vec4 ytex_6;
  mediump float yval_7;
  mediump vec4 xtex_8;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_LeftTex, xlv_TEXCOORD1);
  xtex_8 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = xlv_TEXCOORD0.y;
  yval_7 = tmpvar_10;
  lowp vec4 tmpvar_11;
  tmpvar_11 = texture2D (_TopTex, xlv_TEXCOORD2);
  ytex_6 = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD0.z;
  zval_5 = tmpvar_12;
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2D (_FrontTex, xlv_TEXCOORD3);
  ztex_4 = tmpvar_13;
  mediump vec4 tmpvar_14;
  tmpvar_14 = mix (mix (xtex_8, ytex_6, vec4(yval_7)), ztex_4, vec4(zval_5));
  mediump vec4 samp_15;
  mediump vec3 detailCoords_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec4 uv_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  uv_20.zw = vec2(0.0, 0.0);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, zxlerp_19) >= tmpvar_22.y));
  nylerp_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_21.x, tmpvar_21.z, zxlerp_19);
  s_17 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_21.y, s_17, nylerp_18));
  s_17 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_17);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_17;
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_27 * tmpvar_21.xzy), (tmpvar_28 * tmpvar_21.zxy), vec3(zxlerp_19));
  detailCoords_16 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_17);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_21.yzx), detailCoords_16, vec3(nylerp_18));
  detailCoords_16 = tmpvar_31;
  mediump vec2 tmpvar_32;
  tmpvar_32 = (((0.5 * detailCoords_16.yz) / abs(detailCoords_16.x)) + 0.5);
  uv_20.xy = tmpvar_32;
  if ((s_17 > 0.0)) {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_33;
      tmpvar_33 = texture2DLodEXT (cube_MainTexyp, uv_20.xy, 0.0);
      samp_15 = tmpvar_33;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_34;
        tmpvar_34 = texture2DLodEXT (cube_MainTexzp, uv_20.xy, 0.0);
        samp_15 = tmpvar_34;
      } else {
        lowp vec4 tmpvar_35;
        tmpvar_35 = texture2DLodEXT (cube_MainTexxp, uv_20.xy, 0.0);
        samp_15 = tmpvar_35;
      };
    };
  } else {
    if ((nylerp_18 <= 0.0)) {
      lowp vec4 tmpvar_36;
      tmpvar_36 = texture2DLodEXT (cube_MainTexyn, uv_20.xy, 0.0);
      samp_15 = tmpvar_36;
    } else {
      if ((zxlerp_19 > 0.0)) {
        lowp vec4 tmpvar_37;
        tmpvar_37 = texture2DLodEXT (cube_MainTexzn, uv_20.xy, 0.0);
        samp_15 = tmpvar_37;
      } else {
        lowp vec4 tmpvar_38;
        tmpvar_38 = texture2DLodEXT (cube_MainTexxn, uv_20.xy, 0.0);
        samp_15 = tmpvar_38;
      };
    };
  };
  mediump vec4 v_39;
  v_39 = (samp_15 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tmpvar_41;
  tmpvar_41 = (tmpvar_40 * (((0.94 * _Color) * xlv_COLOR) * tmpvar_14));
  color_3.xyz = tmpvar_41.xyz;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD4).x;
  depth_2 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (tmpvar_41.w * clamp ((_InvFade * (tmpvar_43 - xlv_TEXCOORD4.z)), 0.0, 1.0));
  color_3.w = tmpvar_44;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_mod_f_f( float x, float y ) {
  float d = x / y;
  float f = fract (abs(d)) * y;
  return d >= 0.0 ? f : -f;
}
vec2 xll_mod_vf2_vf2( vec2 x, vec2 y ) {
  vec2 d = x / y;
  vec2 f = fract (abs(d)) * y;
  return vec2 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y);
}
vec3 xll_mod_vf3_vf3( vec3 x, vec3 y ) {
  vec3 d = x / y;
  vec3 f = fract (abs(d)) * y;
  return vec3 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z);
}
vec4 xll_mod_vf4_vf4( vec4 x, vec4 y ) {
  vec4 d = x / y;
  vec4 f = fract (abs(d)) * y;
  return vec4 (d.x >= 0.0 ? f.x : -f.x, d.y >= 0.0 ? f.y : -f.y, d.z >= 0.0 ? f.z : -f.z, d.w >= 0.0 ? f.w : -f.w);
}
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_matrixindex_mf2x2_i (mat2 m, int i) { vec2 v; v.x=m[0][i]; v.y=m[1][i]; return v; }
vec3 xll_matrixindex_mf3x3_i (mat3 m, int i) { vec3 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; return v; }
vec4 xll_matrixindex_mf4x4_i (mat4 m, int i) { vec4 v; v.x=m[0][i]; v.y=m[1][i]; v.z=m[2][i]; v.w=m[3][i]; return v; }
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 619
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    #line 621
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    #line 625
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    #line 629
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    return uv;
}
#line 779
mediump vec4 GetCubeDetailMapNoLOD( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec4 uv;
    #line 783
    uv.xy = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    uv.zw = vec2( 0.0, 0.0);
    mediump vec4 tex = xll_tex2Dlod( texSampler, uv);
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 401
highp mat4 rand_rotation( in highp vec3 x, in highp float scale, in highp vec3 trans ) {
    highp float theta = (x.x * 6.28319);
    highp float phi = (x.y * 6.28319);
    #line 405
    highp float z = (x.z * 2.0);
    highp float r = sqrt(z);
    highp float Vx = (sin(phi) * r);
    highp float Vy = (cos(phi) * r);
    #line 409
    highp float Vz = sqrt((2.0 - z));
    highp float st = sin(theta);
    highp float ct = cos(theta);
    highp float Sx = ((Vx * ct) - (Vy * st));
    #line 413
    highp float Sy = ((Vx * st) + (Vy * ct));
    highp mat4 M = mat4( (scale * ((Vx * Sx) - ct)), ((Vx * Sy) - st), (Vx * Vz), 0.0, ((Vy * Sx) + st), (scale * ((Vy * Sy) - ct)), (Vy * Vz), 0.0, (Vz * Sx), (Vz * Sy), (scale * (1.0 - z)), 0.0, trans.x, trans.y, trans.z, 1.0);
    return M;
}
#line 472
highp vec4 permute( in highp vec4 x ) {
    #line 474
    return xll_mod_vf4_vf4( (((x * x) * 34.0) + x), vec4( 289.0));
}
#line 480
highp vec4 taylorInvSqrt( in highp vec4 r ) {
    #line 482
    return (1.79284 - (0.853735 * r));
}
#line 516
highp float snoise( in highp vec3 v ) {
    const highp vec2 C = vec2( 0.166667, 0.333333);
    const highp vec4 D = vec4( 0.0, 0.5, 1.0, 2.0);
    #line 520
    highp vec3 i = floor((v + dot( v, C.yyy)));
    highp vec3 x0 = ((v - i) + dot( i, C.xxx));
    highp vec3 g = step( x0.yzx, x0.xyz);
    highp vec3 l = (1.0 - g);
    #line 524
    highp vec3 i1 = min( g.xyz, l.zxy);
    highp vec3 i2 = max( g.xyz, l.zxy);
    highp vec3 x1 = ((x0 - i1) + C.xxx);
    highp vec3 x2 = ((x0 - i2) + C.yyy);
    #line 528
    highp vec3 x3 = (x0 - D.yyy);
    i = xll_mod_vf3_vf3( i, vec3( 289.0));
    highp vec4 p = permute( ((permute( ((permute( (i.z + vec4( 0.0, i1.z, i2.z, 1.0))) + i.y) + vec4( 0.0, i1.y, i2.y, 1.0))) + i.x) + vec4( 0.0, i1.x, i2.x, 1.0)));
    highp float n_ = 0.142857;
    #line 532
    highp vec3 ns = ((n_ * D.wyz) - D.xzx);
    highp vec4 j = (p - (49.0 * floor(((p * ns.z) * ns.z))));
    highp vec4 x_ = floor((j * ns.z));
    highp vec4 y_ = floor((j - (7.0 * x_)));
    #line 536
    highp vec4 x = ((x_ * ns.x) + ns.yyyy);
    highp vec4 y = ((y_ * ns.x) + ns.yyyy);
    highp vec4 h = ((1.0 - abs(x)) - abs(y));
    highp vec4 b0 = vec4( x.xy, y.xy);
    #line 540
    highp vec4 b1 = vec4( x.zw, y.zw);
    highp vec4 s0 = ((floor(b0) * 2.0) + 1.0);
    highp vec4 s1 = ((floor(b1) * 2.0) + 1.0);
    highp vec4 sh = (-step( h, vec4( 0.0)));
    #line 544
    highp vec4 a0 = (b0.xzyw + (s0.xzyw * sh.xxyy));
    highp vec4 a1 = (b1.xzyw + (s1.xzyw * sh.zzww));
    highp vec3 p0 = vec3( a0.xy, h.x);
    highp vec3 p1 = vec3( a0.zw, h.y);
    #line 548
    highp vec3 p2 = vec3( a1.xy, h.z);
    highp vec3 p3 = vec3( a1.zw, h.w);
    highp vec4 norm = taylorInvSqrt( vec4( dot( p0, p0), dot( p1, p1), dot( p2, p2), dot( p3, p3)));
    p0 *= norm.x;
    #line 552
    p1 *= norm.y;
    p2 *= norm.z;
    p3 *= norm.w;
    highp vec4 m = max( (0.6 - vec4( dot( x0, x0), dot( x1, x1), dot( x2, x2), dot( x3, x3))), vec4( 0.0));
    #line 556
    m = (m * m);
    return (42.0 * dot( (m * m), vec4( dot( p0, x0), dot( p1, x1), dot( p2, x2), dot( p3, x3))));
}
#line 838
v2f vert( in appdata_t v ) {
    v2f o;
    #line 842
    highp vec4 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0));
    highp vec4 planet_pos = (_MainRotation * origin);
    highp vec3 normalized = (_NoiseScale * planet_pos.xyz);
    highp vec3 hashVect = (0.5 * (vec3( snoise( normalized), snoise( (2.0 * normalized)), snoise( (4.0 * normalized))) + 1.0));
    #line 846
    highp vec4 localOrigin;
    localOrigin.xyz = (((2.0 * hashVect) - 1.0) * _MaxTrans);
    localOrigin.w = 1.0;
    highp float localScale = ((hashVect.x * (_MaxScale - 1.0)) + 1.0);
    #line 850
    origin = (_Object2World * localOrigin);
    planet_pos = (_MainRotation * origin);
    highp vec3 detail_pos = (_DetailRotation * planet_pos).xyz;
    o.planetPos = planet_pos.xyz;
    #line 854
    o.color = vec4( 1.0, 1.0, 1.0, 1.0);
    o.color.xyzw *= GetCubeDetailMapNoLOD( _DetailTex, detail_pos, _DetailScale);
    o.color.w *= GetDistanceFade( distance( origin, vec4( _WorldSpaceCameraPos, 0.0)), _DistFade, _DistFadeVert);
    highp mat4 M = rand_rotation( (vec3( fract(_Rotation), 0.0, 0.0) + hashVect), localScale, localOrigin.xyz);
    #line 858
    highp mat4 mvMatrix = ((unity_MatrixV * _Object2World) * M);
    highp vec3 viewDir = normalize(xll_matrixindex_mf4x4_i (mvMatrix, 2).xyz);
    o.viewDir = abs(viewDir);
    highp vec4 mvCenter = (glstate_matrix_modelview0 * localOrigin);
    #line 862
    o.pos = (glstate_matrix_projection * (mvCenter + vec4( (v.vertex.xyz * localScale), v.vertex.w)));
    highp vec2 texcoodOffsetxy = ((2.0 * v.texcoord) - 1.0);
    highp vec4 texcoordOffset = vec4( texcoodOffsetxy.x, texcoodOffsetxy.y, 0.0, v.vertex.w);
    highp vec4 ZYv = texcoordOffset.zyxw;
    #line 866
    highp vec4 XZv = texcoordOffset.xzyw;
    highp vec4 XYv = texcoordOffset.xyzw;
    ZYv.z *= sign((-viewDir.x));
    XZv.x *= sign((-viewDir.y));
    #line 870
    XYv.x *= sign(viewDir.z);
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.z)) * viewDir.z);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.x)) * viewDir.x);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.x)) * viewDir.x);
    #line 874
    ZYv.x += ((sign((-viewDir.x)) * sign(ZYv.y)) * viewDir.y);
    XZv.y += ((sign((-viewDir.y)) * sign(XZv.z)) * viewDir.z);
    XYv.z += ((sign((-viewDir.z)) * sign(XYv.y)) * viewDir.y);
    highp vec2 ZY = ((mvMatrix * ZYv).xy - mvCenter.xy);
    #line 878
    highp vec2 XZ = ((mvMatrix * XZv).xy - mvCenter.xy);
    highp vec2 XY = ((mvMatrix * XYv).xy - mvCenter.xy);
    o.texcoordZY = (vec2( 0.5, 0.5) + (0.6 * ZY));
    o.texcoordXZ = (vec2( 0.5, 0.5) + (0.6 * XZ));
    #line 882
    o.texcoordXY = (vec2( 0.5, 0.5) + (0.6 * XY));
    highp vec3 worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    viewDir = normalize((vec3( origin) - _WorldSpaceCameraPos));
    mediump vec4 color = SpecularColorLight( vec3( _WorldSpaceLightPos0), viewDir, worldNormal, o.color, vec4( 0.0), 0.0, 1.0);
    #line 886
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), worldNormal);
    o.color.xyz = color.xyz;
    o.projPos = ComputeScreenPos( o.pos);
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    #line 890
    return o;
}

out lowp vec4 xlv_COLOR;
out highp vec3 xlv_TEXCOORD0;
out highp vec2 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_COLOR = vec4(xl_retval.color);
    xlv_TEXCOORD0 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD1 = vec2(xl_retval.texcoordZY);
    xlv_TEXCOORD2 = vec2(xl_retval.texcoordXZ);
    xlv_TEXCOORD3 = vec2(xl_retval.texcoordXY);
    xlv_TEXCOORD4 = vec4(xl_retval.projPos);
    xlv_TEXCOORD5 = vec3(xl_retval.planetPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
vec4 xll_tex2Dlod(sampler2D s, vec4 coord) {
   return textureLod( s, coord.xy, coord.w);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 826
struct v2f {
    highp vec4 pos;
    lowp vec4 color;
    highp vec3 viewDir;
    highp vec2 texcoordZY;
    highp vec2 texcoordXZ;
    highp vec2 texcoordXY;
    highp vec4 projPos;
    highp vec3 planetPos;
};
#line 817
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 tangent;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 516
#line 601
#line 605
#line 633
#line 642
#line 650
#line 658
#line 663
#line 779
#line 788
#line 796
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
#line 800
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _TopTex;
#line 804
uniform sampler2D _LeftTex;
uniform sampler2D _FrontTex;
uniform sampler2D _DetailTex;
uniform highp float _DetailScale;
#line 808
uniform lowp vec4 _Color;
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _InvFade;
#line 812
uniform highp float _Rotation;
uniform highp float _MaxScale;
uniform highp float _NoiseScale;
uniform highp vec3 _MaxTrans;
#line 816
uniform sampler2D _CameraDepthTexture;
#line 838
#line 663
mediump vec4 GetCubeMapNoLOD( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 667
    highp vec4 uv;
    uv.zw = vec2( 0.0, 0.0);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 671
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 675
    uv.xy = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    mediump vec4 samp;
    if ((s > 0.0)){
        #line 679
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYp, uv);
        }
        else{
            #line 685
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZp, uv);
            }
            else{
                #line 691
                samp = xll_tex2Dlod( texXp, uv);
            }
        }
    }
    else{
        #line 697
        if ((nylerp <= 0.0)){
            samp = xll_tex2Dlod( texYn, uv);
        }
        else{
            #line 703
            if ((zxlerp > 0.0)){
                samp = xll_tex2Dlod( texZn, uv);
            }
            else{
                #line 709
                samp = xll_tex2Dlod( texXn, uv);
            }
        }
    }
    #line 713
    return samp;
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 601
mediump float vectorSum( in mediump vec4 v ) {
    return (((v.x + v.y) + v.z) + v.w);
}
#line 892
lowp vec4 frag( in v2f IN ) {
    #line 894
    mediump float xval = IN.viewDir.x;
    mediump vec4 xtex = texture( _LeftTex, IN.texcoordZY);
    mediump float yval = IN.viewDir.y;
    mediump vec4 ytex = texture( _TopTex, IN.texcoordXZ);
    #line 898
    mediump float zval = IN.viewDir.z;
    mediump vec4 ztex = texture( _FrontTex, IN.texcoordXY);
    mediump vec4 tex = mix( mix( xtex, ytex, vec4( yval)), ztex, vec4( zval));
    mediump vec4 prev = GetCubeMapNoLOD( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.planetPos);
    #line 902
    prev = vec4( 1.0, 1.0, 1.0, vectorSum( (prev * vec4( 0.0, 0.0, 0.0, 1.0))));
    prev *= (((0.94 * _Color) * IN.color) * tex);
    mediump vec4 color;
    color.xyz = prev.xyz;
    #line 906
    color.w = prev.w;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 910
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in lowp vec4 xlv_COLOR;
in highp vec3 xlv_TEXCOORD0;
in highp vec2 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_COLOR);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD0);
    xlt_IN.texcoordZY = vec2(xlv_TEXCOORD1);
    xlt_IN.texcoordXZ = vec2(xlv_TEXCOORD2);
    xlt_IN.texcoordXY = vec2(xlv_TEXCOORD3);
    xlt_IN.projPos = vec4(xlv_TEXCOORD4);
    xlt_IN.planetPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 240
//   d3d9 - ALU: 12 to 61, TEX: 5 to 16, FLOW: 10 to 10
//   d3d11 - ALU: 11 to 50, TEX: 3 to 4, FLOW: 1 to 11
SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedejcaaecedipnddhmplppijinpodglodnabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 45 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
mad r1.x, r3.z, c3.y, c3.z
mad r1.x, r1, r3.z, c3.w
mad r3.w, r1.x, r3.z, c4.x
mad r3.w, r3, r3.z, c4.y
mad r3.z, r3.w, r3, c4
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r2, v1.y, r1, r2
texld r1, v4, s2
add_pp r1, r1, -r2
mad_pp r2, v1.z, r1, r2
abs r1.y, r0
mul r3.y, r3.z, r3
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
add r1.x, -r3.y, c4.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r1.x
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mul_pp r1, v0, c0
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r0, r0.xyzz, s3
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedghdaimlebdcmpanocacajnlbkihejiioabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpbcinhbaobpincobnnflmdagghkmhfklabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpbcinhbaobpincobnnflmdagghkmhfklabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.yxxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednpobkdblplgcdnpcbimgnbppeddmpkbkabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednpobkdblplgcdnpcbimgnbppeddmpkbkabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xyxx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbfkffmnndhfbgapfaiepbhjpjnaanplbabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxyx
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedojninhmlkhbdkipllmmelhcdmgjlbimpabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
"ps_3_0
; 50 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c1, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c2, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c3, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c4, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c5, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r1.x, r0
abs r0.w, r0.z
max r1.y, r1.x, r0.w
rcp r1.z, r1.y
min r1.y, r1.x, r0.w
mul r1.y, r1, r1.z
mul r1.z, r1.y, r1.y
mad r1.w, r1.z, c3.y, c3.z
mad r1.w, r1, r1.z, c3
mad r1.w, r1, r1.z, c4.x
mad r1.w, r1, r1.z, c4.y
mad r1.z, r1.w, r1, c4
mul r1.y, r1.z, r1
add r1.z, -r1.y, c4.w
add r0.w, r1.x, -r0
cmp r0.w, -r0, r1.y, r1.z
abs r1.y, r0
add r1.x, -r0.w, c2.w
cmp r0.w, r0.z, r0, r1.x
cmp r0.x, r0, r0.w, -r0.w
add r1.w, -r1.y, c1.y
mad r1.z, r1.y, c1, c1.w
mad r1.z, r1, r1.y, c2.x
rsq r1.w, r1.w
rcp r1.w, r1.w
mad r1.y, r1.z, r1, c2
mul r1.y, r1, r1.w
cmp r0.y, r0, c1.x, c1
mul r1.z, r0.y, r1.y
mad r0.z, -r1, c2, r1.y
mad r0.y, r0, c2.w, r0.z
mad r0.x, r0, c5, c5.y
mul r0.y, r0, c3.x
mov r0.z, c1.x
texldl r2, r0.xyzz, s3
mul_pp r2, r2, c1.xxxy
add_pp r2.x, r2, r2.y
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r1, v0, c0
mul_pp r0, r1, r0
add_pp r2.x, r2, r2.z
add_pp r1.w, r2.x, r2
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c5.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
// 50 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 4 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedojninhmlkhbdkipllmmelhcdmgjlbimpabaaaaaaieaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcdaahaaaaeaaaaaaammabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
agaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
eiaaaaalpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
fgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaa
acaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaai
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaaj
pcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaa
diaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaa
aaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddlldlnamkkagloplopbpinjndglkmnfpabaaaaaaciaeaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcneacaaaaeaaaaaaalfaaaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafidaaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaaefaaaaajpcaabaaa
aaaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaaj
pcaabaaaabaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaa
aaaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaa
dcaaaaajpcaabaaaaaaaaaaafgbfbaaaacaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaa
aagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaakgbkbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaaegbobaaaabaaaaaa
egiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
egaobaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaa
agaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhcaabaaa
abaaaaaaagaabaaaabaaaaaaegbcbaaaagaaaaaaeiaaaaalpcaabaaaabaaaaaa
egacbaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaak
pccabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadp
nhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 12 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v5
mov_pp r1.w, c1.x
mul_pp r2, v0, c0
texldl r1, r1, s3
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.y
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 2 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgogfhpnpdgpodjfjhkokompbcinpcnocabaaaaaaciaeaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcneacaaaaeaaaaaaalfaaaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafidaaaaeaahabaaaadaaaaaaffffaaaagcbaaaad
pcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaa
gcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaa
agaaaaaaeiaaaaalpcaabaaaaaaaaaaaegacbaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaaaaaaaaaabeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaa
adaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaa
egbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaa
abaaaaaafgbfbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaaj
pcaabaaaacaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaa
aaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaa
dcaaaaajpcaabaaaabaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaa
amaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaa
diaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaak
pccabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadp
nhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.yxxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xyxx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
"ps_3_0
; 17 ALU, 5 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
def c1, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r2.x, v5, v5
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
mul r2.xyz, r2.x, v5
mov_pp r2.w, c1.x
texldl r2, r2, s3
mul_pp r1, r2, c1.xxxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
texld r2, v4, s2
add_pp r2, r2, -r0
mad_pp r0, v1.z, r2, r0
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.y
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.z
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
// 16 instructions, 3 temp regs, 0 temp arrays:
// ALU 11 float, 0 int, 0 uint
// TEX 3 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 50 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r4.x, r0, c1, c1.y
mad r0.x, r4, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c1.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.w
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r4.x, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
cmp_pp r2.x, r3.w, c1, c1.y
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r3, r2.x, r0, r1
add_pp r0.x, r3.z, -r3
mad_pp r0.x, r2.w, r0, r3
add_pp r3.x, -r3.y, r0
texld r0, v3, s1
texld r1, v2, s0
add_pp r2, r0, -r1
mad_pp r1, v1.y, r2, r1
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r2, v1.z, r2, r1
mul_pp r1, v0, c0
mad_pp r0.w, r4.x, r3.x, r3.y
mov_pp r0.xyz, r3.w
mul_pp r1, r1, r2
mul_pp r0, r1, r0
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 53 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfaejfhfjiaeekicofikjengidaifadcpabaaaaaafmaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcaiahaaaaeaaaaaaamcabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaad
mcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaaagaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacaeaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
agaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaeiaaaaalpcaabaaaabaaaaaaegaabaaaaaaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaacaaaaaa
egaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
acaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
akaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfaejfhfjiaeekicofikjengidaifadcpabaaaaaafmaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcaiahaaaaeaaaaaaamcabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaad
mcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaaagaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacaeaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
agaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaeiaaaaalpcaabaaaabaaaaaaegaabaaaaaaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaacaaaaaa
egaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
acaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
akaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcopnfejjlhblojaidobnjkhhnjfllmnpabaaaaaafmaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcaiahaaaaeaaaaaaamcabaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaad
mcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaaagaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacaeaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
agaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaeiaaaaalpcaabaaaabaaaaaaegaabaaaaaaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaacaaaaaa
egaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
acaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
akaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfaejfhfjiaeekicofikjengidaifadcpabaaaaaafmaiaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcaiahaaaaeaaaaaaamcabaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaad
mcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadhcbabaaaagaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacaeaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
agaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaeiaaaaalpcaabaaaabaaaaaaegaabaaaaaaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaacaaaaaa
egaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
acaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
akaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpccabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 48 instructions, 4 temp regs, 0 temp arrays:
// ALU 35 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
"ps_3_0
; 55 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c1.x, c1.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c1.x, c1.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c1.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c1.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c1.y
mad_pp r0.xy, r0, c1.z, c1.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c1, c1.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c1.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c0
mul_pp r0, r0, r1
mov_pp r2.xyz, c1.x
mul_pp r0, r0, r2
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
// 52 instructions, 5 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 3 uint
// TEX 3 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecedhbkjljijeiggdjpliekpldmomnohaglfabaaaaaaiaajaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefccmaiaaaaeaaaaaaaalacaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaa
fkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaa
agaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaa
aiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaaefaaaaajpcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaa
aagabaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaa
abaaaaaaaagabaaaagaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaa
eghobaaaacaaaaaaaagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaia
ebaaaaaaaaaaaaaaegaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaa
kgbkbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaa
agaaaaaabnaaaaajbcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpaaaaaaajecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaadcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaa
akaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaa
bkaabaaaacaaaaaaakaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaa
dcaaaaajbcaabaaaabaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaaf
bcaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaia
ebaaaaaaadaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadiaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
afaaaaaabgafbaaaadaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
dcaaaaajhcaabaaaaeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaafaaaaaajgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaa
abaaaaaafgagbaiaebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaa
dcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaad
ckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaadaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaa
acaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaa
aagabaaaafaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
bfaaaaabbfaaaaabbcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaacaaaaaaabeaaaaa
aaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaa
bcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaiaaaaaa
aagabaaaaaaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaai
pcaabaaaabaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaadaaaaaaegaobaaaaaaaaaaadiaaaaakpccabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 42 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecediapolankfppbgbigcnfflpepddgmodihabaaaaaaiaajaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefccmaiaaaaeaaaaaaaalacaaaafjaaaaae
egiocaaaaaaaaaaaanaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaa
fkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaa
agaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaa
aiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaaefaaaaajpcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaa
aagabaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaa
abaaaaaaaagabaaaagaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaa
eghobaaaacaaaaaaaagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaia
ebaaaaaaaaaaaaaaegaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaa
kgbkbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaa
agaaaaaabnaaaaajbcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpaaaaaaajecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaadcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaa
akaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaa
bkaabaaaacaaaaaaakaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaa
dcaaaaajbcaabaaaabaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaaf
bcaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaia
ebaaaaaaadaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadiaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
afaaaaaabgafbaaaadaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
dcaaaaajhcaabaaaaeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaafaaaaaajgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaa
abaaaaaafgagbaiaebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaa
dcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaad
ckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaa
adaaaaaaaagabaaaadaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaa
acaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaeaaaaaa
aagabaaaafaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaacghnbaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
bfaaaaabbfaaaaabbcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaa
adaaaaaaegaabaaaabaaaaaacghnbaaaagaaaaaaaagabaaaacaaaaaaabeaaaaa
aaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaacghnbaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaa
bcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaiaaaaaa
aagabaaaaaaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaai
pcaabaaaabaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaadkaabaaaaaaaaaaadiaaaaakpccabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecedopmhgbogfopgkbafbhepjkndegbcjhogabaaaaaaiaajaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apaaaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefccmaiaaaaeaaaaaaaalacaaaafjaaaaae
egiocaaaaaaaaaaabbaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaa
abaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaad
aagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaa
fkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaa
agaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaa
aiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaaefaaaaajpcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaa
aagabaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaa
abaaaaaaaagabaaaagaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaa
eghobaaaacaaaaaaaagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaia
ebaaaaaaaaaaaaaaegaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaa
kgbkbaaaacaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaa
agaaaaaabnaaaaajbcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpaaaaaaajecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaadcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaa
akaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaa
bkaabaaaacaaaaaaakaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaa
dcaaaaajbcaabaaaabaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaaf
bcaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaia
ebaaaaaaadaaaaaadgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadiaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
afaaaaaabgafbaaaadaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
dcaaaaajhcaabaaaaeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaa
aeaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaafaaaaaajgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaa
abaaaaaafgagbaiaebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaa
dcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaad
ckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaa
adaaaaaaaagabaaaadaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaa
acaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaeaaaaaa
aagabaaaafaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaacghnbaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaa
bfaaaaabbfaaaaabbcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaa
adaaaaaaegaabaaaabaaaaaacghnbaaaagaaaaaaaagabaaaacaaaaaaabeaaaaa
aaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaa
egaabaaaabaaaaaacghnbaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaa
bcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaiaaaaaa
aagabaaaaaaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaai
pcaabaaaabaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaadkaabaaaaaaaaaaadiaaaaakpccabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpdoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 208 used size, 14 vars
Vector 192 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_Color]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
"ps_3_0
; 47 ALU, 15 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c1, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c1.x, c1.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c1, c1.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c1, c1.x
cmp r0.x, -r0, c1.y, c1
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c1.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c1.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c1.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c1.z, c1.z
mov r1.z, c1.y
if_gt r3.y, c1.y
if_le r3.x, c1.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c1.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c1.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c1.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
mul_pp r2, v0, c0
mul_pp r0, r2, r0
mov_pp r1.xyz, c1.x
mul_pp r0, r0, r1
mul_pp oC0, r0, c1.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 272 used size, 15 vars
Vector 256 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
// 64 instructions, 6 temp regs, 0 temp arrays:
// ALU 33 float, 1 int, 2 uint
// TEX 3 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 51 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r2.xyz, r0.x, v6
abs r3.x, r2.z
abs r2.w, r2.x
max r0.x, r2.w, r3
rcp r0.y, r0.x
min r0.x, r2.w, r3
mul r3.y, r0.x, r0
mul r3.z, r3.y, r3.y
mad r0.x, r3.z, c5.y, c5.z
mad r0.x, r0, r3.z, c5.w
mad r0.x, r0, r3.z, c6
mad r3.w, r0.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r2.w, r2, -r3.x
add r3.z, -r3.y, c6.w
cmp r2.w, -r2, r3.y, r3.z
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
abs r1.x, r2.y
add r3.x, -r2.w, c4.w
cmp r1.y, r2.z, r2.w, r3.x
cmp r1.w, r2.x, r1.y, -r1.y
add r1.z, -r1.x, c3.y
mad r1.y, r1.x, c3.z, c3.w
mad r1.y, r1, r1.x, c4.x
mad r1.x, r1.y, r1, c4.y
rsq r1.z, r1.z
rcp r1.z, r1.z
mul r1.x, r1, r1.z
cmp r1.y, r2, c3.x, c3
mul r1.z, r1.y, r1.x
mad r1.z, -r1, c4, r1.x
mad r1.y, r1, c4.w, r1.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
mad r2.x, r1.w, c7, c7.y
rcp r2.w, r1.x
mul r2.y, r1, c5.x
mov r2.z, c3.x
texldl r1, r2.xyzz, s3
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2.w, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.yxxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xyxx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxyx
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgijmlijhfjkjhegdmmmmfjlmcegfmiffabaaaaaamaajaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcgmaiaaaaeaaaaaaablacaaaafjaaaaae
egiocaaaaaaaaaaaaoaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaaagaaaaaadeaaaaaj
icaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
aoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
dkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdcaaaaakicaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlo
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaah
ccaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoeiaaaaalpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaaaaaaaaaabeaaaaa
aaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaa
abaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaaanaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [_MainTex] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c4, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c5, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c6, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c7, 0.15915494, 0.50000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r0.xyz, r0.x, v6
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
rcp r1.y, r1.x
min r1.x, r0.w, r3
mul r3.y, r1.x, r1
mul r3.z, r3.y, r3.y
add r0.w, r0, -r3.x
abs r3.x, r0.y
mad r1.x, r3.z, c5.y, c5.z
mad r1.x, r1, r3.z, c5.w
mad r1.x, r1, r3.z, c6
mad r3.w, r1.x, r3.z, c6.y
mad r3.z, r3.w, r3, c6
mul r3.y, r3.z, r3
add r3.z, -r3.y, c6.w
cmp r3.y, -r0.w, r3, r3.z
add r3.w, -r3.x, c3.y
mad r0.w, r3.x, c3.z, c3
mad r0.w, r0, r3.x, c4.x
add r3.z, -r3.y, c4.w
cmp r3.y, r0.z, r3, r3.z
rsq r3.w, r3.w
cmp r0.x, r0, r3.y, -r3.y
texld r2, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r2
mad_pp r1, v1.y, r1, r2
texld r2, v4, s2
add_pp r2, r2, -r1
mad_pp r1, v1.z, r2, r1
mad r0.w, r0, r3.x, c4.y
rcp r3.w, r3.w
mul r0.w, r0, r3
cmp r0.y, r0, c3.x, c3
mul r3.x, r0.y, r0.w
mad r0.z, -r3.x, c4, r0.w
mad r0.y, r0, c4.w, r0.z
mad r0.x, r0, c7, c7.y
mul r0.y, r0, c5.x
mov r0.z, c3.x
texldl r0, r0.xyzz, s3
mul_pp r2, r0, c3.xxxy
mul_pp r0, v0, c1
mul_pp r0, r0, r1
add_pp r1.y, r2.x, r2
add_pp r1.y, r1, r2.z
texldp r1.x, v5, s4
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r2
mov_pp r1.xyz, c3.y
mul_pp r0, r0, r1
mul_pp r0, r0, c7.z
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [_MainTex] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 58 instructions, 3 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 4 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 18 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 0.93994141, 0, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r1, r0, r1
texldp r0.x, v5, s4
mad r0.w, r0.x, c0.z, c0
rcp r2.x, r0.w
dp3 r0.y, v6, v6
rsq r0.y, r0.y
mul r0.xyz, r0.y, v6
mov_pp r0.w, c3.x
texldl r0, r0, s3
mul_pp r0, r1, r0
mul_pp r0, r0, c3.y
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedggapapnlppomjccohpdhflfpmkfdoecfabaaaaaageafaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcbaaeaaaaeaaaaaaaaeabaaaafjaaaaae
egiocaaaaaaaaaaabcaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafidaaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacacaaaaaaefaaaaajpcaabaaaaaaaaaaaogbkbaaa
adaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaabaaaaaa
egbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaadcaaaaajpcaabaaa
aaaaaaaafgbfbaaaacaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaaefaaaaaj
pcaabaaaabaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaa
aaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaajpcaabaaaaaaaaaaakgbkbaaaacaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaadiaaaaaipcaabaaaabaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaa
baaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaa
abaaaaaaegbcbaaaagaaaaaaeiaaaaalpcaabaaaabaaaaaaegacbaaaabaaaaaa
eghobaaaadaaaaaaaagabaaaaaaaaaaaabeaaaaaaaaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaakpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaah
dcaabaaaabaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaal
bcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaa
abaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackbabaiaebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackiacaaaaaaaaaaabbaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.yxxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xyxx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkhofcnocaboecojooaceicgeegmjdgkfabaaaaaageafaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcbaaeaaaaeaaaaaaaaeabaaaafjaaaaae
egiocaaaaaaaaaaaaoaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafidaaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaa
aeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaagaaaaaaeiaaaaal
pcaabaaaaaaaaaaaegacbaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaaaaaaaaa
abeaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaa
egbabaaaaeaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaa
abaaaaaakgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaai
pcaabaaaacaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaah
pcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaa
abaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpcaabaaaaaaaaaaa
egaobaaaabaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaah
dcaabaaaabaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaal
bcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaa
abaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackbabaiaebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackiacaaaaaaaaaaaanaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTex] CUBE
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 23 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c3, 0.00000000, 1.00000000, 0.93994141, 0
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r2.x, v6, v6
rsq r2.x, r2.x
texld r0, v2, s0
texld r1, v3, s1
add_pp r1, r1, -r0
mad_pp r0, v1.y, r1, r0
texld r1, v4, s2
add_pp r1, r1, -r0
mad_pp r0, v1.z, r1, r0
mul r2.xyz, r2.x, v6
mov_pp r2.w, c3.x
texldl r2, r2, s3
mul_pp r1, r2, c3.xxxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s4
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.y
mul_pp r1, r0, r1
mul_pp r1, r1, c3.z
add r2.x, r2, -v5.z
mul_sat r0.x, r2, c2
mul_pp oC0.w, r1, r0.x
mov_pp oC0.xyz, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 2
SetTexture 1 [_TopTex] 2D 1
SetTexture 2 [_FrontTex] 2D 3
SetTexture 3 [cube_MainTex] CUBE 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 24 instructions, 3 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 4 (1 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 56 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
texldp r3.x, v5, s5
mad r3.x, r3, c0.z, c0.w
cmp_pp r2.x, r4, c3, c3.y
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r2.w, r0, r4
add_pp r0.x, -r4.y, r0
mad_pp r1.w, r3, r0.x, r4.y
texld r0, v2, s0
texld r2, v3, s1
add_pp r2, r2, -r0
mad_pp r2, v1.y, r2, r0
texld r0, v4, s2
add_pp r0, r0, -r2
mad_pp r2, v1.z, r0, r2
mul_pp r0, v0, c1
mul_pp r0, r0, r2
mov_pp r1.xyz, r4.w
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.xyyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yxyy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecededdckpdeacodallcpmacjhecdbgnphmmabaaaaaajiajaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefceeaiaaaaeaaaaaaabbacaaaafjaaaaae
egiocaaaaaaaaaaabcaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaa
afaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaad
dcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaa
gcbaaaadpcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacaeaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaagaaaaaa
egbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaaagaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaa
acaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaa
dkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
eiaaaaalpcaabaaaabaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaacaaaaaaegaabaaaaaaaaaaa
eghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaadcaaaaajbcaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaacaaaaaaefaaaaaj
pcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
efaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
adaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaiaebaaaaaa
acaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaaegaobaaaabaaaaaa
egaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaaeghobaaa
acaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaakgbkbaaaacaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaaegbobaaa
abaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaa
abaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaa
dkaabaaaabaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaabaaaaaaaceaaaaa
nhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaaabaaaaaaegbabaaa
afaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaafaaaaaaaagabaaaafaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaa
abaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaa
afaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaa
bbaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
dgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyxy
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 56 instructions, 4 temp regs, 0 temp arrays:
// ALU 41 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbomdhhlhbjglnlfgnglfnhjhhodmaoniabaaaaaacaakaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcmmaiaaaaeaaaaaaaddacaaaafjaaaaae
egiocaaaaaaaaaaaaoaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaa
afaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadgcbabaaaacaaaaaagcbaaaad
dcbabaaaadaaaaaagcbaaaadmcbabaaaadaaaaaagcbaaaaddcbabaaaaeaaaaaa
gcbaaaadpcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaagaaaaaa
egbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaagaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaaagaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaa
acaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaa
dkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
eiaaaaalpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaaabeaaaaaaaaaaaaaeiaaaaalpcaabaaaaeaaaaaaegaabaaaaaaaaaaa
eghobaaaaeaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaaaaaaaaaihcaabaaa
aaaaaaaaegacbaaaadaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaai
ecaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaa
aaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaadaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaiaebaaaaaaacaaaaaadcaaaaajpcaabaaaabaaaaaafgbfbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaacaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaa
aeaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaaaaaaaaipcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaabaaaaaa
kgbkbaaaacaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaa
acaaaaaaegbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaahpcaabaaa
abaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaadiaaaaahicaabaaaabaaaaaa
akaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaa
abaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaaanaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexPOS] 2D
SetTexture 4 [cube_MainTexNEG] 2D
SetTexture 5 [_CameraDepthTexture] 2D
"ps_3_0
; 61 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c3.x, c3.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.w, r0.x, c3.x, c3.y
mad r0.x, r3.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.xz, c3.x
mov_pp r2.y, -r4.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c3.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mov r0.z, c3.y
mad_pp r0.xy, r0, c3.z, c3.z
texldl r1, r0.xyzz, s4
texldl r0, r0.xyzz, s3
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c3, c3.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
mov_pp r1.xyz, r0.w
mul_pp r2, r1, c3.yyyx
add_pp r2.x, r2, r2.y
add_pp r2.x, r2, r2.z
add_pp r2.w, r2.x, r2
texldp r2.x, v5, s5
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r1, v1.z, r0, r1
mul_pp r0, v0, c1
mul_pp r0, r0, r1
mad r2.x, r2, c0.z, c0.w
rcp r1.x, r2.x
mov_pp r2.xyz, c3.x
add r1.x, r1, -v5.z
mul_pp r0, r0, r2
mul_pp r0, r0, c3.w
mul_sat r1.x, r1, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 3
SetTexture 1 [_TopTex] 2D 2
SetTexture 2 [_FrontTex] 2D 4
SetTexture 3 [cube_MainTexPOS] 2D 0
SetTexture 4 [cube_MainTexNEG] 2D 1
SetTexture 5 [_CameraDepthTexture] 2D 5
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 4 (2 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 48 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
texldp r2.x, v5, s9
mad r3.x, r2, c0.z, c0.w
mul_pp r2, v0, c1
mul_pp r0, r2, r0
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
rcp r3.x, r3.x
add r2.x, r3, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecedilebghindlphhoccieglodhadedpcjmoabaaaaaalmakaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcgiajaaaaeaaaaaaafkacaaaafjaaaaae
egiocaaaaaaaaaaabcaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaa
afaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaad
aagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaa
adaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaaaagabaaa
agaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaa
aagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaakgbkbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaaagaaaaaabnaaaaaj
bcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpaaaaaaaj
ecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
dcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaaacaaaaaa
akaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaadcaaaaajbcaabaaa
abaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaah
bcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaafbcaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaiaebaaaaaaadaaaaaa
dgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
diaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaafaaaaaabgafbaaa
adaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaafaaaaaa
jgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaaabaaaaaafgagbaia
ebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
akaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaadckaabaaaacaaaaaa
eiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
adaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaa
abeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaab
bcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaa
abaaaaaaeghobaaaagaaaaaaaagabaaaacaaaaaaabeaaaaaaaaaaaaabcaaaaab
bpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaiaaaaaaaagabaaaaaaaaaaa
abeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaaipcaabaaaabaaaaaa
egbobaaaabaaaaaaegiocaaaaaaaaaaabaaaaaaadiaaaaahpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaadkaabaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
aceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaaabaaaaaa
egbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaadcaaaaalbcaabaaaabaaaaaa
ckiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaa
aoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaia
ebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaa
aaaaaaaabbaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.xyyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yxyy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecedknooklgehjhodipacdkjkoamilnpgkckabaaaaaalmakaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcgiajaaaaeaaaaaaafkacaaaafjaaaaae
egiocaaaaaaaaaaaaoaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaa
afaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaad
aagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaa
adaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaaaagabaaa
agaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaa
aagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaakgbkbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaaagaaaaaabnaaaaaj
bcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpaaaaaaaj
ecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
dcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaaacaaaaaa
akaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaadcaaaaajbcaabaaa
abaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaah
bcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaafbcaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaiaebaaaaaaadaaaaaa
dgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
diaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaafaaaaaabgafbaaa
adaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaafaaaaaa
jgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaaabaaaaaafgagbaia
ebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
akaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaadckaabaaaacaaaaaa
eiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaadaaaaaaaagabaaa
adaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaeaaaaaaaagabaaaafaaaaaa
abeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
cghnbaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaab
bcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaa
abaaaaaacghnbaaaagaaaaaaaagabaaaacaaaaaaabeaaaaaaaaaaaaabcaaaaab
bpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
cghnbaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaacghnbaaaaiaaaaaaaagabaaaaaaaaaaa
abeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaaipcaabaaaabaaaaaa
egbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaahpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaadkaabaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
aceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaaabaaaaaa
egbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaadcaaaaalbcaabaaaabaaaaaa
ckiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaa
aoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaia
ebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaa
aaaaaaaaanaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyxy
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0
eefiecedefoikocohaiphfjnoedinjagglnanioiabaaaaaalmakaaaaadaaaaaa
cmaaaaaabiabaaaaemabaaaaejfdeheooeaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaankaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahagaaaankaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaankaaaaaa
acaaaaaaaaaaaaaaadaaaaaaadaaaaaaamamaaaankaaaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaadadaaaankaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaankaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaafeeffiedepepfceeaaklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklklfdeieefcgiajaaaaeaaaaaaafkacaaaafjaaaaae
egiocaaaaaaaaaaaaoaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafkaaaaad
aagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaa
fkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaa
afaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaad
aagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadgcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaadmcbabaaa
adaaaaaagcbaaaaddcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaogbkbaaaadaaaaaaeghobaaaabaaaaaaaagabaaa
agaaaaaaefaaaaajpcaabaaaacaaaaaaegbabaaaaeaaaaaaeghobaaaacaaaaaa
aagabaaaaiaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaajpcaabaaaaaaaaaaafgbfbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaakgbkbaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaafgbcbaaaagaaaaaabnaaaaaj
bcaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpaaaaaaaj
ecaabaaaacaaaaaadkaabaiambaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
dcaaaaakecaabaaaacaaaaaabkaabaaaacaaaaaackaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaadaaaaaackbabaaaagaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaaacaaaaaa
akaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaagaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaadcaaaaajbcaabaaa
abaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaah
bcaabaaaadaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaclaaaaafbcaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagccaabaaaaeaaaaaaakaabaiaebaaaaaaadaaaaaa
dgaaaaaifcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
diaaaaahhcaabaaaaeaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaafaaaaaabgafbaaa
adaaaaaaogajbaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaa
aeaaaaaafgafbaaaacaaaaaaegacbaaaafaaaaaaegacbaaaaeaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaafaaaaaa
jgahbaaaabaaaaaafgagbaaaadaaaaaadcaaaaakhcaabaaaabaaaaaafgagbaia
ebaaaaaaadaaaaaajgahbaaaabaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
akaabaaaadaaaaaabpaaaeadckaabaaaabaaaaaabpaaaaadckaabaaaacaaaaaa
eiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaadghjbaaaadaaaaaaaagabaaa
adaaaaaaabeaaaaaaaaaaaaabcaaaaabbpaaaeadakaabaaaacaaaaaaeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaadghjbaaaaeaaaaaaaagabaaaafaaaaaa
abeaaaaaaaaaaaaabcaaaaabeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
dghjbaaaafaaaaaaaagabaaaabaaaaaaabeaaaaaaaaaaaaabfaaaaabbfaaaaab
bcaaaaabbpaaaaadckaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaa
abaaaaaadghjbaaaagaaaaaaaagabaaaacaaaaaaabeaaaaaaaaaaaaabcaaaaab
bpaaaeadakaabaaaacaaaaaaeiaaaaalpcaabaaaadaaaaaaegaabaaaabaaaaaa
dghjbaaaahaaaaaaaagabaaaaeaaaaaaabeaaaaaaaaaaaaabcaaaaabeiaaaaal
pcaabaaaadaaaaaaegaabaaaabaaaaaadghjbaaaaiaaaaaaaagabaaaaaaaaaaa
abeaaaaaaaaaaaaabfaaaaabbfaaaaabbfaaaaabdiaaaaaipcaabaaaabaaaaaa
egbobaaaabaaaaaaegiocaaaaaaaaaaaamaaaaaadiaaaaahpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaadkaabaaaaaaaaaaadiaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
aceaaaaanhkdhadpnhkdhadpnhkdhadpnhkdhadpaoaaaaahdcaabaaaabaaaaaa
egbabaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaadcaaaaalbcaabaaaabaaaaaa
ckiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaa
aoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaia
ebaaaaaaafaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaa
aaaaaaaaanaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 220 used size, 14 vars
Vector 192 [_Color] 4
Float 216 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_ZBufferParams]
Vector 1 [_Color]
Float 2 [_InvFade]
SetTexture 0 [_LeftTex] 2D
SetTexture 1 [_TopTex] 2D
SetTexture 2 [_FrontTex] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzp] 2D
SetTexture 5 [cube_MainTexxp] 2D
SetTexture 6 [cube_MainTexyn] 2D
SetTexture 7 [cube_MainTexzn] 2D
SetTexture 8 [cube_MainTexxn] 2D
SetTexture 9 [_CameraDepthTexture] 2D
"ps_3_0
; 53 ALU, 16 TEX, 10 FLOW
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c3, 1.00000000, 0.00000000, 0.50000000, 0.93994141
dcl_color0 v0
dcl_texcoord0 v1.xyz
dcl_texcoord1 v2.xy
dcl_texcoord2 v3.xy
dcl_texcoord3 v4.xy
dcl_texcoord4 v5
dcl_texcoord5 v6.xyz
dp3 r0.x, v6, v6
rsq r0.x, r0.x
mul r1.xyz, r0.x, v6
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
add r0.z, r0, -r0.x
cmp r2.w, r0, c3.x, c3.y
mad r0.x, r2.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r2.w, r1.w, r1.x
add r0.y, -r1, r0.z
cmp r3.x, r0, c3, c3.y
mad r0.x, r3, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.y, r0.x, -r0
mov_pp r0.y, r3
mov_pp r2.xz, c3.x
mov_pp r2.y, -r3
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r3.y
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r2.xyz, r3.x, r0, r4
abs_pp r2.x, r2
rcp_pp r2.x, r2.x
texld r1, v2, s0
texld r0, v3, s1
add_pp r0, r0, -r1
mad_pp r1, v1.y, r0, r1
texld r0, v4, s2
add_pp r0, r0, -r1
mad_pp r0, v1.z, r0, r1
mul_pp r2.xy, r2.yzzw, r2.x
mad_pp r1.xy, r2, c3.z, c3.z
mov r1.z, c3.y
if_gt r3.y, c3.y
if_le r3.x, c3.y
texldl r1, r1.xyzz, s3
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s4
else
texldl r1, r1.xyzz, s5
endif
endif
else
if_le r3.x, c3.y
texldl r1, r1.xyzz, s6
else
if_gt r2.w, c3.y
texldl r1, r1.xyzz, s7
else
texldl r1, r1.xyzz, s8
endif
endif
endif
mul_pp r1, r1, c3.yyyx
add_pp r1.y, r1.x, r1
mul_pp r2, v0, c1
add_pp r1.y, r1, r1.z
texldp r1.x, v5, s9
mul_pp r0, r2, r0
mad r1.x, r1, c0.z, c0.w
rcp r2.x, r1.x
add_pp r1.w, r1.y, r1
mov_pp r1.xyz, c3.x
mul_pp r0, r0, r1
mul_pp r0, r0, c3.w
add r2.x, r2, -v5.z
mul_sat r1.x, r2, c2
mul_pp oC0.w, r0, r1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 284 used size, 15 vars
Vector 256 [_Color] 4
Float 280 [_InvFade]
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 112 [_ZBufferParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_LeftTex] 2D 7
SetTexture 1 [_TopTex] 2D 6
SetTexture 2 [_FrontTex] 2D 8
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzp] 2D 5
SetTexture 5 [cube_MainTexxp] 2D 1
SetTexture 6 [cube_MainTexyn] 2D 2
SetTexture 7 [cube_MainTexzn] 2D 4
SetTexture 8 [cube_MainTexxn] 2D 0
SetTexture 9 [_CameraDepthTexture] 2D 9
// 72 instructions, 6 temp regs, 0 temp arrays:
// ALU 39 float, 1 int, 2 uint
// TEX 4 (6 load, 0 comp, 0 bias, 0 grad)
// FLOW 6 static, 5 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

}

#LINE 220

			}

		}

	}
}